package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:act:
*/
@Table("act")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Act extends AbstractModule
{

        public Act(){
            super();
        }

        public Act(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "act";
        }

        //主键
        private String inr ;
        //币种缩写
        private String cur ;
        //账号
        private String act ;
        //常用账户关联机构
        private String ptyinr ;
        //账户所属机构主键
        private String belbchinr ;
        //账户所属机构名称
        private String belbchnam ;
        //开户机构inr
        private String opnbchinr ;
        //开户机构名称
        private String opnbchnam ;
        //账号名称
        private String nam ;
        //科目号
        private String subcod ;
        //境外机构境内账户标志
        private String outflg ;
        //账户类型
        private String actflg ;
        //已删账户标志
        private String delflg ;
        //版本文本
        private String ver ;
        //初始默认账号
        private String pri ;
        //集团子公司名称
        private String compaynam ;
        //绑定日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;






































}