package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:addimg:电子保函影像追加记录
*/
@Table("addimg")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Addimg extends AbstractModule
{

        public Addimg(){
            super();
        }

        public Addimg(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "addimg";
        }

        //序号
        private String inr ;
        //业务编号
        private String ownref ;
        //影像批次号
        private String imgref ;
        //审批结果
        private String sta ;
        //申请时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //追加次数
        private Integer cnt;
        //经办人员
        private String usrinr ;
        //拒绝原因
        private String reason ;
        //补充资料业务号
        private String attachno ;
        //trninr
        private String trninr ;
        //msgtrninr
        private String msgtrninr ;
        //批次号
        private String guid ;
        //复核人员
        private String usrinr2 ;






























}