package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:bopcod:申报交易编码信息显示
*/
@Table("bopcod")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bopcod extends AbstractModule
{

        public Bopcod(){
            super();
        }

        public Bopcod(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "bopcod";
        }

        //主键
        private String inr ;
        //交易编码
        private String cod ;
        //境内境外
        private String dir ;
        //状态
        private String sta ;
        //交易描述
        private String txt ;
        //类型
        private String typ ;
















}