package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:cimp:
*/
@Table("cimp")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Cimp extends AbstractModule
{

        public Cimp(){
            super();
        }

        public Cimp(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "cimp";
        }

        //序号
        private String inr ;
        //现汇账号
        private String fxact ;
        //购汇账号
        private String puract ;
        //其他账号
        private String othact ;
        //币种
        private String remcur ;
        //金额
        private BigDecimal remamt  = new BigDecimal("0.00");
        //客户代码
        private String cuscod ;
        //收款人名称
        private String pyenam ;
        //收款人开户行
        private String acwnam ;
        //swift code
        private String swtcod ;
        //收款人账号
        private String pyeact ;
        //收款银行代理行名址
        private String rcpnam ;
        //收款银行代理行SWFITCODE
        private String rcpswtcod ;
        //收款银行在其代理行账号
        private String rcpact ;
        //费用承担方
        private String detchgcod ;
        //收款人国家
        private String pyecry ;
        //汇款类型
        private String inoutflg ;
        //付款选择
        private String paytyp ;
        //付汇性质
        private String paytyptxt ;
        //汇款附言
        private String reminf ;
        //是否为保税货物项下付款
        private String cavpayflg ;
        //发票号
        private String invno ;
        //合同号
        private String conno ;
        //供应商编号
        private String supno ;
        //外管局备案表号
        private String fmdno ;
        //BOP交易编号1
        private String bopcod1 ;
        //BOP金额1
        private BigDecimal bopamt1  = new BigDecimal("0.00");
        //BOP币种1
        private String bopcur1 ;
        //BOP交易附言1
        private String bopinf1 ;
        //备注
        private String remark ;
        //单选框
        private String idx ;
        //汇款业务编号
        private String ownref ;
        //影像批次号
        private String imgref ;
        //账号类型
        private String acttyp ;
        //影像提交标志
        private String imgflg ;










































































}