package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:cls:(静态表)条款信息表
*/
@Table("cls")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Cls extends AbstractModule
{

        public Cls(){
            super();
        }

        public Cls(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "cls";
        }

        //唯一编号
        private String inr ;
        //条款类型
        private String typ ;
        //pty编号/标识
        private String ptyinr ;
        //条款内容
        private String clstxt ;
        //实体编号
        private String etyinr ;
        //实体组编号
        private String etginr ;
        //条款大类
        private String flg ;
        //是否生效
        private String status ;
        //维护时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date dat;
        //所属机构类型
        private String ownertyp ;
























}