package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:currat:(静态表)币种汇率表
*/
@Table("currat")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Currat extends AbstractModule
{

        public Currat(){
            super();
        }

        public Currat(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "currat";
        }

        //主键
        private String inr ;
        //币种
        private String cur ;
        //中间牌价
        private BigDecimal midrat  = new BigDecimal("0.00");
        //开始日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date begdat;
        //结束日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date enddat;














}