package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:dztlog:公共日志表
*/
@Table("dztlog")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Dztlog extends AbstractModule
{

        public Dztlog(){
            super();
        }

        public Dztlog(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "dztlog";
        }

        //主键inr
        private String inr ;
        //操作开始日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date oprbegdat;
        //操作结束日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date oprenddat;
        //操作员inr
        private String oprusrinr ;
        //操作员号
        private String oprusr ;
        //机构inr
        private String oprbchinr ;
        //机构号
        private String oprbch ;
        //交易名
        private String objnam ;
        //交易类型
        private String objtyp ;
        //业务申请号
        private String ownref ;
        //状态
        private String sta ;
        //员工姓名
        private String oprusrnam ;
        //机构名称
        private String oprbchnam ;
        //操作明细
        private String oprdet ;
        //流水号
        private String lsh ;


































}