package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:eab:
*/
@Table("eab")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Eab extends AbstractModule
{

        public Eab(){
            super();
        }

        public Eab(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "eab";
        }

        //唯一编号
        private String inr ;
        //证件类型
        private String idtype ;
        //证件号码
        private String idno ;
        //备用字段1
        private String remark1 ;
        //备用字段2
        private String remark2 ;
        //业务参号
        private String ownref ;
        //报文标识号
        private String msgref ;
        //报文状态
        private String isbinding ;
        //归属机构
        private String ownbch ;
        //日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //银行绑定号
        private String cusid ;
        //绑定结果
        private String result ;
        //失败原因
        private String reason ;
        //三方协议是否开通用户绑定功能
        private String yesno ;
        //企业名称
        private String ename ;
        //手工或自动处理
        private String handletyp ;




































}