package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:ebhfat:深圳电子保函附件信息
*/
@Table("ebhfat")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Ebhfat extends AbstractModule
{

        public Ebhfat(){
            super();
        }

        public Ebhfat(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "ebhfat";
        }

        //NewField
        private String inr ;
        //原业务报文通讯级标识号
        private String busiid ;
        //交易码
        private String busino ;
        //附件总数
        private Integer totalrec;
        //当前附件序号
        private Integer nowrec;
        //附件大小
        private String filsiz ;
        //附件文件名
        private String filnam ;
        //原文件名
        private String alsnam ;
        //附件类型
        private String doctyp ;
        //文件所属业务类型
        private String filebusitype ;
        //正反面
        private String sideflag ;
        //创建时间
        private String credat ;




























}