package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:ebhmsg:
*/
@Table("ebhmsg")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Ebhmsg extends AbstractModule
{

        public Ebhmsg(){
            super();
        }

        public Ebhmsg(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "ebhmsg";
        }

        //主键
        private String inr ;
        //路径
        private String msgpath ;
        //发送次数
        private Integer cnt;
        //处理状态
        private String sta ;
        //报文代码
        private String msgcod ;
        //创建日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //发送日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date senddate;
        //手工干预人员
        private String muser ;
        //手工干预时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date mandate;
        //业务类型
        private String trans ;
        //关联业务主键
        private String objinr ;
        //关联业务类型
        private String objtyp ;




























}