package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:epc:电子交单开通/关闭控制表
*/
@Table("epc")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Epc extends AbstractModule
{

        public Epc(){
            super();
        }

        public Epc(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "epc";
        }

        //唯一编号
        private String inr ;
        //客户编号
        private String cid ;
        //客户名称
        private String nam ;
        //客户类型
        private String typ ;
        //交易名称
        private String trnnam ;
        //交易代码
        private String trncod ;
        //电子交单开通标志
        private String opnflg ;
        //所属机构号
        private String ptybch ;
        //电子交单开通日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date opndat;
        //电子交单关闭日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date clsdat;
        //交易开通标志
        private String trnopnflg ;
        //机构可否办理电子交单
        private String bchepable ;
        //客户可否办理电子交单
        private String cliepable ;
        //客户属性
        private String chkcls ;
































}