package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:ers:
*/
@Table("ers")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Ers extends AbstractModule
{

        public Ers(){
            super();
        }

        public Ers(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "ers";
        }

        //唯一编号
        private String inr ;
        //Branch Extkey
        private String bchcod ;
        //Create Date
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //收发报日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date outdat;
        //业务参考号
        private String ownref ;
        //Object Type of Associated Contract (Optional)
        private String objtyp ;
        //Object INR of Associated Contract (Optional)
        private String objinr ;
        //TRN INR
        private String trninr ;
        //Message Type (Optional)
        private String msgtyp ;
        //Direction ('>'=Outgoing, '<'/'['=Incoming)
        private String dir ;
        //原交易参考号
        private String busref ;
        //行内关联编号
        private String hnglbh ;
        //原行内关联编号
        private String oldhnglbh ;
        //报文标识号
        private String msgref ;
        //原报文标识号
        private String oldmsgref ;
        //前台交易流水编号
        private String qtlsbh ;
        //报文属性
        private String msgatt ;
        //事务类型
        private String mattyp ;
        //关联类型
        private String asctyp ;
        //代理行行号
        private String agtextkey ;
        //代理行账号
        private String agtact ;
        //相关参考号
        private String relref ;
        //事务附言
        private String matinf ;
        //备注
        private String inftxt ;
        //错误描述
        private String errdsc ;
        //回执状态
        private String recsta ;
        //所属机构客户编号
        private String ptyinr ;
        //实体机构编号
        private String etyinr ;
        //头寸电发送渠道
        private String tcdsndchn ;
        //头寸电报文标识号
        private String tcdmsgref ;
        //处理日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date deldat;
        //币种
        private String cur ;
        //金额
        private BigDecimal amt  = new BigDecimal("0.00");






































































}