package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:fxy:福费廷协议表
*/
@Table("fxy")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fxy extends AbstractModule
{

        public Fxy(){
            super();
        }

        public Fxy(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "fxy";
        }

        //唯一标识
        private String inr ;
        //合同编号
        private String ownref ;
        //甲方
        private String jf ;
        //通讯地址
        private String jftxdz ;
        //邮政编码
        private String jfyzbm ;
        //电传
        private String jfdc ;
        //联系电话
        private String jflxdh ;
        //传真
        private String jfcz ;
        //乙方
        private String yf ;
        //通讯地址
        private String yftxdz ;
        //邮政编码
        private String yfyzbm ;
        //电传
        private String yfdc ;
        //联系电话
        private String yflxdh ;
        //传真
        private String yfcz ;
        //联系人
        private String yflxr ;
        //指定代收人名称
        private String zddsrmc ;
        //详细地址
        private String dsrxxdz ;
        //邮编
        private String dsryb ;
        //联系电话
        private String dsrlxdh ;
        //传真接收，号码
        private String czjshm ;
        //电子邮件，地址
        private String dzyjdz ;
        //手机短信接收，号码
        private String sjdxjshm ;
        //逾期贷款日利率
        private BigDecimal yqdkrll  = new BigDecimal("0.00");
        //争议解决方式
        private String zyjjfs ;
        //仲裁委员会
        private String zcwyh ;
        //开庭地点
        private String ktdd ;
        //其他方式
        private String qtfszyjj ;
        //补充条款
        private String bctk ;
        //所属机构客户编号
        private String ptyinr ;
        //实体机构编号
        private String etyinr ;
        //申请日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //归属银行
        private String bchcod ;
        //甲方机构
        private String jfptyinr ;
        //甲方所属实体
        private String jfetyinr ;
        //通知日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date advdat;
        //开证申请书编号
        private String othref ;
        //金额
        private BigDecimal amt  = new BigDecimal("0.00");
        //币种
        private String cur ;
        //有效期起始日
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date yxqqsr;
        //有效期终止日
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date yxqzzr;
        //乙方
        private String fyf ;
        //乙方通讯地址
        private String fyftxdz ;
        //邮政编码
        private String fyfyzbm ;
        //联系电话
        private String fyflxdh ;
        //需要二次确认
        private String needconfim ;
        //银行端暂存过
        private String amedbybank ;
































































































}