package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:fyd:
*/
@Table("fyd")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fyd extends AbstractModule
{

        public Fyd(){
            super();
        }

        public Fyd(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "fyd";
        }

        //默认机构
        private String bchcod ;
        //业务编号
        private String ownref ;
        //甲方
        private String frspty ;
        //甲方住所
        private String fhouse ;
        //甲方法定代表人
        private String flepes ;
        //乙方
        private String sedpty ;
        //乙方住所
        private String shouse ;
        //乙方法定代表人
        private String slepes ;
        //乙方单位名称
        private String comnam ;
        //乙方单位地址
        private String comadr ;
        //乙方邮编
        private String zipcod ;
        //乙方联系电话
        private String sphnum ;
        //指定代收人名称
        private String colnam ;
        //指定代收人地址
        private String coladr ;
        //指定代收人邮编
        private String colcod ;
        //联系电话
        private String calnum ;
        //传真接受,号码
        private String faxnum ;
        //电子邮件,地址
        private String emails ;
        //手机短信接受,号码
        private String rcvnum ;
        //微信号码
        private String wecnum ;
        //QQ号码
        private String qqsnum ;
        //逾期罚息率
        private String yqfxll ;
        //违约罚息率
        private String wyfxll ;
        //争议解决方式
        private String hanway ;
        //仲裁委员会名称
        private String arbnam ;
        //仲裁开庭地点
        private String arbadr ;
        //解决的其他方式
        private String othway ;
        //补充条款
        private String addcla ;
        //协议生效日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date effdat;
        //协议失效日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date losdat;
        //唯一主键
        private String inr ;
        //客户编号
        private String ptyinr ;
        //乙方联系人
        private String scaper ;
        //申请日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //实体机构编号
        private String etyinr ;
        //通知日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date advdat;












































































}