package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:ghm:
*/
@Table("ghm")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Ghm extends AbstractModule
{

        public Ghm(){
            super();
        }

        public Ghm(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "ghm";
        }

        //选择标识
        private String selfs ;
        //业务编号
        private String busno ;
        //交易类型
        private String jytyp ;
        //状态
        private String sta ;
        //创建时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //业务主键
        private String inr ;
        //金额
        private BigDecimal amount  = new BigDecimal("0.00");


















}