package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:gib:交易存库-保函文本信息
*/
@Table("gib")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Gib extends AbstractModule
{

        public Gib(){
            super();
        }

        public Gib(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "gib";
        }

        //主键-gidinr
        private String inr ;
        //机构编号
        private String ptyinr ;
        //保函文本语言
        private String wbtyp ;
        //保函文本类型
        private String lgtyp ;
        //保函文本
        private String lgtxt ;














}