package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:invdet:
*/
@Table("invdet")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Invdet extends AbstractModule
{

        public Invdet(){
            super();
        }

        public Invdet(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "invdet";
        }

        //序号
        private String inr ;
        //发票代码
        private String invoicecode ;
        //发票号码
        private String invoicenumber ;
        //开票日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date billingdate;
        //校验结果
        private String checkresult ;
        //发票金额(人民币)
        private BigDecimal invamt  = new BigDecimal("0.00");
        //校验码后六位
        private String checkcode ;
        //外币金额
        private BigDecimal gframt  = new BigDecimal("0.00");
        //外币币种
        private String gfrcur ;
        //货物品名
        private String remarks ;
        //购方名称
        private String purchasername ;
        //销方名称
        private String salesname ;
        //状态
        private String state ;
        //购方税号
        private String purchasertaxno ;
        //销方税号
        private String salestaxno ;


































}