package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:inv:
*/
@Table("inv")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Invlst extends AbstractModule
{

        public Invlst(){
            super();
        }

        public Invlst(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "inv";
        }

        //序号
        private String inr ;
        //业务申请号码
        private String ownref ;
        //ocr识别结果
        private String ocrres ;
        //发票代码
        private String invoicecode ;
        //发票号码
        private String invoicenumber ;
        //开票日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date billingdate;
        //校验结果
        private String checkresult ;
        //发票金额
        private BigDecimal invamt  = new BigDecimal("0.00");
        //校验码后六位
        private String checkcode ;
        //影像表主键
        private Integer tblbilinr;
        //实际文件名
        private String alsnam ;
        //外币金额
        private BigDecimal gframt  = new BigDecimal("0.00");
        //外币币种
        private String gfrcur ;
        //选择序号
        private String selflg ;
































}