package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:mad:对账管理信息表
*/
@Table("mad")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Mad extends AbstractModule
{

        public Mad(){
            super();
        }

        public Mad(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "mad";
        }

        //唯一编号
        private String inr ;
        //行内关联编号
        private String hnglbh ;
        //账务日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date outdat;
        //币种
        private String rptcur ;
        //金额
        private BigDecimal rptamt  = new BigDecimal("0.00");
        //代理行行号
        private String agtextkey ;
        //账号
        private String agtact ;
        //报文状态
        private String recsta ;
        //收发标志
        private String dir ;
        //报文标识号
        private String msgref ;
        //所属落地机构
        private String bchcod ;
        //对账标识
        private String sigchk ;
        //业务流水
        private String trninr ;
        //申请记录
        private String sigapl ;
        //对象编号
        private String objinr ;
        //对象类型
        private String objtyp ;
        //处理状态
        private String hadsta ;
        //交易参考号
        private String ownref ;








































}