package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:notmsg:待推送消息表
*/
@Table("notmsg")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Notmsg extends AbstractModule
{

        public Notmsg(){
            super();
        }

        public Notmsg(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "notmsg";
        }

        //inr
        private String inr ;
        //消息类型
        private String msgtype ;
        //模板编号
        private String modnum ;
        //desc1
        private String desc1 ;
        //desc2
        private String desc2 ;
        //desc3
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date desc3;
        //desc4
        private String desc4 ;
        //desc5
        private String desc5 ;
        //desc6
        private String desc6 ;
        //desc7
        private String desc7 ;
        //desc8
        private String desc8 ;


























}