package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:ptr:(系统表)机构关系表
*/
@Table("ptr")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Ptr extends AbstractModule
{

        public Ptr(){
            super();
        }

        public Ptr(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "ptr";
        }

        //主键
        private String inr ;
        //前项机构编号
        private String preptyinr ;
        //后项机构编号
        private String nxtptyinr ;
        //关系类型
        private String ptrtyp ;
        //关系描述
        private String des ;
        //单一窗口归属机构标识
        private String issinglew ;
















}