package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:pty:(系统表)机构表
*/
@Table("pty")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Pty extends AbstractModule
{

        public Pty(){
            super();
        }

        public Pty(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "pty";
        }

        //唯一编号
        private String inr ;
        //实体机构状态
        private String status ;
        //机构类型
        private String ptytyp ;
        //上级机构
        private String pntinr ;
        //名称
        private String nam ;
        //所属实体
        private String etyinr ;
        //机构英文名称
        private String engnam ;
        //单证通注销时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date enddat;
        //核心编号
        private String cid ;
        //单证通开通时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date begdat;
        //BIC码/企业编号
        private String extkey ;
        //单证级别
        private String lvl ;
        //分行标识
        private String brhflg ;
        //机构级别
        private String brhlvl ;
        //银行机构核心名称
        private String orgnam ;
        //对公组织机构代码
        private String atccod ;
        //报关单经营单位代码
        private String bopcod ;
        //BIC码
        private String bic ;
        //业务机构年度考核分类
        private String chkcls ;
        //可否开办电子交单业务
        private String epable ;
        //电子交单开通日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date epodat;
        //电子交单关闭日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date epcdat;
        //账号类型
        private String acttyp ;
        //营业执照号码
        private String yyzzhm ;
        //法定代表人/负责人
        private String fddbr ;
        //网银编号
        private String ncid ;
        //司法诉讼地址
        private String judadr ;
        //是否开通网银
        private String isopnnetbank ;
        //核心机构号
        private String idc ;
        //社会信用代码
        private String cifno ;
        //单一窗口业务归属机构
        private String issinglew ;
        //协议版本号
        private String ver ;




































































}