package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:ptyref:(系统表)企业授权级别对照表
*/
@Table("ptyref")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Ptyref extends AbstractModule
{

        public Ptyref(){
            super();
        }

        public Ptyref(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "ptyref";
        }

        //数据键值
        private String inr ;
        //机构编号
        private String ptyinr ;
        //授权级别编号
        private String lvl ;
        //授权级别名称
        private String aut ;
        //描述信息
        private String txt ;














}