package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:rat:
*/
@Table("rat")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Rat extends AbstractModule
{

        public Rat(){
            super();
        }

        public Rat(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "rat";
        }

        //主键
        private String inr ;
        //年份
        private Integer year;
        //月份
        private String month ;
        //币种
        private String cur ;
        //一年期利率
        private BigDecimal oyrate  = new BigDecimal("0.00");
        //五年期利率
        private BigDecimal fyrate  = new BigDecimal("0.00");
















}