package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:rolpro:(系统表)银行角色权限表
*/
@Table("rolpro")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Rolpro extends AbstractModule
{

        public Rolpro(){
            super();
        }

        public Rolpro(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "rolpro";
        }

        //主键
        private String inr ;
        //角色编号
        private String rolinr ;
        //交易编号
        private String frminr ;
        //所属机构编号
        private String ptyinr ;
        //操作权限(浏览/操作)
        private String oprlvl ;
        //交易中文名称
        private String frmnam ;
















}