package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:sgd:(业务表)提货担保表
*/
@Table("sgd")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Sgd extends AbstractModule
{

        public Sgd(){
            super();
        }

        public Sgd(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "sgd";
        }

        //内部编号
        private String inr ;
        //到港日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date sgddat;
        //到货币别
        private String sgdcur ;
        //到货金额
        private BigDecimal sgdamt  = new BigDecimal("0.00");
        //父交易类别
        private String pnttyp ;
        //父交易inr号码
        private String pntinr ;
        //业务办理人员编号
        private String ownusr ;
        //提货担保业务编号
        private String ownref ;
        //唛头
        private String mark ;
        //实体机构编号
        private String etyinr ;
        //开立日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //业务关闭日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date clsdat;
        //提单号
        private String blnum ;
        //业务所属机构
        private String ptyinr ;
        //所属落地机构
        private String bchcod ;
        //货物重量
        private String weight ;
        //航次
        private String voynum ;
        //船名
        private String vesnam ;
        //STL编号
        private String stlref ;
        //货物数量
        private String gdsnum ;
        //货物名称
        private String gdsnam ;
        //保证金币别
        private String engcur ;
        //保证金金额
        private BigDecimal engamt  = new BigDecimal("0.00");
        //保证金账号
        private String engact ;
        //申请日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date opndat;
        //父交易REF
        private String pntref ;
        //父交易STLREF
        private String pntstlref ;
        //ibchcod
        private String ibchcod ;
        //dbchcod
        private String dbchcod ;






























































}