package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:shd:购汇额度申请单据信息表
*/
@Table("shd")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Shd extends AbstractModule
{

        public Shd(){
            super();
        }

        public Shd(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "shd";
        }

        //主键
        private String inr ;
        //自助售汇额度申请参考号
        private String edbusno ;
        //单据种类
        private String billtype ;
        //单据编号
        private String billno ;
        //单据编号(新)
        private String billnewno ;
        //单据金额
        private String billsum ;
        //最迟付汇日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date zcfhdat;
        //创建日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //修改时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date upddat;
        //删除状态
        private String deleted ;
        //最迟付汇日期(新)
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date zcfhnewdat;
        //流水号
        private String serialnum ;
        //录入时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date enterdat;






























}