package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:shm:
*/
@Table("shm")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Shm extends AbstractModule
{

        public Shm(){
            super();
        }

        public Shm(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "shm";
        }

        //主键
        private String inr ;
        //自助售汇额度申请参考号
        private String edbusno ;
        //结汇业务编号
        private String jhbusno ;
        //付汇业务编号
        private String fjbusno ;
        //购汇业务编号
        private String ghbusno ;
        //操作类型
        private String opertype ;
        //金额
        private BigDecimal paysum  = new BigDecimal("0.00");
        //可购汇额度
        private BigDecimal cansaleednew  = new BigDecimal("0.00");
        //已购金额(累计购汇金额)
        private BigDecimal havesalenew  = new BigDecimal("0.00");
        //已购未付金额
        private BigDecimal havegwfednew  = new BigDecimal("0.00");
        //已付汇金额
        private BigDecimal yifhjenew  = new BigDecimal("0.00");
        //已结汇金额
        private BigDecimal yijhjenew  = new BigDecimal("0.00");
        //可购汇额度(原金额)
        private BigDecimal cansaleed  = new BigDecimal("0.00");
        //已购金额(原金额)
        private BigDecimal havesale  = new BigDecimal("0.00");
        //已购未付金额(原金额)
        private BigDecimal havegwfed  = new BigDecimal("0.00");
        //已付汇金额(原金额)
        private BigDecimal yifhje  = new BigDecimal("0.00");
        //已结汇金额(原金额)
        private BigDecimal yijhje  = new BigDecimal("0.00");
        //客户号
        private String cusno ;
        //柜员号
        private String operno ;
        //填报人
        private String zhjnmc ;
        //修改原因
        private String reason ;
        //创建日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
















































}