package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:smh:(系统表)报文信息表
*/
@Table("smh")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Smh extends AbstractModule
{

        public Smh(){
            super();
        }

        public Smh(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "smh";
        }

        //唯一编号
        private String inr ;
        //业务表名称
        private String objtyp ;
        //业务表主键
        private String objinr ;
        //面函/回单附件
        private String xmlfil ;
        //订单编号
        private String ordinr ;
        //报文名称（tco/xml格式）
        private String tcofil ;
        //SWIFT报文名称
        private String sf2fil ;
        //报文收发时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date outdattim;
        //报文类型
        private String msgtyp ;
        //报文状态
        private String msgsta ;
        //文件清单名称
        private String lstfil ;
        //文件路径
        private String docpth ;
        //方向
        private String dir ;
        //创建用户
        private String creusr ;
        //报文创建日期时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credattim;
        //源业务流水号
        private String resnum ;
        //关联系统业务编号
        private String f21 ;
        //单证通业务编号
        private String f20 ;
        //企业主键
        private String ptyinr ;
        //业务归属机构主键
        private String bnkptyinr ;
        //源系统影像批次编号
        private String imgref ;
        //按钮描述
        private String labels ;
















































}