package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:spd:
*/
@Table("spd")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Spd extends AbstractModule
{

        public Spd(){
            super();
        }

        public Spd(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "spd";
        }

        //主键
        private String inr ;
        //关联业务类型
        private String objtyp ;
        //关联业务编号
        private String objinr ;
        //归属机构
        private String bchcod ;
        //申请时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //结汇类型
        private String spdtyp ;
        //其他结汇方式
        private String spdtypdes ;
        //外币付款账号
        private String outact ;
        //人民币收款账号
        private String cnyact ;
        //外币收款账号
        private String outactoth ;
        //外币收款账户开户行
        private String outactbnam ;
        //人民币收款账户开户行
        private String cnyactbnam ;
        //收款人名称（资本金项下）
        private String zbjbennam ;
        //外币币种
        private String cur ;
        //外币金额
        private BigDecimal amt  = new BigDecimal("0.00");
        //等值人民币
        private String chkcny ;
        //等值人民币金额
        private BigDecimal cnyamt  = new BigDecimal("0.00");
        //单位主体类型
        private String ptytyp ;
        //对公组织机构代码
        private String ptycno ;
        //交易编码
        private String trncod ;
        //交易附言
        private String trndes ;
        //外汇局批件号/备案表号/业务编号
        private String sptcno ;
        //结汇资金用途
        private String useoff ;
        //结汇资金详细用途
        private String useoffdes ;
        //联系电话
        private String lnktel ;
        //联系人名称
        private String lnknam ;
























































}