package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:stb:(静态表)码表
*/
@Table("stb")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Stb extends AbstractModule
{

        public Stb(){
            super();
        }

        public Stb(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "stb";
        }

        //主键
        private String inr ;
        //语种
        private String uil ;
        //文本
        private String txt ;
        //表名
        private String tbl ;
        //代码
        private String cod ;
        //影像批次号
        private String imgref ;
        //发布日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date opndat;
        //发布人
        private String lgnnam ;
        //公告主题
        private String themas ;






















}