package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:swinfo:
*/
@Table("swinfo")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Swinfo extends AbstractModule
{

        public Swinfo(){
            super();
        }

        public Swinfo(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "swinfo";
        }

        //inr
        private String inr ;
        //统一社会信用代码
        private String cifno ;
        //签约状态
        private String qysta ;
        //签约时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date qydate;
        //所有签约功能
        private String qyfunctions ;
        //解约时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date jydate;
        //客户cid
        private String cid ;
        //客户pty表主键
        private String cidptyinr ;
        //客户绑定状态
        private String bdsta ;
        //E结算开通状态
        private String esta ;
        //开通时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date edate;
        //E结算关闭时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date cdate;
        //客户绑定时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date bddate;
        //绑定解除时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date bdjydate;
































}