package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:szgit:
*/
@Table("szgit")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Szgit extends AbstractModule
{

        public Szgit(){
            super();
        }

        public Szgit(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "szgit";
        }

        //索引
        private String inr ;
        //平台业务编号
        private String ptbusino ;
        //是否分离式保函
        private String isdiscreted ;
        //是否融资类保函
        private String isfinancee ;
        //项目名称
        private String projectnam ;
        //保函种类
        private String lettertype ;
        //保函语言
        private String language ;
        //期望开立日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date hopeopentime;
        //是否转开
        private String istrasopen ;
        //收费账户
        private String feeaccount ;
        //是否标准文本
        private String isstandardtext ;
        //保函格式编号
        private String textcode ;
        //保函状态
        private String lgstatus ;
        //详细描述
        private String describe ;
        //先收后收
        private String xshs ;
        //修改后的保函到期日
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date xgbhdqdat;
        //效期
        private Integer expirudat;
        //效期延长/缩短
        private String edattyp ;
        //查询码
        private String showscode ;
        //保函手续费币种
        private String poundagecur ;
        //保函手续费金额
        private BigDecimal poundageamt  = new BigDecimal("0.00");
        //关联流水号
        private String msgref ;
        //额度类型
        private String edtyp ;
        //额度品种代码
        private String edpzcod ;
        //额度编号
        private String edno ;
        //额度明细编号
        private String edmxno ;
        //国结经办状态
        private String sstfsta ;
        //被保证人社会信用代码
        private String seccifno ;
        //保函文本对比结果
        private String txtyon ;
        //受益人名址
        private String benadrblk ;
        //被保证人名址
        private String secadrblk ;
        //加章类型
        private String esig ;




































































}