package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:szusraut:
*/
@Table("szusraut")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Szusraut extends AbstractModule
{

        public Szusraut(){
            super();
        }

        public Szusraut(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "szusraut";
        }

        //主键
        private String inr ;
        //操作员inr
        private String usrinr ;
        //机构inr
        private String ptyinr ;
        //经办
        private String aflg ;
        //复核
        private String bflg ;
        //处理额度
        private BigDecimal amt  = new BigDecimal("0.00");
        //最新配置时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date setdat;
        //配置柜员号
        private String peinam ;




















}