package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:tas:
*/
@Table("tas")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Tas extends AbstractModule
{

        public Tas(){
            super();
        }

        public Tas(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "tas";
        }

        //唯一编号
        private String inr ;
        //附件大小
        private String filsiz ;
        //附件文件名
        private String filnam ;
        //附件类型
        private String doctyp ;
        //企业名称
        private String entname ;
        //统一社会信用代码
        private String cifno ;
        //协议书号
        private String protocolno ;
        //签约功能
        private String functionts ;
        //业务参号
        private String ownref ;
        //报文标识号
        private String msgref ;
        //业务状态
        private String sta ;
        //致
        private String bchcod ;
        //日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date tatdate;
        //处理方式
        private String handletyp ;
        //退回附言
        private String reason ;


































}