package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:usr:(系统表)操作员信息表
*/
@Table("usr")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Usr extends AbstractModule
{

        public Usr(){
            super();
        }

        public Usr(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "usr";
        }

        //唯一编号
        private String inr ;
        //用户状态
        private String usrflg ;
        //电话
        private String tel ;
        //证书序号
        private String ser ;
        //密码
        private String pwd ;
        //默认所属机构
        private String ptyinr ;
        //网银编号
        private String ncid ;
        //手机
        private String mob ;
        //登录时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date logtim;
        //登录状态
        private String logsta ;
        //登录名称
        private String lgnnam ;
        //邮箱地址
        private String eml ;
        //客户号
        private String dn ;
        //所属部门
        private String depinr ;
        //核心编号
        private String cid ;
        //操作员名称
        private String oprnam ;
        //机构名称
        private String ptynam ;
        //所属部门名称
        private String depnam ;
        //企业操作员编号
        private String oid ;
        //类型
        private String otype ;
        //update time
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date updtim;
        //rolinr
        private String rolinr ;
        //密码输入次数
        private Integer filcnt;
        //密码过期日
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date valdat;
        //数据状态
        private String stat ;
        //notesid
        private String notesid ;
























































}