package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:usrlst:
*/
@Table("usrlst")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Usrlst extends AbstractModule
{

        public Usrlst(){
            super();
        }

        public Usrlst(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "usrlst";
        }

        //主键
        private String inr ;
        //操作员名称
        private String oprnam ;
        //操作员号
        private String lgnnam ;
        //操作员所属机构
        private String ptynam ;
        //是否有经办权限
        private String aflg ;
        //是否有复核权限
        private String bflg ;
        //最新配置时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date setdat;
        //配置人员
        private String peinam ;
        //机构主键
        private String ptyinr ;






















}