package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:wfd:(系统表)工序定义表
*/
@Table("wfd")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Wfd extends AbstractModule
{

        public Wfd(){
            super();
        }

        public Wfd(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "wfd";
        }

        //主键，步骤编号
        private String inr ;
        //流程名称
        private String nam ;
        //对象编号
        private String objinr ;
        //对象类型
        private String objtyp ;
        //请求流程
        private String req ;
        //回复流程
        private String rpl ;
        //内容描述
        private String txt ;


















}