package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:wft:(系统表)交易服务定制表
*/
@Table("wft")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Wft extends AbstractModule
{

        public Wft(){
            super();
        }

        public Wft(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "wft";
        }

        //数据键值
        private String inr ;
        //所属流程方向
        private String dir ;
        //交易代码
        private String frm ;
        //流程名称
        private String nam ;
        //对象编号
        private String objinr ;
        //对象类型
        private String objtyp ;
        //服务流程
        private String srv ;
        //交易步骤
        private String stp ;
        //描述信息
        private String txt ;
        //所属工序编号
        private String wfdinr ;
























}