package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:wic:
*/
@Table("wic")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Wic extends AbstractModule
{

        public Wic(){
            super();
        }

        public Wic(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "wic";
        }

        //内部编号
        private String inr ;
        //关联表主键
        private String objinr ;
        //交易方向
        private String jyfx ;
        //期权方向
        private String qqfx ;
        //结售汇方向
        private String jshfx ;
        //交易金额
        private BigDecimal amt  = new BigDecimal("0.00");
        //执行价格
        private BigDecimal zxamt  = new BigDecimal("0.00");
        //是否行权
        private String sfxq ;
        //序号
        private String no ;
        //删除标志
        private String modflg ;
        //objtyp
        private String objtyp ;


























}