package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:xptfaq:(系统表)专家咨询常见问题表
*/
@Table("xptfaq")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Xptfaq extends AbstractModule
{

        public Xptfaq(){
            super();
        }

        public Xptfaq(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "xptfaq";
        }

        //唯一编号
        private String inr ;
        //简述
        private String sub ;
        //问题分类
        private String quetyp ;
        //问题内容
        private String que ;
        //专家编号
        private String oprinr ;
        //解答内容
        private String ans ;
        //实体编号
        private String etyinr ;


















}