package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:xptinf:(系统表)专家信息表
*/
@Table("xptinf")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Xptinf extends AbstractModule
{

        public Xptinf(){
            super();
        }

        public Xptinf(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "xptinf";
        }

        //主键
        private String inr ;
        //专家编号
        private String oprinr ;
        //专家分机
        private String exptel ;
        //专家图像
        private String exppho ;
        //专家真实名称
        private String expnam ;
        //专家简介
        private String expinf ;
        //实体编号
        private String etyinr ;
        //专家昵称
        private String expniknam ;
        //专家系统登录名
        private String expusr ;
        //专家手机
        private String expmbl ;
        //专家上级主管编号
        private String expadminr ;
        //专家上级主管姓名
        private String expadmnam ;
        //专家状态
        private String xptsta ;






























}