package com.ceb.gjjs.mda.manager;

import java.util.*;
import java.math.BigDecimal;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.fasterxml.jackson.annotation.*;
import com.brilliance.mda.runtime.mda.util.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.vo.AutcfgVO;

import com.ceb.gjjs.mda.manager.module.Sysmod;
import com.ceb.gjjs.mda.bo.Ptyaut;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
/**
* 授权规则定义
*/
@Transaction(vo= AutcfgVO.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Autcfg extends AbstractTransaction{
		private static Logger log = LoggerFactory.getLogger(Autcfg.class);

        //保存
        private transient IControl save = new ControlImpl("save", "保存", this);
        //经办
        private String counter;
        //复核
        private String check;
        //授权
        private String accredit;
        //实体
        private String entity;
        //企业名称
        private String organ;
		@BDGetter
		private Sysmod sysmod;

		@BDGetter
		private Ptyaut ptyaut;

		@BDGetter
		private ModuleList<Ptyaut> lst;


		public Autcfg()
        {
            super();
            setArgument();
        }

        public void setArgument()
        {
        }














}