package com.ceb.gjjs.mda.manager;

import java.util.*;
import java.math.BigDecimal;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.fasterxml.jackson.annotation.*;
import com.brilliance.mda.runtime.mda.util.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.vo.ComcfmVO;

import com.ceb.gjjs.mda.manager.module.Cfmmod;
import com.ceb.gjjs.mda.manager.module.Sysmod;
import com.ceb.gjjs.mda.manager.module.Cfmp;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.manager.module.Cfmgrp;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
/**
* 公共证实交易
*/
@Transaction(vo= ComcfmVO.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Comcfm extends AbstractTransaction{
		private static Logger log = LoggerFactory.getLogger(Comcfm.class);

		@BDGetter
		private Cfmgrp cfmgrp;

		@BDGetter
		private Cfmmod cfmmod;

		@BDGetter
		private Cfmp cfmp;

		@BDGetter
		private Sysmod sysmod;


		public Comcfm()
        {
            super();
            setArgument();
        }

        public void setArgument()
        {
        }









}