package com.ceb.gjjs.mda.manager;

import java.util.*;
import java.math.BigDecimal;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.fasterxml.jackson.annotation.*;
import com.brilliance.mda.runtime.mda.util.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.vo.DbbplaVO;

import com.ceb.gjjs.mda.manager.module.Sysmod;
import com.ceb.gjjs.mda.manager.module.Plamod;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.manager.module.Plap;
import com.ceb.gjjs.mda.manager.module.Plagrp;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
/**
* 平台管理
*/
@Transaction(vo= DbbplaVO.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Dbbpla extends AbstractTransaction{
		private static Logger log = LoggerFactory.getLogger(Dbbpla.class);

		@BDGetter
		private Plagrp plagrp;

		@BDGetter
		private Plap plap;

		@BDGetter
		private Sysmod sysmod;

		@BDGetter
		private Plamod plamod;


		public Dbbpla()
        {
            super();
            setArgument();
        }

        public void setArgument()
        {
           this.getPlap().setPlagrpHolder(()->this.getPlagrp());
           this.getPlamod().setPlagrpHolder(()->this.getPlagrp());
        }



        /**
        *   source:dbbpla.@0009.script
        */
        @Init(order=100)
        public boolean	init100(){
            IContext ctx = MdaEnv.getContext();
            


			return true;
        }







}