package com.ceb.gjjs.mda.manager;

import java.util.*;
import java.math.BigDecimal;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.fasterxml.jackson.annotation.*;
import com.brilliance.mda.runtime.mda.util.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.vo.MakdocVO;

import com.ceb.gjjs.mda.manager.module.Sysmod;
import com.ceb.gjjs.mda.manager.module.Docgrp;
import com.ceb.gjjs.mda.manager.module.Docp;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.manager.module.Docmod;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
/**
* 面函制作
*/
@Transaction(vo= MakdocVO.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Makdoc extends AbstractTransaction{
		private static Logger log = LoggerFactory.getLogger(Makdoc.class);

		@BDGetter
		private Docgrp docgrp;

		@BDGetter
		private Docmod docmod;

		@BDGetter
		private Docp docp;

		@BDGetter
		private Sysmod sysmod;


		public Makdoc()
        {
            super();
            setArgument();
        }

        public void setArgument()
        {
           this.getDocmod().setDocgrpHolder(()->this.getDocgrp());
           this.getDocp().setDocgrpHolder(()->this.getDocgrp());
        }









}