package com.ceb.gjjs.mda.manager;

import java.util.*;
import java.math.BigDecimal;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.fasterxml.jackson.annotation.*;
import com.brilliance.mda.runtime.mda.util.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.vo.TrntstVO;

import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
/**
* 交易性能测试
*/
@Transaction(vo= TrntstVO.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Trntst extends AbstractTransaction{
		private static Logger log = LoggerFactory.getLogger(Trntst.class);

        //执行脚本
        private transient IControl test = new ControlImpl("test", "执行脚本", this);

		public Trntst()
        {
            super();
            setArgument();
        }

        public void setArgument()
        {
        }

        /**
        *   source:trntst.@0000.script
        */
        @Rule(target="test",order=100)
        public boolean ruleTestN100(){
            IContext ctx = MdaEnv.getContext();
            
			log.debug("{}","into test");
			MdaUtils.invoke("org.sss.etrade.EibsClient","test");

			return true;
        }






}