package com.ceb.gjjs.mda.manager;

import java.util.*;
import java.math.BigDecimal;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.fasterxml.jackson.annotation.*;
import com.brilliance.mda.runtime.mda.util.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.vo.XptinsVO;

import com.ceb.gjjs.mda.manager.module.Btnmod;
import com.ceb.gjjs.mda.manager.module.Sysmod;
import com.ceb.gjjs.mda.manager.module.Xptp;
import com.ceb.gjjs.mda.manager.module.Xptbtn;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.manager.module.Xptgrp;
import com.ceb.gjjs.mda.manager.module.Xptmod;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
/**
* 专家咨询功能介绍
*/
@Transaction(vo= XptinsVO.class)
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Xptins extends AbstractTransaction{
		private static Logger log = LoggerFactory.getLogger(Xptins.class);

		@BDGetter
		private Xptgrp xptgrp;

		@BDGetter
		private Xptmod xptmod;

		@BDGetter
		private Xptp xptp;

		@BDGetter
		private Xptbtn xptbtn;

		@BDGetter
		private Sysmod sysmod;

		@BDGetter
		private Btnmod btnmod;


		public Xptins()
        {
            super();
            setArgument();
        }

        public void setArgument()
        {
           this.getXptmod().setXptgrpHolder(()->this.getXptgrp());
           this.getXptp().setXptgrpHolder(()->this.getXptgrp());
        }











}