package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Acdp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Acdp.class);

        //提交
        private transient IControl save = new ControlImpl("save", "提交", this);

        //返回
        private transient IControl exit = new ControlImpl("exit", "返回", this);

        //影像查阅
        private transient IControl imgviw = new ControlImpl("imgviw", "影像查阅", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel mainp;

        @JsonIgnore
        @BDGetter
        private transient IPanel huizhip;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Acdgrp> acdgrp;

	    @BDGetter
		private Pdfviw pdfviw;


		public Acdp()
        {
            super();
            setArgument();
        }

        public Acdp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setAcdgrpHolder(ModuleHolder<Acdgrp> acdgrp)
        {
           this.acdgrp = acdgrp;
        }

        public Acdgrp getAcdgrp()
        {
           return this.acdgrp.get();
        }









}