package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Act;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Actmod extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Actmod.class);

        //账号选择
        private transient IControl actslt = new ControlImpl("actslt", "账号选择", this);

        //账号取消
        private transient IControl actrtn = new ControlImpl("actrtn", "账号取消", this);

        //远端账号选择
        private transient IControl yd = new ControlImpl("yd", "远端账号选择", this);

        //人民币账号选择
        private transient IControl rmb = new ControlImpl("rmb", "人民币账号选择", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel actsel;


	    @BDGetter
		private Act act;

		@BDGetter
		private ModuleList<Act> actlst;


		public Actmod()
        {
            super();
            setArgument();
        }

        public Actmod(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }

        /**
        *   source:actmod.@0000.script
        */
        @Rule(target="actrtn",order=100)
        public boolean ruleActrtnN100(){
            IContext ctx = MdaEnv.getContext();
            
			

			return true;
        }



        /**
        *   source:actmod.@0004.script
        */
        @Init(order=100)
        public boolean	init100(){
            IContext ctx = MdaEnv.getContext();
            
			log.debug("{}","交易代码： "+ctx.getTransName());
			if(!"gstopn".equals(ctx.getTransName()))
			{
			  
			  
			}
			
			

			return true;
        }


        /**
        *   source:actmod.@0002.script
        */
        public void setAct(String cur)
		{
			//取得上下文
			IContext ctx = MdaEnv.getContext();
			ctx.setErrorCode(NO_ERROR);
			MdaUtils.clear(this.getActlst());
			String ptyinr = ctx.absGet(Sysmod.class).getPty().getInr();
			ctx.getDaoSession().dbReadset(this.getActlst(),new Argument<String>("cur",cur),new Argument<String>("ptyinr",ptyinr));
			
			
		}













}