package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Agtp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Agtp.class);

        //新增
        private transient IControl add = new ControlImpl("add", "新增", this);

        //删除
        private transient IControl delete = new ControlImpl("delete", "删除", this);

        //保存
        private transient IControl submit = new ControlImpl("submit", "保存", this);

        //修改
        private transient IControl modify = new ControlImpl("modify", "修改", this);

        //搜索
        private transient IControl search = new ControlImpl("search", "搜索", this);

        //银行标识码
        private String bic;

        //批量导入
        private IStream addlst = new StreamImpl();

        //导入信息
        private String shwinf;

        //确定
        private transient IControl closep = new ControlImpl("closep", "确定", this);

        //全部删除
        private transient IControl alldel = new ControlImpl("alldel", "全部删除", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel selagt;

        @JsonIgnore
        @BDGetter
        private transient IPanel shwagt;

        @JsonIgnore
        @BDGetter
        private transient IPanel ininf;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Agtgrp> agtgrp;


		public Agtp()
        {
            super();
            setArgument();
        }

        public Agtp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setAgtgrpHolder(ModuleHolder<Agtgrp> agtgrp)
        {
           this.agtgrp = agtgrp;
        }

        public Agtgrp getAgtgrp()
        {
           return this.agtgrp.get();
        }





















}