package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Apd;
import com.ceb.gjjs.mda.bo.Ixd;
import com.ceb.gjjs.mda.bo.Bxd;
import com.ceb.gjjs.mda.bo.Mar;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Mxd;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 进口代付表数据集
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Apdgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Apdgrp.class);

        //申请人名称
        private String aplnam;

        //保证金业务签订
        private String checked;

        //进口代付申请书
        private String checked1;

        //进口代付协议
        private String checked2;

        //保证金协议与委托扣划申请
        private String checked3;

        //同意
        private String agree;

        //Tips:操作指引
        private String tips;

        //影像资料
        private String checked4;

        //组报文配置名
        private String subword;



	    @BDGetter
		private Apd rec;

	    @BDGetter
		private Ptspta dap;

	    @BDGetter
		private Ptspta apl;

	    @BDGetter
		private Ixd ixd;

	    @BDGetter
		private Bxd bxd;

	    @BDGetter
		private Mar mar;

		@BDGetter
		private ModuleList<Mxd> mxdlst;


		public Apdgrp()
        {
            super();
            setArgument();
        }

        public Apdgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





































}