package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Authp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Authp.class);

        //查看
        private transient IControl sel = new ControlImpl("sel", "查看", this);

        //授权展示界面
        private String display;

        //授权
        private transient IControl grant = new ControlImpl("grant", "授权", this);

        //返回
        private transient IControl rtn = new ControlImpl("rtn", "返回", this);

        //数据流
        private IStream stream = new StreamImpl();

        //拒绝
        private transient IControl reject = new ControlImpl("reject", "拒绝", this);

        //起始时间
        private Date startdate;

        //结束时间
        private Date enddate;

        //授权状态
        private String stat;

        //查询
        private transient IControl query = new ControlImpl("query", "查询", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel shwauthlst;

        @JsonIgnore
        @BDGetter
        private transient IPanel aut;

        @JsonIgnore
        @BDGetter
        private transient IPanel qry;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Authgrp> authgrp;


		public Authp()
        {
            super();
            setArgument();
        }

        public Authp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setAuthgrpHolder(ModuleHolder<Authgrp> authgrp)
        {
           this.authgrp = authgrp;
        }

        public Authgrp getAuthgrp()
        {
           return this.authgrp.get();
        }





















}