package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Bed;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Cls;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bedgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Bedgrp.class);

        //修改单据币种
        private String cur;

        //修改单据金额
        private BigDecimal amt = new BigDecimal("0.00");

        //变更到期日
        private Date dat;

        //申请人
        private String aplnam;

        //操作类型Label
        private String oprlabel;

        //单据信息
        private String docinf;

        //寄单次数
        private String send;

        //增额
        private String added;

        //减额
        private String deducted;

        //期限
        private String tenors;

        //
        private String docnum;

        //
        private String doccpy;

        //
        private String doctyp;

        //Maturity Date
        private String matlab;

        //币种
        private String fnccur;

        //币种
        private String bkccur;

        //邮电费
        private String ptcfee;

        //邮电费币别
        private String ptccur;

        //入账币别
        private String acccur;



	    @BDGetter
		private Bed rec;

	    @BDGetter
		private Ptspta isb;

	    @BDGetter
		private Ptspta ben;

	    @BDGetter
		private Ptspta apl;

	    @BDGetter
		private Ptspta beb;

	    @BDGetter
		private Ptspta oth;

	    @BDGetter
		private Ptspta dre;

	    @BDGetter
		private Ptspta dap;

	    @BDGetter
		private Bnkrecd bnkrecd;

	    @BDGetter
		private Cmcrecd cmcrecd;

	    @BDGetter
		private Docdft docdft;

	    @BDGetter
		private Ptspta rmb;

	    @BDGetter
		private Cls cls;

	    @BDGetter
		private Pdfviw pdfviw;


		public Bedgrp()
        {
            super();
            setArgument();
        }

        public Bedgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }







































































}