package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Benpage extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Benpage.class);

        //币种中文名称
        private String bennam;

        //币种英文名称
        private String engnam;

        //受益人地址
        private String benadr;

        //受益人电话
        private String bentel;

        //受益人传真
        private String benfax;

        //收款人所在国别或地区(字母)
        private String pyecry;

        //收款人所在国别或地区(中文)
        private String ctydes;

        //收款人账号
        private String pyeact;

        //收款人开户行名称
        private String acwnam;

        //收款人开户行地址
        private String swtcod;

        //收款行代理行名称
        private String rcpnam;

        //收款行代理行地址
        private String rcpswtcod;

        //收款银行在其代理行帐号
        private String rcpact;

        //是否启用
        private String isenable;

        //收款人开户行名称
        private String swtnam;

        //收款行代理行名称
        private String rcpswtnam;




		public Benpage()
        {
            super();
            setArgument();
        }

        public Benpage(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





































}