package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Pty;
import com.ceb.gjjs.mda.bo.Msg;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bmsp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Bmsp.class);

        //搜索
        private transient IControl search = new ControlImpl("search", "搜索", this);

        //机构号或名称
        private String cidnam;

        //下一步
        private transient IControl next = new ControlImpl("next", "下一步", this);

        //保存
        private transient IControl sav = new ControlImpl("sav", "保存", this);

        //全选
        private transient IControl all = new ControlImpl("all", "全选", this);

        //修改
        private transient IControl savalt = new ControlImpl("savalt", "修改", this);

        //新增
        private transient IControl add = new ControlImpl("add", "新增", this);

        //已开通交易
        private String allfrm;


        @JsonIgnore
        @BDGetter
        private transient IPanel bchpty;

        @JsonIgnore
        @BDGetter
        private transient IPanel flgctr;

        @JsonIgnore
        @BDGetter
        private transient IPanel selalt;


	    @BDGetter
		private Pty pty;

		@BDGetter
		private ModuleList<Pty> ptylst;

	    @BDGetter
		private Msg msg;

		@BDGetter
		private ModuleList<Msg> msglst;


		public Bmsp()
        {
            super();
            setArgument();
        }

        public Bmsp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





























}