package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 银行审单记录及委办事项
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bnkrec extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Bnkrec.class);

        //托收行费用
        private String agbchrgby;

        //代收行费用
        private String rmichrgby;


        @JsonIgnore
        @BDGetter
        private transient IPanel imcltp;

        @JsonIgnore
        @BDGetter
        private transient IPanel excltp;

        @JsonIgnore
        @BDGetter
        private transient IPanel betrgf;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Bnkrecd> bnkrecd;

		@Module(getter = false, setter = false)
        private transient ModuleHolder<Cmcrecd> cmcrecd;


		public Bnkrec()
        {
            super();
            setArgument();
        }

        public Bnkrec(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setBnkrecdHolder(ModuleHolder<Bnkrecd> bnkrecd)
        {
           this.bnkrecd = bnkrecd;
        }

        public Bnkrecd getBnkrecd()
        {
           return this.bnkrecd.get();
        }

        public void setCmcrecdHolder(ModuleHolder<Cmcrecd> cmcrecd)
        {
           this.cmcrecd = cmcrecd;
        }

        public Cmcrecd getCmcrecd()
        {
           return this.cmcrecd.get();
        }





}