package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 银行待办文件夹查询列表信息
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bsplst extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Bsplst.class);

        //业务状态
        private String sta;

        //唯一编号
        private String smhinr;

        //业务所属机构
        private String ptyinr;

        //经办人（对于VIP用户）
        private String oprusrinr;

        //业务经办机构
        private String oprogninr;

        //对象类型
        private String objtyp;

        //对象编号
        private String objinr;

        //业务编号
        private String ownref;

        //交易名称
        private String frm;

        //创建日期时间
        private Date dattim;

        //业务来源
        private String scr;

        //业务来源参数
        private String scrtxt;

        //业务来源机构
        private String scrpty;

        //主题
        private String nam;

        //业务名称
        private String objnam;

        //订单号
        private String ordinr;

        //交易币种
        private String trncur;

        //交易金额
        private BigDecimal trnamt = new BigDecimal("0.00");

        //选择标志
        private String selflg;

        //汇款类型
        private String inoutflg;

        //国业参号
        private String stlref;

        //业务所需签字列表
        private String relreq;

        //业务当前签字信息
        private String relres;

        //主键
        private String inr;

        //复核授权信息
        private String nxtlev;




		public Bsplst()
        {
            super();
            setArgument();
        }

        public Bsplst(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }























































}