package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 业务要素信息
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Businf extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Businf.class);

        //业务表名称
        private String objtyp;

        //业务表主键
        private String objinr;

        //业务编号
        private String ownref;

        //相关业务编号
        private String ref;

        //币种
        private String cur;

        //业务金额
        private BigDecimal amt = new BigDecimal("0.00");

        //业务经办机构主键
        private String bnkinr;

        //业务经办机构名称
        private String bnknam;

        //业务归属机构代码
        private String bchcod;

        //企业/商行主键
        private String cliinr;

        //企业/商行名称
        private String clinam;

        //二级客户主键
        private String cl2inr;

        //二级客户名称
        private String cl2nam;

        //业务经办机构实体组主键
        private String bnketginr;

        //业务经办机构实体
        private String bnketyinr;

        //商行/企业客户的实体主键
        private String clietyinr;

        //商行/企业客户实体组主键
        private String clietginr;

        //业务落地交易
        private String inifrm;

        //创建日期
        private Date credat;

        //核心客户号
        private String clientid;

        //交易描述
        private String objnam;

        //影像批次号
        private String imgref;

        //关联系统流水号
        private String resnum;

        //相关系统业务编号
        private String stlref;

        //预通知号
        private String dstlref;




		public Businf()
        {
            super();
            setArgument();
        }

        public Businf(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }























































}