package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* Main Function for 公共申请
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Commod extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Commod.class);



		@Module(getter = false, setter = false)
        private transient ModuleHolder<Comgrp> comgrp;


		public Commod()
        {
            super();
            setArgument();
        }

        public Commod(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setComgrpHolder(ModuleHolder<Comgrp> comgrp)
        {
           this.comgrp = comgrp;
        }

        public Comgrp getComgrp()
        {
           return this.comgrp.get();
        }

}