package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Pty;
import com.ceb.gjjs.mda.bo.Tde;
import com.ceb.gjjs.mda.bo.Trn;
import com.ceb.gjjs.mda.bo.Cimp;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Apyctm;
import com.ceb.gjjs.mda.bo.Cty;
import com.ceb.gjjs.mda.bo.Cpd;
import com.ceb.gjjs.mda.bo.Spt;
import com.ceb.gjjs.mda.bo.Rpd;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Cpdgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Cpdgrp.class);

        //报关单号集合
        private String atcnum;

        //报关币种集合
        private String atccur;

        //报关金额集合
        private String atcamt;

        //核注币种集合
        private String chkcur;

        //核注金额集合
        private String chkamt;

        //电话
        private String tel;

        //申请人电话
        private String apltel;

        //申请人名称
        private String aplnam;

        //2位国家代码
        private String cod;

        //国家中文名
        private String ctydes;

        //批量上传对象
        private Object implstobj;

        //银行代办批量汇款时选择的企业
        private String epsptyinr;

        //文本
        private String label;

        //银行代办批量汇款时选择的企业名称
        private String epsptynam;

        //150
        private String tempnam;

        //代理行名称地址
        private String intbic;

        //收款行名称地址
        private String benbic;

        //收款人账号地址
        private String benacc;

        //Others (其他) 
        private String others;

        //附言
        private String message;

        //选项
        private String retflg;

        //账号
        private String acc;

        //选项2
        private String retflg2;

        //查询事项
        private String inftxt;

        //附言
        private String oprtxt;

        //电汇
        private String wtranfer;

        //信汇
        private String mtranfer;

        //票汇
        private String dtranfer;

        //操作员名称
        private String oprnam;

        //接口测试
        private transient IControl test = new ControlImpl("test", "接口测试", this);

        //预通知号
        private String ownref;

        //交易编码
        private String bopcod;

        //是否跳过发票核验
        private String isskip;

        //物流状态
        private String transsta;



	    @BDGetter
		private Cpd rec;

	    @BDGetter
		private Ptspta apl;

	    @BDGetter
		private Ptspta ben;

	    @BDGetter
		private Ptspta acw;

	    @BDGetter
		private Ptspta rcp;

	    @BDGetter
		private Ptspta pay;

		@BDGetter
		private ModuleList<Cty> ctylst;

		@BDGetter
		private ModuleList<Apyctm> apyctmlst;

	    @BDGetter
		private Apyctm apyctm;

	    @BDGetter
		private Ptspta dap;

	    @BDGetter
		private Ptspta trp;

		@BDGetter
		private ModuleList<Cpd> cpdlst;

	    @BDGetter
		private Cty cty;

		@BDGetter
		private ModuleList<Cimp> implst;

		@BDGetter
		private ModuleList<Trn> trnlst;

		@BDGetter
		private ModuleList<Pty> epslst;

	    @BDGetter
		private Invs invs;

	    @BDGetter
		private Spt spt;

	    @BDGetter
		private Tde tde;

	    @BDGetter
		private Rpd rpd;


		public Cpdgrp()
        {
            super();
            setArgument();
        }

        public Cpdgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }

















































































































}