package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Apyctm;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 报关单信息录入
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Cusp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Cusp.class);

        //新增
        private transient IControl add = new ControlImpl("add", "新增", this);

        //删除
        private transient IControl del = new ControlImpl("del", "删除", this);

        //修改
        private transient IControl modify = new ControlImpl("modify", "修改", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel custp;


		@BDGetter
		private ModuleList<Apyctm> apyctm;


		public Cusp()
        {
            super();
            setArgument();
        }

        public Cusp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }













}