package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Cxmp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Cxmp.class);

        //开始日期
        private Date stadat;

        //结束日期
        private Date stodat;

        //查询
        private transient IControl serachs = new ControlImpl("serachs", "查询", this);

        //刷新
        private transient IControl frush = new ControlImpl("frush", "刷新", this);

        //导出
        private IStream download = new StreamImpl();


        @JsonIgnore
        @BDGetter
        private transient IPanel cxmt01;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Cxmgrp> cxmgrp;


		public Cxmp()
        {
            super();
            setArgument();
        }

        public Cxmp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setCxmgrpHolder(ModuleHolder<Cxmgrp> cxmgrp)
        {
           this.cxmgrp = cxmgrp;
        }

        public Cxmgrp getCxmgrp()
        {
           return this.cxmgrp.get();
        }











}