package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Cxstp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Cxstp.class);

        //保存
        private transient IControl save = new ControlImpl("save", "保存", this);

        //客户号
        private String ecifno;

        //业务参考号
        private String businessno;

        //额度操作标标识
        private String eduflag;

        //是否结汇
        private String jiehsign;

        //最迟购汇日期
        private Date zcghdat;

        //影像id
        private String guid;

        //重新生效原因
        private String reores;

        //流水号
        private String serialnum;

        //录入时间
        private Date enterdat;


        @JsonIgnore
        @BDGetter
        private transient IPanel mainp;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Cxsgrp> cxsgrp;


		public Cxstp()
        {
            super();
            setArgument();
        }

        public Cxstp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setCxsgrpHolder(ModuleHolder<Cxsgrp> cxsgrp)
        {
           this.cxsgrp = cxsgrp;
        }

        public Cxsgrp getCxsgrp()
        {
           return this.cxsgrp.get();
        }





















}