package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Dec;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Bopcod;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 申报模块
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Decgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Decgrp.class);

        //是否为预收贷款
        private String paytypey;

        //paymethod的码表字符串
        private String methodslst;

        //境内收入类型payttr的lst
        private String payttrlst;

        //收账结汇日
        private String paydate;

        //填报日期
        private String repdat;


        @JsonIgnore
        @BDGetter
        private transient IPanel decinf;

        @JsonIgnore
        @BDGetter
        private transient IPanel codlst;


	    @BDGetter
		private Dec rec;

		@BDGetter
		private ModuleList<Bopcod> boplst;


		public Decgrp()
        {
            super();
            setArgument();
        }

        public Decgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }




        /**
        *   source:decgrp.@0006.script
        */
        public void checkAmt(IDatafield<BigDecimal> field)
		{
			//取得上下文
			IContext ctx = MdaEnv.getContext();
			ctx.setErrorCode(NO_ERROR);
			BigDecimal amt = field.getValue();
			int num = amt.signum();
			if(num<0)
			{
			  MdaUtils.clear(field);
			  
			  ctx.setFieldError(field,MdaUtils.getI18NString("decgrp","CT000046"));
			  return;
			}
		}















}