package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Did;
import com.ceb.gjjs.mda.bo.Dit;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 国内信用证数据集
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Didgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Didgrp.class);

        //同意申明条款
        private String agree;

        //货描和贸易术语
        private String swfa;

        //附加条款和溢短装
        private String swfd;

        //转递标志
        private String trsflg;

        //
        private String bchcod;

        //
        private String bnkbchcod;

        //提交其他申请标志
        private String aploth;

        //其他申请内容
        private String aplothtxt;

        //其他申请标题
        private String aplothtxttip;

        //其他申请在pdf的内容
        private String aplothpdftxt;

        //开证申请人申明标题
        private String apltitle;

        //远期天数
        private int tedays;

        //远期天数
        private String usapro;

        //修改内容汇总
        private String ameblk;

        //信用证最大金额
        private BigDecimal maximum = new BigDecimal("0.00");

        //信用证最大金额大写
        private String capital;



	    @BDGetter
		private Did rec;

	    @BDGetter
		private Dit blk;

	    @BDGetter
		private Ptspta apl;

	    @BDGetter
		private Ptspta ben;

	    @BDGetter
		private Ptspta adv;

	    @BDGetter
		private Ptspta dre;

	    @BDGetter
		private Ptspta mben;

	    @BDGetter
		private Ptspta aplb;

	    @BDGetter
		private Ptspta isb;

	    @BDGetter
		private Ptspta rmb;

	    @BDGetter
		private Ptspta tdb;

	    @BDGetter
		private Ptspta avb;

	    @BDGetter
		private Ptspta dap;

	    @BDGetter
		private Ptspta trp;

	    @BDGetter
		private Ptspta neg;

	    @BDGetter
		private Ptspta con;

	    @BDGetter
		private Ptspta adt;


		public Didgrp()
        {
            super();
            setArgument();
        }

        public Didgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }

        /**
        *   source:didgrp.@0004.script
        */
        @Rule(target="ameblk",order=100)
        public boolean ruleAmeblkN100(){
            IContext ctx = MdaEnv.getContext();
            

			return true;
        }







































































}