package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Djb extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Djb.class);

        //选择标记
        private String selflg;

        //业务编码
        private String businessno;

        //币种
        private String currency;

        //金额
        private BigDecimal paysum = new BigDecimal("0.00");

        //可购汇额度
        private BigDecimal cansaleed = new BigDecimal("0.00");

        //已购金额
        private BigDecimal havesale = new BigDecimal("0.00");

        //已购未付金额
        private BigDecimal havegwfed = new BigDecimal("0.00");

        //已付汇金额
        private BigDecimal yifhje = new BigDecimal("0.00");

        //申请状态
        private String applystatus;

        //已结汇金额
        private BigDecimal yijhje = new BigDecimal("0.00");

        //唯一编码
        private String inr;




		public Djb()
        {
            super();
            setArgument();
        }

        public Djb(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }



























}