package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Eabp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Eabp.class);

        //归属机构
        private String ownbch;

        //日期
        private Date credat;

        //银行绑定号
        private String cusid;

        //绑定结果
        private String result;

        //失败原因
        private String reason;

        //三方协议是否开通用户绑定功能
        private String yesno;

        //退出
        private transient IControl exit = new ControlImpl("exit", "退出", this);

        //提交
        private transient IControl save = new ControlImpl("save", "提交", this);

        //退回单一窗口
        private transient IControl backsw = new ControlImpl("backsw", "退回单一窗口", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel mainp;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Eabgrp> eabgrp;


		public Eabp()
        {
            super();
            setArgument();
        }

        public Eabp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setEabgrpHolder(ModuleHolder<Eabgrp> eabgrp)
        {
           this.eabgrp = eabgrp;
        }

        public Eabgrp getEabgrp()
        {
           return this.eabgrp.get();
        }



















}