package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Pty;
import com.ceb.gjjs.mda.bo.Brd;
import com.ceb.gjjs.mda.bo.Bcd;
import com.ceb.gjjs.mda.bo.Shd;
import com.ceb.gjjs.mda.bo.Afd;
import com.ceb.gjjs.mda.bo.Shs;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Fqd;
import com.ceb.gjjs.mda.bo.Shm;
import com.ceb.gjjs.mda.bo.Cpd;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Feqgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Feqgrp.class);

        //结售汇单位主体
        private String shbody;

        //单位组织机构代码
        private String othcno;

        //结汇资金用途
        private String usage;

        //人民币账户
        private String duifzh;

        //
        private String stttyp;

        //创建时间
        private Date credat;



	    @BDGetter
		private Shs rec;

	    @BDGetter
		private Shd shd;

		@BDGetter
		private ModuleList<Shd> shdlst;

	    @BDGetter
		private Pty pty;

		@BDGetter
		private ModuleList<Djb> djblst;

		@BDGetter
		private ModuleList<Fsq> fsqlst;

	    @BDGetter
		private Shm shm;

	    @BDGetter
		private Fqd fqd;

	    @BDGetter
		private Cpd cpd;

	    @BDGetter
		private Afd afd;

	    @BDGetter
		private Brd brd;

	    @BDGetter
		private Bcd bcd;


		public Feqgrp()
        {
            super();
            setArgument();
        }

        public Feqgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }









































}