package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fytp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Fytp.class);

        //选择
        private transient IControl select = new ControlImpl("select", "选择", this);

        //福费廷协议
        private transient IControl xypdf = new ControlImpl("xypdf", "福费廷协议", this);

        //临时流
        private IStream tmpstm = new StreamImpl();

        //单证通影像批次号
        private String dztimgref;

        //二次退回PDF
        private transient IControl xgpdf = new ControlImpl("xgpdf", "二次退回PDF", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel fytopn01;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytopn02;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytopn03;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytmdl01;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytmdl03;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytmdl05;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytmdl07;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytmdl08;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytmdl09;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytopn05;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytdav01;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytadv02;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytdav03;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytcfm01;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytcfm02;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytcfm03;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytcfm04;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytopn07;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytopn08;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytcfm05;

        @JsonIgnore
        @BDGetter
        private transient IPanel fytcfm06;


	    @BDGetter
		private Stpmod stpmod;

		@Module(getter = false, setter = false)
        private transient ModuleHolder<Fydgrp> fydgrp;

	    @BDGetter
		private Cidmod cidmod;

	    @BDGetter
		private Bummod bummod;

	    @BDGetter
		private Pdfviw pdfviw;


		public Fytp()
        {
            super();
            setArgument();
        }

        public Fytp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }







        public void setFydgrpHolder(ModuleHolder<Fydgrp> fydgrp)
        {
           this.fydgrp = fydgrp;
        }

        public Fydgrp getFydgrp()
        {
           return this.fydgrp.get();
        }

















}