package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 海运费查询表头
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Hyf extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Hyf.class);

        //交易时间
        private Date credat;

        //参考号（e结算）
        private String ownref;

        //银行业务编码
        private String stlref;

        //收款人名称
        private String payeenameapp;

        //汇款人名称
        private String paynam;

        //汇款币种
        private String remcur;

        //汇款金额
        private long remamt;

        //购汇金额
        private long puramt;

        //现汇金额
        private long fxamt;

        //收款人常驻国家或地区代码
        private String countryname;

        //交易编码1
        private String bopcod1;

        //相关金额1
        private long bopamt1;

        //交易编码2
        private String bopcod2;

        //相关金额2
        private long bopamt2;

        //分行名称
        private String brhnam;

        //支行名称
        private String sbrhnam;




		public Hyf()
        {
            super();
            setArgument();
        }

        public Hyf(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





































}