package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Xptqna;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Letp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Letp.class);

        //专家咨询
        private transient IControl xptslt = new ControlImpl("xptslt", "专家咨询", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel letp01;

        @JsonIgnore
        @BDGetter
        private transient IPanel letp02;

        @JsonIgnore
        @BDGetter
        private transient IPanel letp03;

        @JsonIgnore
        @BDGetter
        private transient IPanel letp04;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Afdgrp> afdgrp;

		@Module(getter = false, setter = false)
        private transient ModuleHolder<Ledgrp> ledgrp;

	    @BDGetter
		private Ptsp benp;

	    @BDGetter
		private Ptsp isbp;

	    @BDGetter
		private Xptqna xptqna;

	    @BDGetter
		private Ptsp aplp;

	    @BDGetter
		private Pdfviw pdfviw;


		public Letp()
        {
            super();
            setArgument();
        }

        public Letp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
            this.getBenp().setPtsptaHolder(()->this.getLedgrp().getBen());
            this.getBenp().setBelongtoHolder(new FieldConstantHolder<>("led"));
            this.getBenp().setFlgHolder(new FieldConstantHolder<>("ben"));
            this.getBenp().setRolHolder(new FieldConstantHolder<>("ben"));
            this.getIsbp().setPtsptaHolder(()->this.getLedgrp().getIsb());
            this.getIsbp().setBelongtoHolder(new FieldConstantHolder<>("led"));
            this.getIsbp().setFlgHolder(new FieldConstantHolder<>("agt"));
            this.getIsbp().setRolHolder(new FieldConstantHolder<>("isb"));
            this.getAplp().setPtsptaHolder(()->this.getLedgrp().getApl());
            this.getAplp().setRolHolder(new FieldConstantHolder<>("apl"));
            this.getAplp().setBelongtoHolder(new FieldConstantHolder<>("led"));
            this.getAplp().setFlgHolder(new FieldConstantHolder<>("apl"));
        }





        public void setAfdgrpHolder(ModuleHolder<Afdgrp> afdgrp)
        {
           this.afdgrp = afdgrp;
        }

        public Afdgrp getAfdgrp()
        {
           return this.afdgrp.get();
        }

        public void setLedgrpHolder(ModuleHolder<Ledgrp> ledgrp)
        {
           this.ledgrp = ledgrp;
        }

        public Ledgrp getLedgrp()
        {
           return this.ledgrp.get();
        }













}