package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Bxd;
import com.ceb.gjjs.mda.bo.Mar;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Mxd;
import com.ceb.gjjs.mda.bo.Lxd;
import com.ceb.gjjs.mda.bo.Lid;
import com.ceb.gjjs.mda.bo.Lit;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 进口信用证数据集
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Lidgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Lidgrp.class);

        //同意申明条款
        private String agree;

        //货描和贸易术语
        private String swfa;

        //附加条款和溢短装
        private String swfd;

        //转递标志
        private String trsflg;

        //
        private String bchcod;

        //
        private String bnkbchcod;

        //远期天数
        private int tedays;

        //远期计算方式
        private String usapro;

        //是否签订保证金协议
        private String checked;

        //保证金大写金额
        private String dxje;

        //进口信用证开立申请书
        private String checked1;

        //进口信用证开证合同
        private String checked2;

        //保证金协议及委托开户扣划申请
        private String checked3;

        //Tips:操作指引
        private String tips;

        //影像资料
        private String checked4;

        //保证金相关条款适用
        private String nedbzj;

        //大写保证金比率
        private String bzjbl;

        //保证金条款适用
        private String chkbzj1;

        //保证金条款不适用
        private String chkbzj2;

        //货描上部分
        private String lcrgod1;

        //货描下部分
        private String lcrgod2;

        //费率链接
        private String cebbankflv;

        //费率标准
        private String flbz;

        //手续费
        private String sxf;



	    @BDGetter
		private Lid rec;

	    @BDGetter
		private Lit blk;

	    @BDGetter
		private Lxd lxd;

	    @BDGetter
		private Bxd bxd;

	    @BDGetter
		private Mar mar;

		@BDGetter
		private ModuleList<Mxd> mxdlst;

	    @BDGetter
		private Ptspta apl;

	    @BDGetter
		private Ptspta ben;

	    @BDGetter
		private Ptspta adv;

	    @BDGetter
		private Ptspta dre;

	    @BDGetter
		private Ptspta mben;

	    @BDGetter
		private Ptspta aplb;

	    @BDGetter
		private Ptspta isb;

	    @BDGetter
		private Ptspta rmb;

	    @BDGetter
		private Ptspta tdb;

	    @BDGetter
		private Ptspta avb;

	    @BDGetter
		private Ptspta dap;

	    @BDGetter
		private Ptspta trp;

	    @BDGetter
		private Ptspta con;


		public Lidgrp()
        {
            super();
            setArgument();
        }

        public Lidgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }



























































































}