package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Lztp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Lztp.class);


        @JsonIgnore
        @BDGetter
        private transient IPanel lzt01;

        @JsonIgnore
        @BDGetter
        private transient IPanel led01;

        @JsonIgnore
        @BDGetter
        private transient IPanel letzrn;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Lzdgrp> lzdgrp;

		@Module(getter = false, setter = false)
        private transient ModuleHolder<Ledgrp> ledgrp;

	    @BDGetter
		private Ptsp isbp;

	    @BDGetter
		private Ptsp benp;

	    @BDGetter
		private Ptsp aplp;

	    @BDGetter
		private Ptsp advp;

	    @BDGetter
		private Ptsp drep;


		public Lztp()
        {
            super();
            setArgument();
        }

        public Lztp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
            this.getIsbp().setRolHolder(new FieldConstantHolder<>("isb"));
            this.getIsbp().setBelongtoHolder(new FieldConstantHolder<>("lzd"));
            this.getIsbp().setFlgHolder(new FieldConstantHolder<>("agt"));
            this.getIsbp().setPtsptaHolder(()->this.getLzdgrp().getIsb());
            this.getBenp().setRolHolder(new FieldConstantHolder<>("ben"));
            this.getBenp().setBelongtoHolder(new FieldConstantHolder<>("lzd"));
            this.getBenp().setFlgHolder(new FieldConstantHolder<>("ben"));
            this.getBenp().setPtsptaHolder(()->this.getLzdgrp().getBen());
            this.getAplp().setRolHolder(new FieldConstantHolder<>("apl"));
            this.getAplp().setBelongtoHolder(new FieldConstantHolder<>("lzd"));
            this.getAplp().setFlgHolder(new FieldConstantHolder<>("apl"));
            this.getAplp().setPtsptaHolder(()->this.getLzdgrp().getApl());
            this.getAdvp().setRolHolder(new FieldConstantHolder<>("adv"));
            this.getAdvp().setBelongtoHolder(new FieldConstantHolder<>("lzd"));
            this.getAdvp().setFlgHolder(new FieldConstantHolder<>("agt"));
            this.getAdvp().setPtsptaHolder(()->this.getLzdgrp().getAdv());
            this.getDrep().setRolHolder(new FieldConstantHolder<>("dre"));
            this.getDrep().setBelongtoHolder(new FieldConstantHolder<>("lzt"));
            this.getDrep().setFlgHolder(new FieldConstantHolder<>("agt"));
            this.getDrep().setPtsptaHolder(()->this.getLzdgrp().getDre());
        }




        /**
        *   source:lztp.@0000.script
        */
        public void disLzt()
		{
			//取得上下文
			IContext ctx = MdaEnv.getContext();
			ctx.setErrorCode(NO_ERROR);                                              //不可修改数据
			
			
			
			
			
			
			
			
			
			

			if(!TRUE.equals(this.getLzdgrp().getRec().getIsalt()))
			{
			  
			  
			  
			  
			  
			  
			  
			}

			if(MdaUtils.isEmpty(this.getLzdgrp().getRec().getCredat()))
			{
			  this.getLzdgrp().getRec().setCredat(MdaUtils.today());
			  
			}
		}

        public void setLzdgrpHolder(ModuleHolder<Lzdgrp> lzdgrp)
        {
           this.lzdgrp = lzdgrp;
        }

        public Lzdgrp getLzdgrp()
        {
           return this.lzdgrp.get();
        }

        public void setLedgrpHolder(ModuleHolder<Ledgrp> ledgrp)
        {
           this.ledgrp = ledgrp;
        }

        public Ledgrp getLedgrp()
        {
           return this.ledgrp.get();
        }











}