package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Matp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Matp.class);

        //唯一编号
        private String inr;

        //退回
        private transient IControl repchk = new ControlImpl("repchk", "退回", this);

        //重新下载
        private transient IControl download = new ControlImpl("download", "重新下载", this);

        //对账日期
        private Date chkdat;

        //查询
        private transient IControl search = new ControlImpl("search", "查询", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel chkpan;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Madgrp> madgrp;

		@BDGetter
		private ModuleList<Chklst> chklst;

		@BDGetter
		private ModuleList<Chklst> reclst;


		public Matp()
        {
            super();
            setArgument();
        }

        public Matp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setMadgrpHolder(ModuleHolder<Madgrp> madgrp)
        {
           this.madgrp = madgrp;
        }

        public Madgrp getMadgrp()
        {
           return this.madgrp.get();
        }















}