package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Pty;
import com.ceb.gjjs.mda.bo.Usr;
import com.ceb.gjjs.mda.bo.Msg;
import com.ceb.gjjs.mda.bo.Notmsg;
import com.ceb.gjjs.mda.bo.Modlst;
import com.ceb.gjjs.mda.bo.Swit;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Switch;
import com.ceb.gjjs.mda.bo.Usraut;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Msggrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Msggrp.class);



	    @BDGetter
		private Msg msg;

		@BDGetter
		private ModuleList<Msg> msglst;

		@BDGetter
		private ModuleList<Modlst> modlst;

	    @BDGetter
		private Switch _switch;

	    @BDGetter
		private Pty pty;

	    @BDGetter
		private Notmsg notmsg;

	    @BDGetter
		private Usraut usraut;

	    @BDGetter
		private Usr usr;

	    @BDGetter
		private Swit swit;


		public Msggrp()
        {
            super();
            setArgument();
        }

        public Msggrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }




        /**
        *   source:msggrp.@0000.script
        */
        public Boolean checkSwitch(String cid)
		{
			//取得上下文
			IContext ctx = MdaEnv.getContext();
			ctx.setErrorCode(NO_ERROR);
			Boolean flag = false;
			//通过客户号查询开关表
			Argument<String> inr = new Argument<String>("inr");
			Argument<String> switchtyp = new Argument<String>("switchtyp");
			Argument<String> gsta = new Argument<String>("gsta");
			String sql="select inr,switchtyp,gsta from swit where cid = '"+cid+"' ";
			ctx.getDaoSession().dbExecuteSQL(sql);

			if(MdaUtils.isEmpty(switchtyp.value) || "1".equals(switchtyp.value))
			{
			  if("1".equals(gsta.value))
			  {
			    flag = true;
			  }
			}
			if("2".equals(switchtyp.value) && "1".equals(gsta.value))
			{
			  flag = true;
			}
			return flag;
		}
        /**
        *   source:msggrp.@0001.script
        */
        public Boolean checkVer()
		{
			//取得上下文
			IContext ctx = MdaEnv.getContext();
			ctx.setErrorCode(NO_ERROR);
			//查询协议号
			boolean flag = false;
			String ver =	ctx.absGet(com.ceb.gjjs.mda.manager.module.Sysmod.class).getPty().getVer();
			log.debug("{}","协议号：" + ver);
			if(Integer.parseInt(ver) >= 2)
			{
			  flag = true;
			}
			return flag;
		}



















}