package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Mstp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Mstp.class);

        //搜索
        private transient IControl search = new ControlImpl("search", "搜索", this);

        //导出
        private IStream download = new StreamImpl();

        //机构名称
        private String brhnam;

        //机构类型
        private String bchtyp;

        //核心客户号
        private String cid;


        @JsonIgnore
        @BDGetter
        private transient IPanel monmsg;


		@BDGetter
		private ModuleList<Temp> templst;


		public Mstp()
        {
            super();
            setArgument();
        }

        public Mstp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }

















}