package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Tsc;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Nttp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Nttp.class);

        //保存
        private transient IControl sav = new ControlImpl("sav", "保存", this);

        //全选
        private transient IControl allchs = new ControlImpl("allchs", "全选", this);

        //已开通控制交易
        private String ctrcod;

        //新增
        private transient IControl add = new ControlImpl("add", "新增", this);

        //修改
        private transient IControl alt = new ControlImpl("alt", "修改", this);

        //刷新
        private transient IControl refsh = new ControlImpl("refsh", "刷新", this);

        //返回
        private transient IControl rebck = new ControlImpl("rebck", "返回", this);

        //刷新
        private transient IControl refshs = new ControlImpl("refshs", "刷新", this);

        //全选1
        private transient IControl allsel = new ControlImpl("allsel", "全选1", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel notctr;

        @JsonIgnore
        @BDGetter
        private transient IPanel notsea;

        @JsonIgnore
        @BDGetter
        private transient IPanel dbmctr;


	    @BDGetter
		private Tsc tsc;

		@BDGetter
		private ModuleList<Tsc> tsclst;

		@BDGetter
		private ModuleList<Tsc> tsclst1;


		public Nttp()
        {
            super();
            setArgument();
        }

        public Nttp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





























}