package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* Function For 制单模板
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Premod extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Premod.class);



		@Module(getter = false, setter = false)
        private transient ModuleHolder<Pregrp> pregrp;


		public Premod()
        {
            super();
            setArgument();
        }

        public Premod(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setPregrpHolder(ModuleHolder<Pregrp> pregrp)
        {
           this.pregrp = pregrp;
        }

        public Pregrp getPregrp()
        {
           return this.pregrp.get();
        }

}