package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Pswp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Pswp.class);

        //保存
        private transient IControl submit = new ControlImpl("submit", "保存", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel pswp;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Pswgrp> pswgrp;


		public Pswp()
        {
            super();
            setArgument();
        }

        public Pswp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setPswgrpHolder(ModuleHolder<Pswgrp> pswgrp)
        {
           this.pswgrp = pswgrp;
        }

        public Pswgrp getPswgrp()
        {
           return this.pswgrp.get();
        }



}