package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Qsr extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Qsr.class);

        //机构序号
        private String ptyinr;

        //机构名称
        private String ptynam;

        //开户数量
        private long cltnum;

        //分行名称
        private String nnam;

        //核心客户号
        private String cid;

        //客户名称
        private String cnam;

        //开户时间
        private Date begdat;

        //归属机构代码
        private String bcod;

        //关户日期
        private Date enddat;

        //开户机构
        private String opnbchcod;

        //签约版本
        private String ver;




		public Qsr()
        {
            super();
            setArgument();
        }

        public Qsr(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }



























}