package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Qsrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Qsrp.class);

        //开始日期
        private Date begdat;

        //结束日期
        private Date enddat;

        //机构名称
        private String orgnam;

        //搜索
        private transient IControl query = new ControlImpl("query", "搜索", this);

        //下属机构
        private String suborg;

        //机构类型
        private String brhtyp;

        //导出
        private IStream download = new StreamImpl();


        @JsonIgnore
        @BDGetter
        private transient IPanel qsrp;

        @JsonIgnore
        @BDGetter
        private transient IPanel viewcustom;

        @JsonIgnore
        @BDGetter
        private transient IPanel newqsr;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Qsrgrp> qsrgrp;


		public Qsrp()
        {
            super();
            setArgument();
        }

        public Qsrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setQsrgrpHolder(ModuleHolder<Qsrgrp> qsrgrp)
        {
           this.qsrgrp = qsrgrp;
        }

        public Qsrgrp getQsrgrp()
        {
           return this.qsrgrp.get();
        }















}