package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Rpdtmp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Rpdtmp.class);

        //唯一编号
        private String inr;

        //交易参考号
        private String ownref;

        //业务类型
        private String rpttyp;

        //交易日期
        private Date trndat;

        //币种
        private String rptcur;

        //金额
        private BigDecimal rptamt = new BigDecimal("0.00");

        //业务状态
        private String rptsta;

        //报文状态
        private String erssta;

        //付款人
        private String orcnam;

        //付款人账号
        private String orcact;

        //收款人
        private String pyenam;

        //收款人账号
        private String pyeact;

        //所属落地机构
        private String ptyinr;

        //行内关联编号
        private String hnglbh;




		public Rpdtmp()
        {
            super();
            setArgument();
        }

        public Rpdtmp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }

































}