package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* Main Function For 提货担保
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Sgtmod extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Sgtmod.class);



		@Module(getter = false, setter = false)
        private transient ModuleHolder<Sgdgrp> sgdgrp;

		@Module(getter = false, setter = false)
        private transient ModuleHolder<Lidgrp> lidgrp;


		public Sgtmod()
        {
            super();
            setArgument();
        }

        public Sgtmod(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setSgdgrpHolder(ModuleHolder<Sgdgrp> sgdgrp)
        {
           this.sgdgrp = sgdgrp;
        }

        public Sgdgrp getSgdgrp()
        {
           return this.sgdgrp.get();
        }

        public void setLidgrpHolder(ModuleHolder<Lidgrp> lidgrp)
        {
           this.lidgrp = lidgrp;
        }

        public Lidgrp getLidgrp()
        {
           return this.lidgrp.get();
        }

}