package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Currat;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Spd;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 即期结汇模块
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Spdgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Spdgrp.class);

        //外币/等值人民币
        private String spdamttyp;

        //外币/等值人民币金额
        private BigDecimal spdamt = new BigDecimal("0.00");

        //结汇类型spdtyp
        private String spdtyplst;

        //结汇资金用途useoff
        private String useofflst;

        //收款账号56位及币种判断有无结汇申请书
        private String actnosta;

        //归属机构简称
        private String bchnam;


        @JsonIgnore
        @BDGetter
        private transient IPanel spdinf;


	    @BDGetter
		private Spd rec;

	    @BDGetter
		private Currat currat;


		public Spdgrp()
        {
            super();
            setArgument();
        }

        public Spdgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





















}