package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Sztp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Sztp.class);

        //保存
        private transient IControl save = new ControlImpl("save", "保存", this);

        //清除
        private transient IControl remove = new ControlImpl("remove", "清除", this);

        //操作员所属机构
        private String ptynam;

        //操作员号
        private String lgnnam;

        //查询
        private transient IControl serach = new ControlImpl("serach", "查询", this);

        //经办权限
        private String aflg;

        //复核权限
        private String bflg;

        //导出
        private IStream download = new StreamImpl();

        //机构编号
        private String cid;


        @JsonIgnore
        @BDGetter
        private transient IPanel autpanel;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Szdgrp> szdgrp;


		public Sztp()
        {
            super();
            setArgument();
        }

        public Sztp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setSzdgrpHolder(ModuleHolder<Szdgrp> szdgrp)
        {
           this.szdgrp = szdgrp;
        }

        public Szdgrp getSzdgrp()
        {
           return this.szdgrp.get();
        }



















}