package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 代客制单
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Tplmod extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Tplmod.class);



		@Module(getter = false, setter = false)
        private transient ModuleHolder<Tplgrp> tplgrp;


		public Tplmod()
        {
            super();
            setArgument();
        }

        public Tplmod(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setTplgrpHolder(ModuleHolder<Tplgrp> tplgrp)
        {
           this.tplgrp = tplgrp;
        }

        public Tplgrp getTplgrp()
        {
           return this.tplgrp.get();
        }

}