package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Usrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Usrp.class);

        //搜索
        private transient IControl query = new ControlImpl("query", "搜索", this);

        //新增
        private transient IControl add = new ControlImpl("add", "新增", this);

        //操作员分配
        private transient IControl asgnopr = new ControlImpl("asgnopr", "操作员分配", this);

        //保存
        private transient IControl submit = new ControlImpl("submit", "保存", this);

        //操作员删除
        private transient IControl deleteopr = new ControlImpl("deleteopr", "操作员删除", this);

        //操作员修改
        private transient IControl modifyopr = new ControlImpl("modifyopr", "操作员修改", this);

        //新增
        private transient IControl submitopr = new ControlImpl("submitopr", "新增", this);

        //编辑企业信息
        private transient IControl editetp = new ControlImpl("editetp", "编辑企业信息", this);

        //查询
        private transient IControl sel = new ControlImpl("sel", "查询", this);

        //选择操作员
        private transient IControl selusr = new ControlImpl("selusr", "选择操作员", this);

        //再次输入密码
        private String pwd2;

        //selnum
        private String selnum;

        //保存操作员
        private transient IControl saveUsr = new ControlImpl("saveUsr", "保存操作员", this);

        //返回
        private transient IControl back = new ControlImpl("back", "返回", this);

        //操作员权限分配
        private transient IControl auth = new ControlImpl("auth", "操作员权限分配", this);

        //返回
        private transient IControl rtn = new ControlImpl("rtn", "返回", this);

        //权限保存
        private transient IControl savaut = new ControlImpl("savaut", "权限保存", this);

        //
        private String pwd1;

        //设置管理员
        private transient IControl setgly = new ControlImpl("setgly", "设置管理员", this);

        //设置主管
        private transient IControl setzg = new ControlImpl("setzg", "设置主管", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel seletp;

        @JsonIgnore
        @BDGetter
        private transient IPanel shwetp;

        @JsonIgnore
        @BDGetter
        private transient IPanel asgopr;

        @JsonIgnore
        @BDGetter
        private transient IPanel allusr;

        @JsonIgnore
        @BDGetter
        private transient IPanel autconfig;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Usrgrp> usrgrp;

		@Module(getter = false, setter = false)
        private transient ModuleHolder<Ptygrp> ptygrp;


		public Usrp()
        {
            super();
            setArgument();
        }

        public Usrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setUsrgrpHolder(ModuleHolder<Usrgrp> usrgrp)
        {
           this.usrgrp = usrgrp;
        }

        public Usrgrp getUsrgrp()
        {
           return this.usrgrp.get();
        }

        public void setPtygrpHolder(ModuleHolder<Ptygrp> ptygrp)
        {
           this.ptygrp = ptygrp;
        }

        public Ptygrp getPtygrp()
        {
           return this.ptygrp.get();
        }









































}