package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Wid;
import com.ceb.gjjs.mda.bo.Wic;
import com.ceb.gjjs.mda.bo.Zxj;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Widgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Widgrp.class);

        //大写期权金额
        private String dxqqje;

        //期权费描述
        private String qqfms;

        //check
        private transient IControl check = new ControlImpl("check", "check", this);

        //交易方向集合
        private String jyfx;

        //期权方向集合
        private String qqfx;

        //结售汇方向集合
        private String jshfx;

        //交易金额集合
        private String amt;

        //执行价格集合
        private String zxamt;

        //保证金账户
        private String bzjacc;

        //保证金账户（但不限于保证金账户）
        private String bzjacc2;

        //交易方向1
        private String jyfx1;

        //交易方向2
        private String jyfx2;

        //期权方向1
        private String qqfx1;

        //期权方向2
        private String qqfx2;

        //大写金额集合
        private String dxjej;

        //币种集合
        private String cur;

        //是否差额交割
        private String sfcejg;

        //期权费收取方式
        private String qqfsq;

        //期权费方向
        private String qqffx;

        //保证金选取
        private String bzjxqfs;

        //执行日期
        private Date zxdate;

        //是否差额交割
        private String sfcejg1;

        //是否差额交割
        private String sfcejg2;

        //是否差额交割
        private String sfcejg3;

        //行权金额
        private BigDecimal xqamt = new BigDecimal("0.00");

        //执行金额
        private BigDecimal zxamt1 = new BigDecimal("0.00");

        //期权类型
        private String qqlx;

        //人民币账户
        private String cnyacc;

        //外币账户
        private String fxacc;

        //人民币保证金账户
        private String cnybacc;

        //外币保证金账户
        private String fxbacc;

        //是否行权
        private String sfxqpdf;

        //是否行权
        private String sfxq;

        //盈利金额
        private BigDecimal ylje = new BigDecimal("0.00");

        //亏损金额
        private BigDecimal ksje = new BigDecimal("0.00");

        //日期1
        private Date date1;

        //日期2
        private Date date2;

        //综合授信协议编号
        private String zhsxxyp;

        //保证金比率
        private BigDecimal bzjblp = new BigDecimal("0.00");

        //机构名称
        private String nam;

        //企业名称
        private String ptynam;

        //审核日期
        private Date chkdat;

        //保证金质押协议
        private String bzjzyxy;

        //收取保证金/扣减授信额度
        private String bzjedu;

        //保证金账号/质押协议编号
        private String jsbzjzyxy;



	    @BDGetter
		private Wid rec;

	    @BDGetter
		private Wic wic;

	    @BDGetter
		private Ptspta apl;

	    @BDGetter
		private Ptspta isb;

	    @BDGetter
		private Ptspta dap;

	    @BDGetter
		private Zxj zxj;

		@BDGetter
		private ModuleList<Wic> wiclst;

		@BDGetter
		private ModuleList<Wid> widlst;

		@BDGetter
		private ModuleList<Wic> wiclst1;


		public Widgrp()
        {
            super();
            setArgument();
        }

        public Widgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }

















































































































}