package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Xptbtn extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Xptbtn.class);

        //功能介绍
        private transient IControl xptins = new ControlImpl("xptins", "功能介绍", this);

        //咨询规则
        private transient IControl xptrul = new ControlImpl("xptrul", "咨询规则", this);

        //经典案例
        private transient IControl xptsam = new ControlImpl("xptsam", "经典案例", this);

        //常见问题
        private transient IControl xprfaq = new ControlImpl("xprfaq", "常见问题", this);

        //我要咨询
        private transient IControl xptslt = new ControlImpl("xptslt", "我要咨询", this);

        //咨询列表
        private transient IControl xpthis = new ControlImpl("xpthis", "咨询列表", this);

        //(专家端)问题列表
        private transient IControl sltviw = new ControlImpl("sltviw", "(专家端)问题列表", this);

        //(专家端)我的问题
        private transient IControl myrcv = new ControlImpl("myrcv", "(专家端)我的问题", this);

        //保存为常见问题
        private transient IControl sav2faq = new ControlImpl("sav2faq", "保存为常见问题", this);

        //保存为经典案例
        private transient IControl sav2sam = new ControlImpl("sav2sam", "保存为经典案例", this);

        //发送邮件
        private transient IControl eml = new ControlImpl("eml", "发送邮件", this);

        //暂存
        private transient IControl ped = new ControlImpl("ped", "暂存", this);

        //提交
        private transient IControl submit = new ControlImpl("submit", "提交", this);

        //重置
        private transient IControl reset = new ControlImpl("reset", "重置", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel xptbtn;

        @JsonIgnore
        @BDGetter
        private transient IPanel xpbbtn;

        @JsonIgnore
        @BDGetter
        private transient IPanel xptsav;

        @JsonIgnore
        @BDGetter
        private transient IPanel xptrpl;



		public Xptbtn()
        {
            super();
            setArgument();
        }

        public Xptbtn(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }

        /**
        *   source:xptbtn.@0000.script
        */
        @Rule(target="xptrul",order=100)
        public boolean ruleXptrulN100(){
            IContext ctx = MdaEnv.getContext();
            
			

			return true;
        }

        /**
        *   source:xptbtn.@0001.script
        */
        @Rule(target="xptins",order=100)
        public boolean ruleXptinsN100(){
            IContext ctx = MdaEnv.getContext();
            
			

			return true;
        }

        /**
        *   source:xptbtn.@0002.script
        */
        @Rule(target="xptslt",order=100)
        public boolean ruleXptsltN100(){
            IContext ctx = MdaEnv.getContext();
            
			

			return true;
        }

        /**
        *   source:xptbtn.@0003.script
        */
        @Rule(target="xptsam",order=100)
        public boolean ruleXptsamN100(){
            IContext ctx = MdaEnv.getContext();
            
			

			return true;
        }

        /**
        *   source:xptbtn.@0004.script
        */
        @Rule(target="xpthis",order=100)
        public boolean ruleXpthisN100(){
            IContext ctx = MdaEnv.getContext();
            
			

			return true;
        }

        /**
        *   source:xptbtn.@0005.script
        */
        @Rule(target="xprfaq",order=100)
        public boolean ruleXprfaqN100(){
            IContext ctx = MdaEnv.getContext();
            
			

			return true;
        }

































}