package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.AcbameService;
import com.ceb.gjjs.mda.vo.AcbameVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("acbame")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class AcbameResource extends AbstractCommonResource<AcbameVO>{

    @Autowired
    private AcbameService acbame;

	@Override
	protected ICommonService getCommonService() {
		return acbame;
	}

}