package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.AutcfgService;
import com.ceb.gjjs.mda.vo.AutcfgVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("autcfg")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class AutcfgResource extends AbstractCommonResource<AutcfgVO>{

    @Autowired
    private AutcfgService autcfg;

	@Override
	protected ICommonService getCommonService() {
		return autcfg;
	}

}