package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.AuthenService;
import com.ceb.gjjs.mda.vo.AuthenVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("authen")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class AuthenResource extends AbstractCommonResource<AuthenVO>{

    @Autowired
    private AuthenService authen;

	@Override
	protected ICommonService getCommonService() {
		return authen;
	}

}