package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.AutqryService;
import com.ceb.gjjs.mda.vo.AutqryVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("autqry")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class AutqryResource extends AbstractCommonResource<AutqryVO>{

    @Autowired
    private AutqryService autqry;

	@Override
	protected ICommonService getCommonService() {
		return autqry;
	}

}