package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BctdavService;
import com.ceb.gjjs.mda.vo.BctdavVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("bctdav")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BctdavResource extends AbstractCommonResource<BctdavVO>{

    @Autowired
    private BctdavService bctdav;

	@Override
	protected ICommonService getCommonService() {
		return bctdav;
	}

}