package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BdtdfrService;
import com.ceb.gjjs.mda.vo.BdtdfrVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("bdtdfr")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BdtdfrResource extends AbstractCommonResource<BdtdfrVO>{

    @Autowired
    private BdtdfrService bdtdfr;

	@Override
	protected ICommonService getCommonService() {
		return bdtdfr;
	}

}