package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BetaccService;
import com.ceb.gjjs.mda.vo.BetaccVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("betacc")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BetaccResource extends AbstractCommonResource<BetaccVO>{

    @Autowired
    private BetaccService betacc;

	@Override
	protected ICommonService getCommonService() {
		return betacc;
	}

}