package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BetsetService;
import com.ceb.gjjs.mda.vo.BetsetVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("betset")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BetsetResource extends AbstractCommonResource<BetsetVO>{

    @Autowired
    private BetsetService betset;

	@Override
	protected ICommonService getCommonService() {
		return betset;
	}

}