package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BhgsadService;
import com.ceb.gjjs.mda.vo.BhgsadVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("bhgsad")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BhgsadResource extends AbstractCommonResource<BhgsadVO>{

    @Autowired
    private BhgsadService bhgsad;

	@Override
	protected ICommonService getCommonService() {
		return bhgsad;
	}

}