package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BmtaccService;
import com.ceb.gjjs.mda.vo.BmtaccVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("bmtacc")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BmtaccResource extends AbstractCommonResource<BmtaccVO>{

    @Autowired
    private BmtaccService bmtacc;

	@Override
	protected ICommonService getCommonService() {
		return bmtacc;
	}

}