package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BmtsndService;
import com.ceb.gjjs.mda.vo.BmtsndVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("bmtsnd")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BmtsndResource extends AbstractCommonResource<BmtsndVO>{

    @Autowired
    private BmtsndService bmtsnd;

	@Override
	protected ICommonService getCommonService() {
		return bmtsnd;
	}

}