package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BotdftService;
import com.ceb.gjjs.mda.vo.BotdftVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("botdft")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BotdftResource extends AbstractCommonResource<BotdftVO>{

    @Autowired
    private BotdftService botdft;

	@Override
	protected ICommonService getCommonService() {
		return botdft;
	}

}