package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BotfreService;
import com.ceb.gjjs.mda.vo.BotfreVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("botfre")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BotfreResource extends AbstractCommonResource<BotfreVO>{

    @Autowired
    private BotfreService botfre;

	@Override
	protected ICommonService getCommonService() {
		return botfre;
	}

}