package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BotsduService;
import com.ceb.gjjs.mda.vo.BotsduVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("botsdu")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BotsduResource extends AbstractCommonResource<BotsduVO>{

    @Autowired
    private BotsduService botsdu;

	@Override
	protected ICommonService getCommonService() {
		return botsdu;
	}

}