package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BotsetService;
import com.ceb.gjjs.mda.vo.BotsetVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("botset")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BotsetResource extends AbstractCommonResource<BotsetVO>{

    @Autowired
    private BotsetService botset;

	@Override
	protected ICommonService getCommonService() {
		return botset;
	}

}