package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BpttrsService;
import com.ceb.gjjs.mda.vo.BpttrsVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("bpttrs")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BpttrsResource extends AbstractCommonResource<BpttrsVO>{

    @Autowired
    private BpttrsService bpttrs;

	@Override
	protected ICommonService getCommonService() {
		return bpttrs;
	}

}