package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BrtdcrService;
import com.ceb.gjjs.mda.vo.BrtdcrVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("brtdcr")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BrtdcrResource extends AbstractCommonResource<BrtdcrVO>{

    @Autowired
    private BrtdcrService brtdcr;

	@Override
	protected ICommonService getCommonService() {
		return brtdcr;
	}

}