package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BrtdraService;
import com.ceb.gjjs.mda.vo.BrtdraVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("brtdra")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BrtdraResource extends AbstractCommonResource<BrtdraVO>{

    @Autowired
    private BrtdraService brtdra;

	@Override
	protected ICommonService getCommonService() {
		return brtdra;
	}

}