package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BrtfrcService;
import com.ceb.gjjs.mda.vo.BrtfrcVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("brtfrc")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BrtfrcResource extends AbstractCommonResource<BrtfrcVO>{

    @Autowired
    private BrtfrcService brtfrc;

	@Override
	protected ICommonService getCommonService() {
		return brtfrc;
	}

}