package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BrtfrdService;
import com.ceb.gjjs.mda.vo.BrtfrdVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("brtfrd")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BrtfrdResource extends AbstractCommonResource<BrtfrdVO>{

    @Autowired
    private BrtfrdService brtfrd;

	@Override
	protected ICommonService getCommonService() {
		return brtfrd;
	}

}