package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BrtsetService;
import com.ceb.gjjs.mda.vo.BrtsetVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("brtset")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BrtsetResource extends AbstractCommonResource<BrtsetVO>{

    @Autowired
    private BrtsetService brtset;

	@Override
	protected ICommonService getCommonService() {
		return brtset;
	}

}