package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BrtudpService;
import com.ceb.gjjs.mda.vo.BrtudpVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("brtudp")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BrtudpResource extends AbstractCommonResource<BrtudpVO>{

    @Autowired
    private BrtudpService brtudp;

	@Override
	protected ICommonService getCommonService() {
		return brtudp;
	}

}