package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.ChkameService;
import com.ceb.gjjs.mda.vo.ChkameVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("chkame")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class ChkameResource extends AbstractCommonResource<ChkameVO>{

    @Autowired
    private ChkameService chkame;

	@Override
	protected ICommonService getCommonService() {
		return chkame;
	}

}