package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.ComadvService;
import com.ceb.gjjs.mda.vo.ComadvVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("comadv")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class ComadvResource extends AbstractCommonResource<ComadvVO>{

    @Autowired
    private ComadvService comadv;

	@Override
	protected ICommonService getCommonService() {
		return comadv;
	}

}