package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.CommarService;
import com.ceb.gjjs.mda.vo.CommarVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("commar")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class CommarResource extends AbstractCommonResource<CommarVO>{

    @Autowired
    private CommarService commar;

	@Override
	protected ICommonService getCommonService() {
		return commar;
	}

}