package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.CptopsService;
import com.ceb.gjjs.mda.vo.CptopsVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("cptops")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class CptopsResource extends AbstractCommonResource<CptopsVO>{

    @Autowired
    private CptopsService cptops;

	@Override
	protected ICommonService getCommonService() {
		return cptops;
	}

}