package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.DbbplaService;
import com.ceb.gjjs.mda.vo.DbbplaVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("dbbpla")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class DbbplaResource extends AbstractCommonResource<DbbplaVO>{

    @Autowired
    private DbbplaService dbbpla;

	@Override
	protected ICommonService getCommonService() {
		return dbbpla;
	}

}