package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.DbcsacService;
import com.ceb.gjjs.mda.vo.DbcsacVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("dbcsac")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class DbcsacResource extends AbstractCommonResource<DbcsacVO>{

    @Autowired
    private DbcsacService dbcsac;

	@Override
	protected ICommonService getCommonService() {
		return dbcsac;
	}

}