package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.DbmautService;
import com.ceb.gjjs.mda.vo.DbmautVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("dbmaut")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class DbmautResource extends AbstractCommonResource<DbmautVO>{

    @Autowired
    private DbmautService dbmaut;

	@Override
	protected ICommonService getCommonService() {
		return dbmaut;
	}

}