package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.DbmbepService;
import com.ceb.gjjs.mda.vo.DbmbepVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("dbmbep")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class DbmbepResource extends AbstractCommonResource<DbmbepVO>{

    @Autowired
    private DbmbepService dbmbep;

	@Override
	protected ICommonService getCommonService() {
		return dbmbep;
	}

}