package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.DbmmsgService;
import com.ceb.gjjs.mda.vo.DbmmsgVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("dbmmsg")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class DbmmsgResource extends AbstractCommonResource<DbmmsgVO>{

    @Autowired
    private DbmmsgService dbmmsg;

	@Override
	protected ICommonService getCommonService() {
		return dbmmsg;
	}

}