package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.DbmrelService;
import com.ceb.gjjs.mda.vo.DbmrelVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("dbmrel")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class DbmrelResource extends AbstractCommonResource<DbmrelVO>{

    @Autowired
    private DbmrelService dbmrel;

	@Override
	protected ICommonService getCommonService() {
		return dbmrel;
	}

}