package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.DetameService;
import com.ceb.gjjs.mda.vo.DetameVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("detame")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class DetameResource extends AbstractCommonResource<DetameVO>{

    @Autowired
    private DetameService detame;

	@Override
	protected ICommonService getCommonService() {
		return detame;
	}

}