package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.ErsfreService;
import com.ceb.gjjs.mda.vo.ErsfreVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("ersfre")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class ErsfreResource extends AbstractCommonResource<ErsfreVO>{

    @Autowired
    private ErsfreService ersfre;

	@Override
	protected ICommonService getCommonService() {
		return ersfre;
	}

}