package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.ErsselService;
import com.ceb.gjjs.mda.vo.ErsselVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("erssel")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class ErsselResource extends AbstractCommonResource<ErsselVO>{

    @Autowired
    private ErsselService erssel;

	@Override
	protected ICommonService getCommonService() {
		return erssel;
	}

}