package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.FeqapiService;
import com.ceb.gjjs.mda.vo.FeqapiVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("feqapi")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class FeqapiResource extends AbstractCommonResource<FeqapiVO>{

    @Autowired
    private FeqapiService feqapi;

	@Override
	protected ICommonService getCommonService() {
		return feqapi;
	}

}