package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.FftcfmService;
import com.ceb.gjjs.mda.vo.FftcfmVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("fftcfm")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class FftcfmResource extends AbstractCommonResource<FftcfmVO>{

    @Autowired
    private FftcfmService fftcfm;

	@Override
	protected ICommonService getCommonService() {
		return fftcfm;
	}

}