package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.FxtadvService;
import com.ceb.gjjs.mda.vo.FxtadvVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("fxtadv")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class FxtadvResource extends AbstractCommonResource<FxtadvVO>{

    @Autowired
    private FxtadvService fxtadv;

	@Override
	protected ICommonService getCommonService() {
		return fxtadv;
	}

}