package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.GitapnService;
import com.ceb.gjjs.mda.vo.GitapnVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("gitapn")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class GitapnResource extends AbstractCommonResource<GitapnVO>{

    @Autowired
    private GitapnService gitapn;

	@Override
	protected ICommonService getCommonService() {
		return gitapn;
	}

}