package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.GitcanService;
import com.ceb.gjjs.mda.vo.GitcanVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("gitcan")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class GitcanResource extends AbstractCommonResource<GitcanVO>{

    @Autowired
    private GitcanService gitcan;

	@Override
	protected ICommonService getCommonService() {
		return gitcan;
	}

}