package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.GitcxmService;
import com.ceb.gjjs.mda.vo.GitcxmVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("gitcxm")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class GitcxmResource extends AbstractCommonResource<GitcxmVO>{

    @Autowired
    private GitcxmService gitcxm;

	@Override
	protected ICommonService getCommonService() {
		return gitcxm;
	}

}