package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.GitoszService;
import com.ceb.gjjs.mda.vo.GitoszVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("gitosz")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class GitoszResource extends AbstractCommonResource<GitoszVO>{

    @Autowired
    private GitoszService gitosz;

	@Override
	protected ICommonService getCommonService() {
		return gitosz;
	}

}