package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.GitrcvService;
import com.ceb.gjjs.mda.vo.GitrcvVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("gitrcv")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class GitrcvResource extends AbstractCommonResource<GitrcvVO>{

    @Autowired
    private GitrcvService gitrcv;

	@Override
	protected ICommonService getCommonService() {
		return gitrcv;
	}

}