package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.GitsndService;
import com.ceb.gjjs.mda.vo.GitsndVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("gitsnd")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class GitsndResource extends AbstractCommonResource<GitsndVO>{

    @Autowired
    private GitsndService gitsnd;

	@Override
	protected ICommonService getCommonService() {
		return gitsnd;
	}

}