package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.GittskService;
import com.ceb.gjjs.mda.vo.GittskVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("gittsk")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class GittskResource extends AbstractCommonResource<GittskVO>{

    @Autowired
    private GittskService gittsk;

	@Override
	protected ICommonService getCommonService() {
		return gittsk;
	}

}