package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.JstpavService;
import com.ceb.gjjs.mda.vo.JstpavVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("jstpav")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class JstpavResource extends AbstractCommonResource<JstpavVO>{

    @Autowired
    private JstpavService jstpav;

	@Override
	protected ICommonService getCommonService() {
		return jstpav;
	}

}