package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.JstpayService;
import com.ceb.gjjs.mda.vo.JstpayVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("jstpay")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class JstpayResource extends AbstractCommonResource<JstpayVO>{

    @Autowired
    private JstpayService jstpay;

	@Override
	protected ICommonService getCommonService() {
		return jstpay;
	}

}