package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.JstsevService;
import com.ceb.gjjs.mda.vo.JstsevVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("jstsev")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class JstsevResource extends AbstractCommonResource<JstsevVO>{

    @Autowired
    private JstsevService jstsev;

	@Override
	protected ICommonService getCommonService() {
		return jstsev;
	}

}