package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LetameService;
import com.ceb.gjjs.mda.vo.LetameVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("letame")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LetameResource extends AbstractCommonResource<LetameVO>{

    @Autowired
    private LetameService letame;

	@Override
	protected ICommonService getCommonService() {
		return letame;
	}

}