package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LetatrService;
import com.ceb.gjjs.mda.vo.LetatrVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("letatr")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LetatrResource extends AbstractCommonResource<LetatrVO>{

    @Autowired
    private LetatrService letatr;

	@Override
	protected ICommonService getCommonService() {
		return letatr;
	}

}