package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LetzreService;
import com.ceb.gjjs.mda.vo.LetzreVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("letzre")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LetzreResource extends AbstractCommonResource<LetzreVO>{

    @Autowired
    private LetzreService letzre;

	@Override
	protected ICommonService getCommonService() {
		return letzre;
	}

}