package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LitdavService;
import com.ceb.gjjs.mda.vo.LitdavVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("litdav")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LitdavResource extends AbstractCommonResource<LitdavVO>{

    @Autowired
    private LitdavService litdav;

	@Override
	protected ICommonService getCommonService() {
		return litdav;
	}

}