package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LitmdlService;
import com.ceb.gjjs.mda.vo.LitmdlVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("litmdl")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LitmdlResource extends AbstractCommonResource<LitmdlVO>{

    @Autowired
    private LitmdlService litmdl;

	@Override
	protected ICommonService getCommonService() {
		return litmdl;
	}

}