package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LitopnService;
import com.ceb.gjjs.mda.vo.LitopnVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("litopn")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LitopnResource extends AbstractCommonResource<LitopnVO>{

    @Autowired
    private LitopnService litopn;

	@Override
	protected ICommonService getCommonService() {
		return litopn;
	}

}