package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LitpavService;
import com.ceb.gjjs.mda.vo.LitpavVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("litpav")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LitpavResource extends AbstractCommonResource<LitpavVO>{

    @Autowired
    private LitpavService litpav;

	@Override
	protected ICommonService getCommonService() {
		return litpav;
	}

}