package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LitpegService;
import com.ceb.gjjs.mda.vo.LitpegVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("litpeg")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LitpegResource extends AbstractCommonResource<LitpegVO>{

    @Autowired
    private LitpegService litpeg;

	@Override
	protected ICommonService getCommonService() {
		return litpeg;
	}

}