package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LittrcService;
import com.ceb.gjjs.mda.vo.LittrcVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("littrc")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LittrcResource extends AbstractCommonResource<LittrcVO>{

    @Autowired
    private LittrcService littrc;

	@Override
	protected ICommonService getCommonService() {
		return littrc;
	}

}