package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LittriService;
import com.ceb.gjjs.mda.vo.LittriVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("littri")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LittriResource extends AbstractCommonResource<LittriVO>{

    @Autowired
    private LittriService littri;

	@Override
	protected ICommonService getCommonService() {
		return littri;
	}

}