package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LoddspService;
import com.ceb.gjjs.mda.vo.LoddspVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("loddsp")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LoddspResource extends AbstractCommonResource<LoddspVO>{

    @Autowired
    private LoddspService loddsp;

	@Override
	protected ICommonService getCommonService() {
		return loddsp;
	}

}