package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.MakmodService;
import com.ceb.gjjs.mda.vo.MakmodVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("makmod")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class MakmodResource extends AbstractCommonResource<MakmodVO>{

    @Autowired
    private MakmodService makmod;

	@Override
	protected ICommonService getCommonService() {
		return makmod;
	}

}