package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.MardavService;
import com.ceb.gjjs.mda.vo.MardavVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("mardav")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class MardavResource extends AbstractCommonResource<MardavVO>{

    @Autowired
    private MardavService mardav;

	@Override
	protected ICommonService getCommonService() {
		return mardav;
	}

}