package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.Maropn0Service;
import com.ceb.gjjs.mda.vo.Maropn0VO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("maropn0")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class Maropn0Resource extends AbstractCommonResource<Maropn0VO>{

    @Autowired
    private Maropn0Service maropn0;

	@Override
	protected ICommonService getCommonService() {
		return maropn0;
	}

}