package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.MaropnService;
import com.ceb.gjjs.mda.vo.MaropnVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("maropn")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class MaropnResource extends AbstractCommonResource<MaropnVO>{

    @Autowired
    private MaropnService maropn;

	@Override
	protected ICommonService getCommonService() {
		return maropn;
	}

}