package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.SysdbaService;
import com.ceb.gjjs.mda.vo.SysdbaVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("sysdba")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class SysdbaResource extends AbstractCommonResource<SysdbaVO>{

    @Autowired
    private SysdbaService sysdba;

	@Override
	protected ICommonService getCommonService() {
		return sysdba;
	}

}