package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.SyssqlService;
import com.ceb.gjjs.mda.vo.SyssqlVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("syssql")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class SyssqlResource extends AbstractCommonResource<SyssqlVO>{

    @Autowired
    private SyssqlService syssql;

	@Override
	protected ICommonService getCommonService() {
		return syssql;
	}

}