package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.TatopnService;
import com.ceb.gjjs.mda.vo.TatopnVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("tatopn")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class TatopnResource extends AbstractCommonResource<TatopnVO>{

    @Autowired
    private TatopnService tatopn;

	@Override
	protected ICommonService getCommonService() {
		return tatopn;
	}

}