package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.WitmavService;
import com.ceb.gjjs.mda.vo.WitmavVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("witmav")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class WitmavResource extends AbstractCommonResource<WitmavVO>{

    @Autowired
    private WitmavService witmav;

	@Override
	protected ICommonService getCommonService() {
		return witmav;
	}

}