package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.XpssamService;
import com.ceb.gjjs.mda.vo.XpssamVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("xpssam")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class XpssamResource extends AbstractCommonResource<XpssamVO>{

    @Autowired
    private XpssamService xpssam;

	@Override
	protected ICommonService getCommonService() {
		return xpssam;
	}

}