package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.XptansService;
import com.ceb.gjjs.mda.vo.XptansVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("xptans")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class XptansResource extends AbstractCommonResource<XptansVO>{

    @Autowired
    private XptansService xptans;

	@Override
	protected ICommonService getCommonService() {
		return xptans;
	}

}