package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.XptinsService;
import com.ceb.gjjs.mda.vo.XptinsVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("xptins")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class XptinsResource extends AbstractCommonResource<XptinsVO>{

    @Autowired
    private XptinsService xptins;

	@Override
	protected ICommonService getCommonService() {
		return xptins;
	}

}