package com.ceb.gjjs.mda.vo;

import java.util.Date;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.brilliance.mda.support.jakson.serialize.DecimalLength;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class Betpre1VO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="pregrp.bilmdl.modtyp",dir=DirType.BOTH)
    private String pregrp_bilmdl_modtyp;

    @RelPath(value="pregrp.bilmdl.nam",dir=DirType.BOTH)
    private String pregrp_bilmdl_nam;

    @RelPath(value="pregrp.bilmdl.owned",dir=DirType.BOTH)
    private String pregrp_bilmdl_owned;

    @RelPath(value="pregrp.bilmdl.status",dir=DirType.BOTH)
    private String pregrp_bilmdl_status;

    @RelPath(value="pregrp.pty.nam",dir=DirType.BOTH)
    private String pregrp_pty_nam;

    @RelPath(value="pregrp.pty.ncid",dir=DirType.BOTH)
    private String pregrp_pty_ncid;


}