package com.ceb.gjjs.mda.vo;

import java.util.Date;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.brilliance.mda.support.jakson.serialize.DecimalLength;

import com.ceb.gjjs.mda.bo.Usrlst;
import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class DbbautVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="szdgrp.rec.aflg",dir=DirType.BOTH)
    private String szdgrp_rec_aflg;

    @RelPath(value="szdgrp.rec.bflg",dir=DirType.BOTH)
    private String szdgrp_rec_bflg;

    @RelPath(value="szdgrp.usr.lgnnam",dir=DirType.BOTH)
    private String szdgrp_usr_lgnnam;

    @RelPath(value="szdgrp.usrlst",dir=DirType.OUT)
    private ModuleList<Usrlst> szdgrp_usrlst;

    @RelPath(value="sztp.aflg",dir=DirType.BOTH)
    private String sztp_aflg;

    @RelPath(value="sztp.bflg",dir=DirType.BOTH)
    private String sztp_bflg;

    @RelPath(value="sztp.cid",dir=DirType.BOTH)
    private String sztp_cid;

    @RelPath(value="sztp.lgnnam",dir=DirType.BOTH)
    private String sztp_lgnnam;

    @RelPath(value="sztp.ptynam",dir=DirType.BOTH)
    private String sztp_ptynam;


}