package com.ceb.gjjs.mda.vo;

import java.util.Date;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.brilliance.mda.support.jakson.serialize.DecimalLength;

import com.ceb.gjjs.mda.bo.Rol;
import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class Dbmbpr0VO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="bprgrp.pty.nam",dir=DirType.BOTH)
    private String bprgrp_pty_nam;

    @RelPath(value="bprgrp.rollst",dir=DirType.OUT)
    private ModuleList<Rol> bprgrp_rollst;

    @RelPath(value="bprgrp.selrol",dir=DirType.OUT)
    private ModuleList<Rol> bprgrp_selrol;

    @RelPath(value="bprgrp.usr.depnam",dir=DirType.BOTH)
    private String bprgrp_usr_depnam;

    @RelPath(value="bprgrp.usr.eml",dir=DirType.BOTH)
    private String bprgrp_usr_eml;

    @RelPath(value="bprgrp.usr.lgnnam",dir=DirType.BOTH)
    private String bprgrp_usr_lgnnam;

    @RelPath(value="bprgrp.usr.mob",dir=DirType.BOTH)
    private String bprgrp_usr_mob;

    @RelPath(value="bprgrp.usr.oprnam",dir=DirType.BOTH)
    private String bprgrp_usr_oprnam;

    @RelPath(value="bprgrp.usr.tel",dir=DirType.BOTH)
    private String bprgrp_usr_tel;


}