package com.ceb.gjjs.mda.vo;

import java.util.Date;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.brilliance.mda.support.jakson.serialize.DecimalLength;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class ErsshwVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="ersgrp.rec.agtact",dir=DirType.BOTH)
    private String ersgrp_rec_agtact;

    @RelPath(value="ersgrp.rec.agtextkey",dir=DirType.BOTH)
    private String ersgrp_rec_agtextkey;

    @RelPath(value="ersgrp.rec.asctyp",dir=DirType.BOTH)
    private String ersgrp_rec_asctyp;

    @RelPath(value="ersgrp.rec.busref",dir=DirType.BOTH)
    private String ersgrp_rec_busref;

    @RelPath(value="ersgrp.rec.errdsc",dir=DirType.BOTH)
    private String ersgrp_rec_errdsc;

    @RelPath(value="ersgrp.rec.hnglbh",dir=DirType.BOTH)
    private String ersgrp_rec_hnglbh;

    @RelPath(value="ersgrp.rec.inftxt",dir=DirType.BOTH)
    private String ersgrp_rec_inftxt;

    @RelPath(value="ersgrp.rec.matinf",dir=DirType.BOTH)
    private String ersgrp_rec_matinf;

    @RelPath(value="ersgrp.rec.mattyp",dir=DirType.BOTH)
    private String ersgrp_rec_mattyp;

    @RelPath(value="ersgrp.rec.msgref",dir=DirType.BOTH)
    private String ersgrp_rec_msgref;

    @RelPath(value="ersgrp.rec.oldhnglbh",dir=DirType.BOTH)
    private String ersgrp_rec_oldhnglbh;

    @RelPath(value="ersgrp.rec.ownref",dir=DirType.BOTH)
    private String ersgrp_rec_ownref;

    @RelPath(value="ersgrp.rec.recsta",dir=DirType.BOTH)
    private String ersgrp_rec_recsta;

    @RelPath(value="ersgrp.rec.relref",dir=DirType.BOTH)
    private String ersgrp_rec_relref;


}