package com.ceb.gjjs.mda.vo;

import java.util.Date;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.brilliance.mda.support.jakson.serialize.DecimalLength;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class GitapnVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="gidgrp.agree",dir=DirType.BOTH)
    private String gidgrp_agree;

    @RelPath(value="gidgrp.apl.pty.nam",dir=DirType.BOTH)
    private String gidgrp_apl_pty_nam;

    @RelPath(value="gidgrp.baohanchk",dir=DirType.BOTH)
    private String gidgrp_baohanchk;

    @RelPath(value="gidgrp.bhcnschk",dir=DirType.BOTH)
    private String gidgrp_bhcnschk;

    @RelPath(value="gidgrp.tips",dir=DirType.BOTH)
    private String gidgrp_tips;

    @RelPath(value="gidgrp.yxchk",dir=DirType.BOTH)
    private String gidgrp_yxchk;


}