package com.ceb.gjjs.mda.vo;

import java.util.Date;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.brilliance.mda.support.jakson.serialize.DecimalLength;

import com.ceb.gjjs.mda.bo.Xptinf;
import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class XptsltVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="xptgrp.xptinf.expinf",dir=DirType.BOTH)
    private String xptgrp_xptinf_expinf;

    @RelPath(value="xptgrp.xptinf.expnam",dir=DirType.BOTH)
    private String xptgrp_xptinf_expnam;

    @RelPath(value="xptgrp.xptinf.exptel",dir=DirType.BOTH)
    private String xptgrp_xptinf_exptel;

    @RelPath(value="xptgrp.xptinf.xptsta",dir=DirType.BOTH)
    private String xptgrp_xptinf_xptsta;

    @RelPath(value="xptgrp.xptinflst",dir=DirType.OUT)
    private ModuleList<Xptinf> xptgrp_xptinflst;

    @RelPath(value="xptgrp.xptqna.etnnam",dir=DirType.BOTH)
    private String xptgrp_xptqna_etnnam;

    @RelPath(value="xptgrp.xptqna.que",dir=DirType.BOTH)
    private String xptgrp_xptqna_que;

    @RelPath(value="xptgrp.xptqna.ref",dir=DirType.BOTH)
    private String xptgrp_xptqna_ref;

    @RelPath(value="xptgrp.xptqna.tel",dir=DirType.BOTH)
    private String xptgrp_xptqna_tel;

    @RelPath(value="xptp.xptpho",dir=DirType.BOTH)
    private String xptp_xptpho;


}