package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:acb:
*/
@Table("acb")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Acb extends AbstractModule
{

        public Acb(){
            super();
        }

        public Acb(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "acb";
        }

        //唯一编号
        private String inr ;
        //银行绑定号
        private String cusid ;
        //备案结果
        private String result ;
        //失败原因
        private String reason ;
        //业务参号
        private String ownref ;
        //待汇入账号
        private String inwardacct ;
        //统一社会信用代码
        private String socialcrdtcd ;
        //操作类型
        private String opttype ;
        //备用字段
        private String remark ;
        //报文标识号
        private String msgref ;
        //备用字段
        private String remark1 ;
        //备用字段
        private String remark2 ;
        //致
        private String bchcod ;
        //日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //序号
        private String no ;
        //账号是否可用
        private String isuse ;
        //删除标准
        private String acbflg ;






































}