package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:acblst:
*/
@Table("acblst")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Acblst extends AbstractModule
{

        public Acblst(){
            super();
        }

        public Acblst(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "acblst";
        }

        //唯一编号
        private String inr ;
        //企业客户inr
        private String minr ;
        //业务参号
        private String ownref ;
        //待汇入账号
        private String inwardacct ;
        //统一社会信用代码
        private String socialcrdtcd ;
        //日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //客户名称
        private String nam ;
        //归属机构名称
        private String pnam ;
        //归属机构inr
        private String pinr ;






















}