package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:acc:账号信息表
*/
@Table("acc")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Acc extends AbstractModule
{

        public Acc(){
            super();
        }

        public Acc(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "acc";
        }

        //主键
        private String inr ;
        //币种缩写
        private String cur ;
        //账号
        private String act ;
        //账户所属Party主键
        private String ownptyinr ;
        //账号所属party名称
        private String ownptynam ;
        //账户所属Party类型
        private String ownptytyp ;
        //账号开户行主键
        private String opnptyinr ;
        //账号开户行名称
        private String opnptynam ;
        //账户开户机构编码
        private String opnbchcod ;
        //科目号
        private String subcod ;
        //科目描述
        private String subnam ;
        //已删账户标志
        private String delflg ;
        //版本文本
        private String ver ;






























}