package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.baomidou.mybatisplus.annotation.TableField;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;
import org.apache.ibatis.type.JdbcType;


/**
* TABLE:acd:
*/
@Table("acd")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Acd extends AbstractModule
{

        public Acd(){
            super();
        }

        public Acd(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "acd";
        }

        //经营范围
        @TableField(jdbcType = JdbcType.LONGVARBINARY)
        private String busiscope ;

        //唯一索引
        private String inr ;
        //业务参号
        private String ownref ;
        //业务流水号
        private String transid ;
        //企业名称
        private String entname ;
        //账户类型
        private String accounttype ;
        //通讯地址
        private String contactaddress ;
        //企业联系电话
        private String enttel ;
        //预约开户网点机构号
        private String openoutletibk ;
        //法定代表人
        private String legalrepresentative ;
        //财务负责人联系方式
        private String financialadmin ;
        //办理人联系方式
        private String transactor ;
        //大额交易核实人1联系方式
        private String transverifier1 ;
        //大额交易核实人2 联系方式
        private String transverifier2 ;
        //产品类型
        private String producttype ;
        //是否需要开立外汇账户
        private String openfea ;
        //统一社会信用代码
        private String socialcrdtcd ;
        //法人姓名
        private String legalname ;
        //注册资金
        private String registerfund ;
        //注册币种
        private String registercurrency ;
        //预约时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date appointmentdate;
        //开业日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date opendate;
        //经营期限自
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date operatefrom;
        //经营期限至
        private String operateend ;
        //行业分类
        private String industry ;
        //企业类型
        private String enttype ;
        //注册地址
        private String regaddr ;
        //经营状态
        private String busistatus ;
        //行业代码
        private String industrycode ;
        //报文标识号
        private String msgref ;
        //所属落地机构
        private String bchcod ;
        //申请日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //网银客户号
        private String ncid ;
        //账户状态
        private String status ;
        //申请编号
        private String acdno ;
        //拒绝原因
        private String reason ;
        //账号
        private String account ;
        //发送时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date senddat;


















































































}