package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:addtmp:临时表，左连接gitattach
*/
@Table("addtmp")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Addtmp extends AbstractModule
{

        public Addtmp(){
            super();
        }

        public Addtmp(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "addtmp";
        }

        //序号
        private String inr ;
        //业务编号
        private String ownref ;
        //影像批次号
        private String imgref ;
        //审批结果
        private String sta ;
        //申请时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //追加次数
        private Integer cnt;
        //第一次审核人
        private String usrinr ;
        //拒绝原因
        private String reason ;
        //补充资料业务号
        private String attachno ;
        //补充内容
        private String attachinfo ;
        //用户名
        private String muser ;
        //原业务号
        private String ownref1 ;
        //处理阶段
        private String gidsta ;
        //开立退回
        private String inifrm ;
































}