package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:afd:(系统表)申请事项信息表
*/
@Table("afd")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Afd extends AbstractModule
{

        public Afd(){
            super();
        }

        public Afd(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "afd";
        }

        //唯一编号
        private String inr ;
        //业务类型
        private String objtyp ;
        //业务编号
        private String objinr ;
        //申请类型
        private String apytyp ;
        //操作类型
        private String oprtyp ;
        //相应操作类型的结果
        private String oprval ;
        //操作人员编号
        private String ownusr ;
        //申请日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //所属落地机构
        private String bchcod ;
        //通知日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date advdat;
        //申请内容
        private String oprtxt ;
        //业务参号
        private String ownref ;
        //业务所属机构
        private String ptyinr ;
        //etyinr
        private String etyinr ;
        //stlref
        private String stlref ;
        //etginr
        private String etginr ;
        //ibchcod
        private String ibchcod ;
        //dbchcod
        private String dbchcod ;








































}