package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:agr:银行协议编号信息表
*/
@Table("agr")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Agr extends AbstractModule
{

        public Agr(){
            super();
        }

        public Agr(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "agr";
        }

        //NewField
        private String inr ;
        //客户号
        private String cid ;
        //客户序号（inr）
        private String ptyinr ;
        //客户名称
        private String ptynam ;
        //协议类型
        private String agrtyp ;
        //协议编号
        private String agrnum ;
        //更新时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date upddat;


















}