package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:bch:（分支）机构表
*/
@Table("bch")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bch extends AbstractModule
{

        public Bch(){
            super();
        }

        public Bch(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "bch";
        }

        //唯一编号
        private String inr ;
        //机构代码
        private String bchkey ;
        //机构名称
        private String nam ;
        //机构级别
        private String lev ;
        //上级机构主键
        private String pntbchinr ;
        //金融机构标识码
        private String decnum ;
        //电话
        private String tel ;
        //传真
        private String fax ;
        //邮编
        private String poscod ;
        //中文地址1
        private String cnadr1 ;
        //中文地址2
        private String cnadr2 ;
        //PTY表主键
        private String ptyinr ;
        //实体机构状态
        private String sta ;
        //entity extkey
        private String etyexkey ;
        //机构编码
        private String branch ;
        //英文名称
        private String namen ;
        //branch type
        private String bchtyp ;
        //branch flg
        private String bchflg ;
        //swift code
        private String swfcod ;
        //ver
        private String ver ;
        //english address
        private String adren ;
        //english address two
        private String adren2 ;
        //tradeconnect id
        private String tid ;
        //上级机构编号
        private String upbranch ;
        //核心机构号
        private String accbch ;
        //机构参考号
        private String bchref ;
        //核心柜员
        private String bchusr ;
        //下级机构列表
        private String bchlst ;
        //大额支付系统编号
        private String rmbrpt ;
        //cnapno
        private String cnapno ;
        //印单局‘码
        private String ydjcod ;


































































}