package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:bilmdl:(系统表)制单模板表
*/
@Table("bilmdl")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bilmdl extends AbstractModule
{

        public Bilmdl(){
            super();
        }

        public Bilmdl(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "bilmdl";
        }

        //内部编号
        private String inr ;
        //唯一编号
        private String ptyinr ;
        //模板名称
        private String nam ;
        //文件类型（Word/PDF）
        private String filtyp ;
        //创建时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credattim;
        //生效状态
        private String status ;
        //业务类型
        private String modtyp ;
        //模板所属
        private String owned ;
        //所属客户名称
        private String ptynam ;
        //信用证号
        private String ref ;
        //制作人编号
        private String oprinr ;
        //制作者名称
        private String oprnam ;
        //文件地址
        private String filurl ;
        //pdf地址
        private String pdfurl ;
        //记录类型
        private String typ ;


































}