package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:brdc:
*/
@Table("brdc")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Brdc extends AbstractModule
{

        public Brdc(){
            super();
        }

        public Brdc(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "brdc";
        }

        //主键
        private String inr ;
        //STL编号
        private String stlref ;
        //父inr
        private String pntinr ;
        //合同号
        private String hticontract ;
        //文件名称
        private String filename ;
        //来源
        private String source ;
        //创建时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;


















}