package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:busmdl:(系统表)业务模板表
*/
@Table("busmdl")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Busmdl extends AbstractModule
{

        public Busmdl(){
            super();
        }

        public Busmdl(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "busmdl";
        }

        //编号
        private String inr ;
        //唯一编号
        private String ptyinr ;
        //模板类型
        private String modtyp ;
        //模板描述
        private String mdldcb ;
        //创建日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credattim;
        //业务描述
        private String busdcb ;
        //指定客户编号
        private String cidinr ;
        //是否模板推送
        private String issend ;
        //是否证下
        private String islr ;






















}