package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:cty:(静态表)国家信息表
*/
@Table("cty")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Cty extends AbstractModule
{

        public Cty(){
            super();
        }

        public Cty(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "cty";
        }

        //主键
        private String inr ;
        //国家2位代码
        private String cod ;
        //字母代码
        private String alpcod ;
        //数字代码
        private String numcod ;
        //中文名
        private String chnnam ;
        //英文名
        private String engnam ;
















}