package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:gidcxm:
*/
@Table("gidcxm")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Cxm extends AbstractModule
{

        public Cxm(){
            super();
        }

        public Cxm(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "gidcxm";
        }

        //业务主键
        private String inr ;
        //保函查询码
        private String quycod ;
        //保函编号
        private String ownref ;
        //保函币种
        private String cur ;
        //保函金额
        private BigDecimal amt  = new BigDecimal("0.00");
        //保函开立日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date opndat;
        //保函效期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date expdat;
        //被保证人
        private String warran ;
        //受益人
        private String benefi ;
        //是否允许查询
        private String cxmflg ;
        //查询次数
        private Integer searchtimes;
        //客户号
        private String cid ;




























}