package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:dep:(静态表)部门信息表
*/
@Table("dep")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Dep extends AbstractModule
{

        public Dep(){
            super();
        }

        public Dep(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "dep";
        }

        //唯一编号
        private String inr ;
        //部门名称
        private String nam ;
        //实体编号
        private String etyinr ;
        //部门职能描述
        private String txt ;












}