package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:fzgit:
*/
@Table("fzgit")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fzgit extends AbstractModule
{

        public Fzgit(){
            super();
        }

        public Fzgit(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "fzgit";
        }

        //NewField
        private String inr ;
        //订单inr
        private String ordinr ;
        //交易inr
        private String trninr ;
        //创建日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //最后一次更新
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date upddat;
        //业务申请号码
        private String ownref ;
        //处理状态
        private String sta ;
        //费用币种
        private String lgfeecur ;
        //福州保函费用
        private BigDecimal lgfee  = new BigDecimal("0.00");
        //申请流水号
        private String applyno ;
        //交易码
        private String operateno ;
        //smhinr
        private String smhinr ;
        //面函标题
        private String facetitle ;
        //choiceoftext
        private String choiceoftext ;
        //contractref
        private String contractref ;
        //objofcontract
        private String objofcontract ;
        //guaranteeflag
        private String guaranteeflag ;
        //mortageflag
        private String mortageflag ;
        //平台码
        private String guapth ;
        //规则
        private String apprul ;












































}