package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:gidattach:补充资料通知记录表
*/
@Table("gidattach")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Gidattach extends AbstractModule
{

        public Gidattach(){
            super();
        }

        public Gidattach(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "gidattach";
        }

        //主键
        private String inr ;
        //补充资料业务号
        private String attachno ;
        //补充内容
        private String attachinfo ;
        //用户名
        private String muser ;
        //创建日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //更新日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date upddat;
        //用户inr
        private String userinr ;
        //状态
        private String sta ;
        //关联业务主键
        private String objinr ;
        //关联业务类型
        private String objtyp ;
        //业务参考号
        private String ownref ;
        //合作平台业务号
        private String ptbusino ;
        //处理阶段
        private String gidsta ;
        //开立退回
        private String inifrm ;
































}