package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:gidtmp:
*/
@Table("gidtmp")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Gidtmp extends AbstractModule
{

        public Gidtmp(){
            super();
        }

        public Gidtmp(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "gidtmp";
        }

        //唯一编号
        private String inr ;
        //客户编号
        private String ptyinr ;
        //业务申请号码
        private String ownref ;
        //受益人中文名称
        private String bennamcn ;
        //保函币别
        private String lgcur ;
        //保函金额
        private BigDecimal lgamt  = new BigDecimal("0.00");
        //保函格式
        private String lgfmt ;
        //保函类别
        private String lgtyp ;
        //申请人中文名称
        private String aplnamcn ;
        //开立日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date opndat;
        //下载状态
        private String dsta ;
        //发送状态
        private String sndsta ;
        //gitpushinr
        private String gitpushinr ;
        //ebhsndinr
        private String ebhsndinr ;
        //初始交易
        private String inifrm ;
        //状态
        private String gidsta ;
        //加章类型
        private String esig ;
        //国结业务参号
        private String stlref ;








































}