package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:gitpush:电子保函推送记录表
*/
@Table("gitpush")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Gitpush extends AbstractModule
{

        public Gitpush(){
            super();
        }

        public Gitpush(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "gitpush";
        }

        //主键
        private String inr ;
        //合同号
        private String contractid ;
        //手工干预用户名
        private String muser ;
        //创建日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //更新日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date upddat;
        //手工干预用户inr
        private String userinr ;
        //状态
        private String sta ;
        //关联业务主键
        private String objinr ;
        //关联业务类型
        private String objtyp ;
        //业务参考号
        private String ownref ;
        //国结参考号
        private String stlref ;
        //重试次数
        private Integer cnt;
        //原业务流水
        private String msgref ;
        //交易名
        private String trans ;
































}