package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:grn:电子保函操作记录表
*/
@Table("grn")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Grn extends AbstractModule
{

        public Grn(){
            super();
        }

        public Grn(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "grn";
        }

        //操作记录主键
        private String inr ;
        //关联流水表
        private String objtyp ;
        //关联流水表主键
        private String objinr ;
        //支行经办用户inr
        private String zjbinr ;
        //支行复核用户inr
        private String zfhinr ;
        //分行经办用户inr
        private String fjbinr ;
        //分行复核用户inr
        private String ffhinr ;
        //退回阶段标志
        private String rettyp ;
        //业务最新处理时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //业务状态
        private String gidsta ;
        //平台类型
        private String src ;


























}