package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:gsd:保函文本信息表
*/
@Table("gsd")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Gsd extends AbstractModule
{

        public Gsd(){
            super();
        }

        public Gsd(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "gsd";
        }

        //主键
        private String inr ;
        //保函类别
        private String bhtyp ;
        //文本编号
        private String wbinr ;
        //文本名称
        private String wbnam ;
        //文本说明
        private String wbdes ;
        //文本状态
        private String wbsta ;
        //上传文件名称
        private String docx ;
        //归属机构
        private String bchcod ;
        //源文件名称
        private String odocx ;
        //入库时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date wbdat;
        //分行经办
        private String usrinr1 ;
        //总行经办
        private String usrinr2 ;
        //文件名称
        private String filenam ;






























}