package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* TABLE:hyimp:
*/
@Table("hyimp")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Hyimp extends AbstractModule
{
		private static Logger log = LoggerFactory.getLogger(Hyimp.class);

        public Hyimp(){
            super();
        }

        public Hyimp(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "hyimp";
        }

        //序号
        private String inr ;
        //汇款币种
        private String remcur ;
        //汇款金额
        private BigDecimal remamt  = new BigDecimal("0.00");
        //现汇金额
        private BigDecimal fxamt  = new BigDecimal("0.00");
        //现汇账号
        private String fxact ;
        //购汇金额
        private BigDecimal puramt  = new BigDecimal("0.00");
        //购汇账号
        private String puract ;
        //汇款人名称
        private String paynam ;
        //汇款人地址
        private String payadd ;
        //收款银行代理行swiftcode
        private String extkey ;
        //收款人开户银行swiftcode
        private String opnkey ;
        //收款人开户银行详细名称
        private String opnnam ;
        //收款人开户银行详细地址
        private String opnadd ;
        //收款人名称
        private String payeenameapp ;
        //收款人账号
        private String pyeact ;
        //收款人地址
        private String payeeadd ;
        //费用承担方
        private String detchgcod ;
        //收款人常驻国家/地区代码
        private String pyecry ;
        //付款类型
        private String paytyp ;
        //付汇性质
        private String paytyptxt ;
        //交易编码1
        private String bopcod1 ;
        //相应金额1
        private BigDecimal bopamt1  = new BigDecimal("0.00");
        //交易附言1
        private String bopinf1 ;
        //合同号
        private String conno ;
        //业务编号
        private String hyno ;
        //批量导入批次号
        private String hyimpno ;

        /**
        *   source:hyimp.@0000.script
        */
        @Init(order=100)
        public boolean init100(IContext ctx,int evtOrder)
        {
    


			return true;
        }























































}