package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:img:影像控件记录表
*/
@Table("img")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Img extends AbstractModule
{

        public Img(){
            super();
        }

        public Img(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "img";
        }

        //影像表主键
        private String inr ;
        //影像批次号
        private String imgref ;
        //业务编号
        private String ownref ;
        //业务表主键
        private String objinr ;
        //业务表名称
        private String objtyp ;
        //交易代码
        private String inifrm ;
        //柜员名称
        private String lgnnam ;
        //交易流水主键
        private String trninr ;
        //创建时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //影像提交时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date reldattim;
        //最后一次操作时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date optdattim;
        //操作次数
        private Integer cnt;
        //影像来源系统编号
        private String ftysuc ;
        //影像批次编号
        private String guid ;
        //国结影像机构号
        private String bchcod ;


































}