package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:invsup:（业务表）发票补充信息表
*/
@Table("invsup")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Invsup extends AbstractModule
{

        public Invsup(){
            super();
        }

        public Invsup(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "invsup";
        }

        //序号
        private String inr ;
        //外币金额
        private BigDecimal gframt  = new BigDecimal("0.00");
        //外币币种
        private String gfrcur ;
        //货物品名
        private String remarks ;
        //购方名称
        private String purchasername ;
        //购方税号
        private String purchasertaxno ;
        //购方地址
        private String purchaseraddress ;
        //销方名称
        private String salesname ;
        //销方地址
        private String salesaddress ;
        //销方开户行账号
        private String salesbankno ;
        //状态
        private String state ;
        //核验次数
        private String checktotal ;
        //本机构核验次数
        private String checkown ;
        //其他机构核验次数
        private String checkother ;
        //监控次数
        private String monitortotal ;
        //本机构监控次数
        private String monitorown ;
        //其他机构监控次数
        private String monitorother ;
        //发票表主键
        private String invinr ;
        //业务申请号码
        private String ownref ;
        //发票类型
        private String invoicetype ;
        //发票类型代码
        private String invoicetypecode ;
        //首次核验标识
        private String firstsign ;
        //不含税金额
        private long totalamount ;
        //销方税号
        private String salestaxno ;




















































}