package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:lad:
*/
@Table("lad")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Lad extends AbstractModule
{

        public Lad(){
            super();
        }

        public Lad(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "lad";
        }

        //编号
        private String inr ;
        //参考号
        private String ownref ;
        //归属银行
        private String bchcod ;
        //业务表主键
        private String objinr ;
        //业务所属机构
        private String ptyinr ;
        //关联系统业务编号
        private String stlref ;
        //单据币种
        private String advcur ;
        //单据金额
        private BigDecimal advamt  = new BigDecimal("0.00");
        //申请日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //信用证号
        private String lccref ;
        //装运日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date lzydat;
        //效期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date lxqdat;
        //交单期限
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date ljddat;
        //发票编号
        private String lfpno ;
        //核销单编号
        private String lhdno ;
        //原币入账
        private String isyrc ;
        //结汇入账
        private String isjrc ;
        //原币入账账号
        private String yrcno ;
        //结汇入账账号
        private String jrcno ;
        //信用证及修改份数
        private String isrep ;
        //信用证份数
        private String lfsno ;
        //不符点选项
        private String isadd ;
        //不符点内容
        private String bfdnote ;
        //不符点处置选项1
        private String bfds1 ;
        //不符点处置选项2
        private String bfds2 ;
        //etyinr
        private String etyinr ;
        //操作员编号
        private String ownusr ;
        //单据及份数
        private String docgrd ;




























































}