package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:lebhsnd:
*/
@Table("lebhsnd")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Lebhsnd extends AbstractModule
{

        public Lebhsnd(){
            super();
        }

        public Lebhsnd(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "lebhsnd";
        }

        //序号
        private String inr ;
        //发送次数
        private long cnt ;
        //创建时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //NewField
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date mandate;
        //交易对应接口编号（发报）
        private String msgcod ;
        //关联业务表
        private String objinr ;
        //关联业务表类型
        private String objtyp ;
        //发送文件路径
        private String msgpath ;
        //发送时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date senddate;
        //发送状态
        private String sta ;
        //交易名
        private String trans ;
        //NewField
        private String muser ;
        //业务参考号
        private String ownref ;






























}