package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:lit:(业务表)进口信用证大字段表
*/
@Table("lit")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Lit extends AbstractModule
{

        public Lit(){
            super();
        }

        public Lit(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "lit";
        }

        //内部编号
        private String inr ;
        //可转让信用证细节描述
        private String trfdet ;
        //假远期信用证细节描述
        private String upsdet ;
        //保兑细节描述
        private String cnfdet ;
        //支付方式细节描述
        private String defdet ;
        //汇票信息
        private String dftat ;
        //信用证需要的文件材料
        private String lcrdoc ;
        //货物描述信息
        private String lcrgod ;
        //费用承担条款
        private String feetxt ;
        //交单时间要求
        private String preper ;
        //附加条款
        private String adlcnd ;
        //大写
        private String word ;
        //混合付款细节
        private String mixdet ;
        //致兴业条款
        private String trstxt ;
        //寄单指示Documents Forward Instruction
        private String docfwdins ;
        //信用证原文（保兑申请）
        private String lctxt ;
        //Period for Presentation(信用证转开申请)
        private String prepod ;
        //Instructions to the Paying/Accepting/Negotiating Bank(信用证转开申请)
        private String negins ;
        //Sender to Receiver Infomation(进口信用证转开申请等)
        private String sndrcvinf ;
        //信用证开立声明
        private String rgtcls ;
        //分批装运细节
        private String pardet ;
        //转运细节
        private String trsdet ;
        //其他修改细节
        private String othamedet ;
        //增装货物
        private String addgod ;
        //其他修改细节
        private String ametxt ;






















































}