package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:ltd:
*/
@Table("ltd")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Ltd extends AbstractModule
{

        public Ltd(){
            super();
        }

        public Ltd(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "ltd";
        }

        //编号
        private String inr ;
        //参考号
        private String ownref ;
        //归属银行
        private String bchcod ;
        //业务表主键
        private String objinr ;
        //业务所属机构
        private String ptyinr ;
        //业务编号
        private String stlref ;
        //申请日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //etyinr
        private String etyinr ;
        //转让方式
        private String zrsty ;
        //转让金额选择
        private String zrramm ;
        //转让金额币种
        private String zrrcur ;
        //转让金额
        private BigDecimal zrramt  = new BigDecimal("0.00");
        //单据替换
        private String isrep ;
        //更改内容
        private String isalt ;
        //单价
        private BigDecimal djjamt  = new BigDecimal("0.00");
        //数量
        private String slnumb ;
        //有效期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date expdat;
        //装船期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date shpdat;
        //交单期
        private String prepers18 ;
        //生效地
        private String expplc ;
        //投保比例
        private String tbblmt ;
        //其他
        private String qtdata ;
        //申明1
        private String sm1 ;
        //申明2
        private String sm2 ;
        //申明3
        private String sm3 ;
        //不替换单据
        private String notrep ;
        //操作人员编号
        private String ownusr ;
        //费用承担人
        private String feenam ;
        //信用证号
        private String lccref ;
        //开立日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date opndat;
































































}