package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:mar:保证金委托与扣划申请
*/
@Table("mar")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Mar extends AbstractModule
{

        public Mar(){
            super();
        }

        public Mar(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "mar";
        }

        //所落属地机构
        private String bchcod ;
        //申请日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //相关参号
        private String ref ;
        //企业备注
        private String note ;
        //申请人
        private String aplnam ;
        //主键
        private String inr ;
        //所属机构
        private String ptyinr ;
        //参号
        private String ownref ;
        //机构编号
        private String etyinr ;
        //参号
        private String stlref ;
        //关联业务表名
        private String objtyp ;
        //关联业务主键
        private String objinr ;
        //公司名称
        private String gsmc ;
        //组织机构代码证
        private String zzjgdmz ;
        //保证金协议编号
        private String bzjxybh ;
        //委托开立保证金账户
        private String wtklbzjzh ;
        //委托扣划保证金
        private String wtkhbzj ;
        //电话
        private String dh ;
        //地址
        private String dz ;
        //邮编
        private String yb ;
        //财务联系人
        private String cwlxr ;
        //传真号码
        private String czhm ;
        //存款人类别
        private String ckrlb ;
        //组织机构代码
        private String zzjgdm ;
        //法定代表人/单位负责人
        private String fddbr ;
        //姓名
        private String nam ;
        //证件种类
        private String zjzl ;
        //证件号码
        private String zjhm ;
        //开立账户币别
        private String klzhbb ;
        //总金额币种
        private String cur ;
        //总金额
        private BigDecimal amt  = new BigDecimal("0.00");


































































}