package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:modlst:(静态表)交易列表
*/
@Table("modlst")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Modlst extends AbstractModule
{

        public Modlst(){
            super();
        }

        public Modlst(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "modlst";
        }

        //主键
        private String inr ;
        //交易代码
        private String frm ;
        //交易中文名称
        private String nam ;
        //交易信息
        private String modinf ;
        //交易分类
        private String bus ;
        //运行标志
        private String runflg ;
        //交易类型
        private String modtyp ;
        //报文类型
        private String tcotyp ;
        //交易类型
        private String trntyp ;
        //Party类型
        private String ptytyp ;
        //业务流程类型
        private String fintyp ;


























}