package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:msg:(系统表)邮件地址信息订阅表
*/
@Table("msg")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Msg extends AbstractModule
{

        public Msg(){
            super();
        }

        public Msg(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "msg";
        }

        //主键
        private String inr ;
        //实体机构编号
        private String ptyinr ;
        //交易名称
        private String frm ;
        //邮箱地址
        private String eml ;
        //手机号码
        private String mobile ;
        //交易中文名称
        private String nam ;
        //邮件订阅标志
        private String emlflg ;
        //短信订阅标志
        private String msgflg ;




















}