package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:mxd:保证金账户信息
*/
@Table("mxd")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Mxd extends AbstractModule
{

        public Mxd(){
            super();
        }

        public Mxd(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "mxd";
        }

        //主键
        private String inr ;
        //关联表
        private String objtyp ;
        //关联主键
        private String objinr ;
        //账号
        private String acc ;
        //户名
        private String accnam ;
        //开户行
        private String opnd ;
        //保证金币种
        private String bzjbz ;
        //保证金金额
        private BigDecimal bzjje  = new BigDecimal("0.00");
        //删除标志
        private String modflg ;






















}