package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:payee:
*/
@Table("payee")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Payee extends AbstractModule
{

        public Payee(){
            super();
        }

        public Payee(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "payee";
        }

        //主键
        private String inr ;
        //收款人名称
        private String pyenam ;
        //收款人地址
        private String adr ;
        //收款人所在国别或地区（字母）
        private String pyecry ;
        //收款人账号
        private String pyeact ;
        //收款人开户行代码
        private String acwnam ;
        //收款人开户行地址
        private String swtcod ;
        //收款行代理行代码
        private String rcpnam ;
        //收款行代理行地址
        private String rcpswtcod ;
        //收款银行在其代理行帐号
        private String rcpact ;
        //最后修改人
        private String updatename ;
        //是否启用
        private String isenable ;
        //创建时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date createtime;
        //修改时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date updatetime;
        //当前用户的id
        private String cid ;
        //收款人所在国别或地区(中文)
        private String ctydes ;
        //收款开户行名称
        private String swtnam ;
        //收款代理行名称
        private String rcpswtnam ;








































}