package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:pdfdoc:
*/
@Table("pdfdoc")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Pdfdoc extends AbstractModule
{

        public Pdfdoc(){
            super();
        }

        public Pdfdoc(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "pdfdoc";
        }

        //主键
        private String inr ;
        //申请文本总数
        private Integer doccnt;
        //按钮描述
        private String label ;
        //生效的PDF文件名称
        private String pdffilnam ;
        //业务表名称
        private String objtyp ;
        //业务表主键
        private String objinr ;
        //订单主键
        private String ordinr ;
        //摘要数据
        private String md5 ;
        //签名数据
        private String sigdat ;
        //状态
        private String sta ;
        //协议创建时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date credat;
        //协议生效时间
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date opndat;
        //业务编号
        private String ownref ;
        //交易代码
        @Column("inifr")
        private String inifrm ;
        //模板文件名称
        private String tempfile ;
        //协议失效时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date loseffdat;




































}