package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:pla:
*/
@Table("pla")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Pla extends AbstractModule
{

        public Pla(){
            super();
        }

        public Pla(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "pla";
        }

        //主键
        private String inr ;
        //平台名称
        private String platfromname ;
        //管理人员联系电话
        private String mantel ;
        //管理人员名称
        private String mannam ;
        //平台连接状态
        private String status ;
        //保函种类
        private String tratype ;
        //保函币种
        private String tracur ;
        //授权金额
        private BigDecimal traamt  = new BigDecimal("0.00");
        //相关银行机构
        private String corbank ;






















}