package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:pts:(系统表)交易对手集合表
*/
@Table("pts")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Pts extends AbstractModule
{

        public Pts(){
            super();
        }

        public Pts(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "pts";
        }

        //唯一编号
        private String inr ;
        //角色
        private String rol ;
        //业务编号/业务角色
        private String ptyinr ;
        //业务类型
        private String objtyp ;
        //业务编号
        private String objinr ;
        //交易对手名称
        private String nam ;
        //地址块（机构英文名称+详细地址）
        private String adrblk ;
        //BIC码/企业编号External Key of Address
        private String extkey ;
        //个性化编号Reference for Address
        private String ref ;
        //机构名址关系键值
        private String ptainr ;
        //银行账号
        private String act ;
        //账号所属银行
        private String bak ;
        //银行行号
        private String bakcode ;
        //地址
        private String adr ;
































}