package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:rol:(静态表)角色表
*/
@Table("rol")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Rol extends AbstractModule
{

        public Rol(){
            super();
        }

        public Rol(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "rol";
        }

        //唯一编号
        private String inr ;
        //角色名称
        private String rolnam ;
        //角色状态
        private String flg ;
        //创建人
        private String crenam ;
        //创建时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //机构编号
        private String ptyinr ;
















}