package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:secinf:被保证人信息记录 （深圳电子保函）
*/
@Table("secinf")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Secinf extends AbstractModule
{

        public Secinf(){
            super();
        }

        public Secinf(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "secinf";
        }

        //被保证人信息序号
        private String inr ;
        //被保证人名称
        private String nam ;
        //被保证人统一信用代码
        private String cifno ;
        //被保证人成立日期
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //被保证人中征码
        private String diancode ;
        //被保证人地址
        private String adr ;
        //被保证人邮政编码
        private String pobzip ;
        //被保证人联系人
        private String lnknam ;
        //被保证人电话
        private String tel ;
        //30
        private String fax ;
        //角色类型
        private String typ ;
        //被保证人资料上传时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date upddat;




























}