package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:sig:数字签名信息表
*/
@Table("sig")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Sig extends AbstractModule
{

        public Sig(){
            super();
        }

        public Sig(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "sig";
        }

        //inr
        private String inr ;
        //transaction
        private String frm ;
        //usr name
        private String usr ;
        //action
        private String act ;
        //objinr
        private String objinr ;
        //toto
        private String todo ;
        //sigblock
        private String sig ;
        //cur
        private String cur ;
        //amt
        private BigDecimal amt  = new BigDecimal("0.00");
        //nam
        private String nam ;
        //ownref
        private String ownref ;
        //sig date
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date sigdate;
        //objtyp
        private String objtyp ;
        //ordinr
        private String ordinr ;
        //hash
        private String hash ;


































}