package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:usraut:(系统表)操作员权限表
*/
@Table("usraut")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Usraut extends AbstractModule
{

        public Usraut(){
            super();
        }

        public Usraut(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "usraut";
        }

        //主键
        private String inr ;
        //用户或角色编号
        private String objinr ;
        //所属机构编号
        private String ptyinr ;
        //经办标志
        private String flg1 ;
        //交易名称
        private String frm ;
        //币种
        private String cur ;
        //授权级别
        private String lvl ;
        //复核标志
        private String flg2 ;
        //数目
        private BigDecimal amt  = new BigDecimal("0.00");
        //用户或角色（ROL/USR）
        private String objtyp ;
























}