package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:wrn:
*/
@Table("wrn")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Wrn extends AbstractModule
{

        public Wrn(){
            super();
        }

        public Wrn(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "wrn";
        }

        //唯一编号
        private String inr ;
        //复核人员
        private String owninr ;
        //业务所属机构
        private String ptyinr ;
        //关联业务编号
        private String sptinr ;
        //复核权限
        private String chkflg ;
        //交易当前复核状态
        private String sta ;
        //复核时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date fdodat;
        //复核交易类型
        private String wrnfrm ;




















}