package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:xptqna:专家咨询问答表
*/
@Table("xptqna")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Xptqna extends AbstractModule
{

        public Xptqna(){
            super();
        }

        public Xptqna(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "xptqna";
        }

        //唯一编号
        private String inr ;
        //操作员编号
        private String oprinr ;
        //提交时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date dat;
        //解答内容
        private String ans ;
        //问题内容
        private String que ;
        //问题状态
        private String sta ;
        //专家编号
        private String xptinr ;
        //客户名称
        private String etnnam ;
        //联系方式
        private String tel ;
        //通知号/申请号
        private String ref ;
        //回答专家
        private String ansxpt ;
        //影像批次号
        private String imgref ;




























}