package com.ceb.gjjs.mda.bo;

import java.util.*;
import java.math.BigDecimal;


import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.mda.support.mybatis.entity.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import com.ceb.gjjs.mda.global.Platform;


/**
* TABLE:xptsam:(系统表)专家咨询经典案例表
*/
@Table("xptsam")
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Xptsam extends AbstractModule
{

        public Xptsam(){
            super();
        }

        public Xptsam(String name,IModule parent){
            super(name,parent);
        }

        @Override
        public String getTableName(){
            return "xptsam";
        }

        //唯一编号
        private String inr ;
        //专家编号
        private String oprinr ;
        //创建时间
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date credat;
        //业务分类
        private String castyp ;
        //案例问题
        private String casque ;
        //案例背景
        private String casbgr ;
        //案例解答
        private String casans ;
        //实体编号
        private String etyinr ;




















}