package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Bcd;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Cls;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 进口代收表数据集
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bcdgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Bcdgrp.class);

        //面函类型
        private String sdutyp;

        //交单方式混合付款内容
        private String doctxt;

        //付款期限
        private String tenor;

        //单据信息
        private String docinf;

        //LOGO标志
        private String logo;



	    @BDGetter
		private Bcd rec;

	    @BDGetter
		private Ptspta dre;

	    @BDGetter
		private Ptspta drr;

	    @BDGetter
		private Ptspta rmi;

	    @BDGetter
		private Ptspta dap;

	    @BDGetter
		private Bnkrecd bnkrecd;

	    @BDGetter
		private Cmcrecd cmcrecd;

	    @BDGetter
		private Cls cls;

	    @BDGetter
		private Ptspta apl;


		public Bcdgrp()
        {
            super();
            setArgument();
        }

        public Bcdgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }

































}