package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* Main Function for 进口代收
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bctmod extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Bctmod.class);



		@Module(getter = false, setter = false)
        private transient ModuleHolder<Afdgrp> afdgrp;

		@Module(getter = false, setter = false)
        private transient ModuleHolder<Bcdgrp> bcdgrp;


		public Bctmod()
        {
            super();
            setArgument();
        }

        public Bctmod(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setAfdgrpHolder(ModuleHolder<Afdgrp> afdgrp)
        {
           this.afdgrp = afdgrp;
        }

        public Afdgrp getAfdgrp()
        {
           return this.afdgrp.get();
        }

        public void setBcdgrpHolder(ModuleHolder<Bcdgrp> bcdgrp)
        {
           this.bcdgrp = bcdgrp;
        }

        public Bcdgrp getBcdgrp()
        {
           return this.bcdgrp.get();
        }

}