package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Pty;
import com.ceb.gjjs.mda.bo.Adr;
import com.ceb.gjjs.mda.bo.Ptr;
import com.ceb.gjjs.mda.bo.Pta;
import com.ceb.gjjs.mda.bo.Payee;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 受益人
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bengrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Bengrp.class);

        //归属机构代码
        private String ownedby;

        //选择归属机构
        private transient IControl selownedpty = new ControlImpl("selownedpty", "选择归属机构", this);

        //归属机构代码
        private String ownedlabel;

        //所属机构号
        private String selno;

        //所属机构号Label
        private String selnolabel;

        //查询机构下属受益人
        private transient IControl selben = new ControlImpl("selben", "查询机构下属受益人", this);

        //
        private String selextkey;

        //
        private String selnamlabel;

        //客户extkey码表
        private Object cusextkey;



	    @BDGetter
		private Pty pty;

	    @BDGetter
		private Pta pta;

	    @BDGetter
		private Adr adr;

	    @BDGetter
		private Ptr ptr;

		@BDGetter
		private ModuleList<Tmp> benlst;

		@BDGetter
		private ModuleList<Tmp> ben2lst;

	    @BDGetter
		private Pty owned;

		@BDGetter
		private ModuleList<Pty> ptylst;

	    @BDGetter
		private Payee payee;

	    @BDGetter
		private Payee pyeact;


		public Bengrp()
        {
            super();
            setArgument();
        }

        public Bengrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }











































}