package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Gsd;
import com.ceb.gjjs.mda.bo.Wblog;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bhtp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Bhtp.class);

        //保函文本docx文件
        private IStream docxdo = new StreamImpl();

        //保存
        private transient IControl sav = new ControlImpl("sav", "保存", this);

        //取消
        private transient IControl can = new ControlImpl("can", "取消", this);

        //新增
        private transient IControl add = new ControlImpl("add", "新增", this);

        //修改
        private transient IControl mod = new ControlImpl("mod", "修改", this);

        //删除
        private transient IControl del = new ControlImpl("del", "删除", this);

        //提交
        private transient IControl sub = new ControlImpl("sub", "提交", this);

        //查询
        private transient IControl sel = new ControlImpl("sel", "查询", this);

        //退回
        private transient IControl back = new ControlImpl("back", "退回", this);

        //下载
        private transient IControl download = new ControlImpl("download", "下载", this);

        //查看提交日志
        private transient IControl sellog = new ControlImpl("sellog", "查看提交日志", this);

        //返回
        private transient IControl goback = new ControlImpl("goback", "返回", this);

        //开始日期
        private Date begdat;

        //结束日期
        private Date enddat;

        //保函文本预览
        private IStream docx = new StreamImpl();


        @JsonIgnore
        @BDGetter
        private transient IPanel bhlst;

        @JsonIgnore
        @BDGetter
        private transient IPanel addup;

        @JsonIgnore
        @BDGetter
        private transient IPanel logs;

        @JsonIgnore
        @BDGetter
        private transient IPanel ylpag;


		@BDGetter
		private ModuleList<Gsd> gsdlst;

		@Module(getter = false, setter = false)
        private transient ModuleHolder<Gsdgrp> gsdgrp;

		@BDGetter
		private ModuleList<Wblog> wbllst;


		public Bhtp()
        {
            super();
            setArgument();
        }

        public Bhtp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }







        public void setGsdgrpHolder(ModuleHolder<Gsdgrp> gsdgrp)
        {
           this.gsdgrp = gsdgrp;
        }

        public Gsdgrp getGsdgrp()
        {
           return this.gsdgrp.get();
        }

































}