package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 银行审单记录及委办事项表
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bnkrecd extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Bnkrecd.class);

        //被申请行托收费用承担方
        private String agbchrgby;

        //托收行托收费用承担方
        private String rmichrgby;

        //其他指示
        private String othins;

        //实际收单日期
        private Date rcvdat;

        //提单、保单之外的单据类型
        private String doctyp;

        //补充条款
        private String splcnd;

        //被申请行托收费用是否可放弃
        private String agbmstfee;

        //托收行托收费用是否可放弃
        private String rmimstfee;

        //其他单据条款
        private String othdoc;




		public Bnkrecd()
        {
            super();
            setArgument();
        }

        public Bnkrecd(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }























}