package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Cls;
import com.ceb.gjjs.mda.bo.Bod;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 出口托收模块
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bodgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Bodgrp.class);

        //修改后币种
        private String cur;

        //修改后金额
        private BigDecimal amt = new BigDecimal("0.00");

        //NewField
        private String modtenor;

        //NewField
        private String modtenorday;

        //变更后到期日
        private Date dat;

        //面含类型
        private String sdutyp;

        //混合付款细节
        private String mixdet;

        //NewField
        private String comlab;

        //单据信息
        private String docinf;

        //LOGO标志
        private String logo;

        //国外银行扣费币种
        private String fbkcur;

        //邮电费
        private String pstfee;

        //银行手续费币种
        private String bakcur;



	    @BDGetter
		private Bod rec;

	    @BDGetter
		private Ptspta drr;

	    @BDGetter
		private Ptspta dre;

	    @BDGetter
		private Ptspta clb;

	    @BDGetter
		private Ptspta dap;

	    @BDGetter
		private Bnkrecd bnkrecd;

	    @BDGetter
		private Cmcrecd cmcrecd;

		@BDGetter
		private ModuleList<Bod> bodlst;

	    @BDGetter
		private Docdft docdft;

	    @BDGetter
		private Cls cls;

	    @BDGetter
		private Ptspta apl;


		public Bodgrp()
        {
            super();
            setArgument();
        }

        public Bodgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





















































}