package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Bxd;
import com.ceb.gjjs.mda.bo.Mar;
import com.ceb.gjjs.mda.bo.Pxd;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Mxd;
import com.ceb.gjjs.mda.bo.Bpd;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 转议付融资表数据集
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bpdgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Bpdgrp.class);

        //新增/选择
        private String flg;

        //申请人名称
        private String aplnam;

        //是否签订保证金协议
        private String checked;

        //押汇大写金额
        private String amt;

        //保证金大写金额
        private String dxje;

        //业务操作提示
        private String tips;

        //市场利率类型
        private String lrltyp;

        //市场利率报价时间
        private Date lrldat1;

        //市场利率报价时间
        private Date lrldat2;

        //实际执行年利率
        private String trunll;

        //市场利率
        private String lrlrat;

        //bps+/-
        private String bpsas;

        //BPs值
        private String bpsnum;

        //查询
        private transient IControl querat = new ControlImpl("querat", "查询", this);

        //计算
        private transient IControl sumrat = new ControlImpl("sumrat", "计算", this);

        //利率周期最后一项
        private String ratcyclend;



	    @BDGetter
		private Bpd rec;

	    @BDGetter
		private Pxd pxd;

	    @BDGetter
		private Bxd bxd;

	    @BDGetter
		private Mar mar;

		@BDGetter
		private ModuleList<Mxd> mxdlst;

	    @BDGetter
		private Ptspta isb;

	    @BDGetter
		private Ptspta apl;

	    @BDGetter
		private Ptspta cbl;

	    @BDGetter
		private Ptspta dap;


		public Bpdgrp()
        {
            super();
            setArgument();
        }

        public Bpdgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }























































}