package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Pty;
import com.ceb.gjjs.mda.bo.Usr;
import com.ceb.gjjs.mda.bo.Rolpro;
import com.ceb.gjjs.mda.bo.Rol;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Auth;
import com.ceb.gjjs.mda.bo.Usrrol;
import com.ceb.gjjs.mda.bo.Usraut;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bprgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Bprgrp.class);

        //密码
        private String psw;

        //确认密码
        private String pswagain;

        //保存
        private transient IControl savpsw = new ControlImpl("savpsw", "保存", this);



	    @BDGetter
		private Usr usr;

	    @BDGetter
		private Usraut usraut;

	    @BDGetter
		private Rolpro rolpro;

	    @BDGetter
		private Usrrol usrrol;

		@BDGetter
		private ModuleList<Usr> usrlst;

		@BDGetter
		private ModuleList<Rol> rollst;

		@BDGetter
		private ModuleList<Tmp> usrtmp;

		@BDGetter
		private ModuleList<Usrrol> usrrollst;

	    @BDGetter
		private Rol rol;

		@BDGetter
		private ModuleList<Rol> selrol;

	    @BDGetter
		private Pty pty;

		@BDGetter
		private ModuleList<Pty> ptylst;

	    @BDGetter
		private Auth auth;


		public Bprgrp()
        {
            super();
            setArgument();
        }

        public Bprgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





































}