package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bprp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Bprp.class);

        //搜索
        private transient IControl search = new ControlImpl("search", "搜索", this);

        //新增
        private transient IControl add = new ControlImpl("add", "新增", this);

        //删除
        private transient IControl delete = new ControlImpl("delete", "删除", this);

        //确认密码
        private String repwd;

        //银行操作员新增角色
        private transient IControl addrol = new ControlImpl("addrol", "银行操作员新增角色", this);

        //银行操作员新增全部角色
        private transient IControl addallrol = new ControlImpl("addallrol", "银行操作员新增全部角色", this);

        //银行操作员删除角色
        private transient IControl delrol = new ControlImpl("delrol", "银行操作员删除角色", this);

        //银行操作员删除全部角色
        private transient IControl delallrol = new ControlImpl("delallrol", "银行操作员删除全部角色", this);

        //保存
        private transient IControl submit = new ControlImpl("submit", "保存", this);

        //选择
        private transient IControl sel = new ControlImpl("sel", "选择", this);

        //完成
        private transient IControl done = new ControlImpl("done", "完成", this);

        //返回
        private transient IControl rtn = new ControlImpl("rtn", "返回", this);

        //机构代号或名称
        private String selno;

        //选择机构
        private transient IControl selpty = new ControlImpl("selpty", "选择机构", this);

        //stream
        private IStream bprstm = new StreamImpl();

        //授权
        private transient IControl grant = new ControlImpl("grant", "授权", this);

        //密码
        private String pwd;

        //get
        private transient IControl get = new ControlImpl("get", "get", this);

        //导出
        private IStream export = new StreamImpl();

        //操作员名称
        private String oprnam;

        //操作员编号
        private String lgnnam;


        @JsonIgnore
        @BDGetter
        private transient IPanel selbpr;

        @JsonIgnore
        @BDGetter
        private transient IPanel shwbpr;

        @JsonIgnore
        @BDGetter
        private transient IPanel selbch;

        @JsonIgnore
        @BDGetter
        private transient IPanel setpsw;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Bprgrp> bprgrp;


		public Bprp()
        {
            super();
            setArgument();
        }

        public Bprp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setBprgrpHolder(ModuleHolder<Bprgrp> bprgrp)
        {
           this.bprgrp = bprgrp;
        }

        public Bprgrp getBprgrp()
        {
           return this.bprgrp.get();
        }











































}