package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* Main Function for 转议付/出口押汇
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Bptmod extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Bptmod.class);



		@Module(getter = false, setter = false)
        private transient ModuleHolder<Bpdgrp> bpdgrp;

		@Module(getter = false, setter = false)
        private transient ModuleHolder<Bedgrp> bedgrp;

		@Module(getter = false, setter = false)
        private transient ModuleHolder<Bodgrp> bodgrp;


		public Bptmod()
        {
            super();
            setArgument();
        }

        public Bptmod(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setBpdgrpHolder(ModuleHolder<Bpdgrp> bpdgrp)
        {
           this.bpdgrp = bpdgrp;
        }

        public Bpdgrp getBpdgrp()
        {
           return this.bpdgrp.get();
        }

        public void setBedgrpHolder(ModuleHolder<Bedgrp> bedgrp)
        {
           this.bedgrp = bedgrp;
        }

        public Bedgrp getBedgrp()
        {
           return this.bedgrp.get();
        }

        public void setBodgrpHolder(ModuleHolder<Bodgrp> bodgrp)
        {
           this.bodgrp = bodgrp;
        }

        public Bodgrp getBodgrp()
        {
           return this.bodgrp.get();
        }

}