package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Brdc;
import com.ceb.gjjs.mda.bo.Brd;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 进口信用证项下单据数据集
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Brdgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Brdgrp.class);



	    @BDGetter
		private Brd rec;

	    @BDGetter
		private Ptspta apl;

	    @BDGetter
		private Ptspta ben;

	    @BDGetter
		private Ptspta prb;

	    @BDGetter
		private Ptspta beb;

	    @BDGetter
		private Ptspta dap;

	    @BDGetter
		private Ptspta trp;

	    @BDGetter
		private Ptspta rmi;

	    @BDGetter
		private Brdc brdc;


		public Brdgrp()
        {
            super();
            setArgument();
        }

        public Brdgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }























}