package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Brtmod extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Brtmod.class);



		@Module(getter = false, setter = false)
        private transient ModuleHolder<Brdgrp> brdgrp;

		@Module(getter = false, setter = false)
        private transient ModuleHolder<Afdgrp> afdgrp;

		@Module(getter = false, setter = false)
        private transient ModuleHolder<Lidgrp> lidgrp;


		public Brtmod()
        {
            super();
            setArgument();
        }

        public Brtmod(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setBrdgrpHolder(ModuleHolder<Brdgrp> brdgrp)
        {
           this.brdgrp = brdgrp;
        }

        public Brdgrp getBrdgrp()
        {
           return this.brdgrp.get();
        }

        public void setAfdgrpHolder(ModuleHolder<Afdgrp> afdgrp)
        {
           this.afdgrp = afdgrp;
        }

        public Afdgrp getAfdgrp()
        {
           return this.afdgrp.get();
        }

        public void setLidgrpHolder(ModuleHolder<Lidgrp> lidgrp)
        {
           this.lidgrp = lidgrp;
        }

        public Lidgrp getLidgrp()
        {
           return this.lidgrp.get();
        }

}