package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Chklst extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Chklst.class);

        //唯一编号
        private String inr;

        //行内关联编号
        private String hnglbh;

        //账务日期
        private Date outdat;

        //币种
        private String rptcur;

        //金额
        private BigDecimal rptamt = new BigDecimal("0.00");

        //代理行行号
        private String agtextkey;

        //账号
        private String agtact;

        //报文状态
        private String recsta;

        //收发标志
        private String dir;

        //所属落地机构
        private String bchcod;

        //所属机构编号
        private String ptyinr;

        //对象编号
        private String objinr;

        //业务流水
        private String trninr;

        //报文标识号
        private String msgref;

        //交易参考号
        private String ownref;




		public Chklst()
        {
            super();
            setArgument();
        }

        public Chklst(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }



































}