package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 商行初审记录及委办事项
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Cmcrecd extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Cmcrecd.class);

        //寄单指示
        private String sndins;

        //信用证及修改书总份数
        private String lccnum;

        //不符点内容
        private String dsgretxt;

        //商行批注
        private String cmcrmk;

        //客户交单日期
        private Date prsnton;

        //提单、保单之外的单据类型
        private String doctyp;

        //对不符点内容的备注
        private String note;




		public Cmcrecd()
        {
            super();
            setArgument();
        }

        public Cmcrecd(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }



















}