package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Cnfp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Cnfp.class);

        //新增
        private transient IControl add = new ControlImpl("add", "新增", this);

        //删除
        private transient IControl delete = new ControlImpl("delete", "删除", this);

        //保存
        private transient IControl submit = new ControlImpl("submit", "保存", this);

        //查看
        private transient IControl show = new ControlImpl("show", "查看", this);

        //更新
        private transient IControl update = new ControlImpl("update", "更新", this);

        //下一步
        private transient IControl nxt = new ControlImpl("nxt", "下一步", this);

        //下一步
        private transient IControl nxt2 = new ControlImpl("nxt2", "下一步", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel selcnf;

        @JsonIgnore
        @BDGetter
        private transient IPanel shwcnf;

        @JsonIgnore
        @BDGetter
        private transient IPanel addcnf;

        @JsonIgnore
        @BDGetter
        private transient IPanel shwcnfs;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Cnfgrp> cnfgrp;


		public Cnfp()
        {
            super();
            setArgument();
        }

        public Cnfp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setCnfgrpHolder(ModuleHolder<Cnfgrp> cnfgrp)
        {
           this.cnfgrp = cnfgrp;
        }

        public Cnfgrp getCnfgrp()
        {
           return this.cnfgrp.get();
        }















}