package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Cntp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Cntp.class);

        //主管解锁
        private transient IControl save = new ControlImpl("save", "主管解锁", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel cntp;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Cntgrp> cntgrp;


		public Cntp()
        {
            super();
            setArgument();
        }

        public Cntp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setCntgrpHolder(ModuleHolder<Cntgrp> cntgrp)
        {
           this.cntgrp = cntgrp;
        }

        public Cntgrp getCntgrp()
        {
           return this.cntgrp.get();
        }



}