package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Com extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Com.class);

        //申请日期
        private Date credat;

        //参号
        private String ownref;

        //相关类型
        private String pnttyp;

        //相关参号
        private String pntinr;

        //申请内容
        private String apltxt;

        //申请人名称
        private String aplpsn;

        //所属落地机构
        private String bchcod;

        //开立时间
        private Date opndat;

        //STL编号
        private String stlref;

        //发票号
        private String invno;

        //相关币种
        private String cur;

        //相关金额
        private BigDecimal amt = new BigDecimal("0.00");

        //银行备注信息
        private String bnktxt;

        //对方客户
        private String custom;

        //对方银行
        private String bnk;

        //给下一环节的提示
        private String tip;

        //主键
        private String inr;

        //所属机构
        private String ptyinr;

        //实体编号
        private String etyinr;




		public Com()
        {
            super();
            setArgument();
        }

        public Com(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }











































}