package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 客户地址等信息返回模型
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Custme extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Custme.class);

        //中文名称
        private String nams;

        //英文名称
        private String engnam;

        //中文详址
        private String adrs;

        //英文详址
        private String enadr;

        //电话
        private String tel;

        //客户号
        private String cidcode;




		public Custme()
        {
            super();
            setArgument();
        }

        public Custme(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }

















}