package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Docdft extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Docdft.class);

        //面函类型
        private String sdutyp;

        //本通知基本内容
        private String advinf;

        //往来报文信息
        private String swiftinf;

        //权责条款
        private String cls;

        //签发地
        private String cty;

        //汇票制作
        private String orderof;

        //金额大写
        private String word;

        //开证信息
        private String issinf;

        //期限
        private String tenor;

        //付款指示
        private String payinf;

        //费用承担
        private String chgby;




		public Docdft()
        {
            super();
            setArgument();
        }

        public Docdft(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }



























}