package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fil extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Fil.class);

        //文件名
        private String filnam;

        //Icon
        private transient IControl icon = new ControlImpl("icon", "Icon", this);

        //选择标志
        private String flg;

        //文件类型
        private String filtyp;

        //创建日期
        private Date credat;

        //修改日期
        private Date amedat;

        //文件大小
        private long size;

        //备注
        private String remark;

        //文件绝对路径
        private String abspth;




		public Fil()
        {
            super();
            setArgument();
        }

        public Fil(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }























}