package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* Main Function for 融资杂项申请
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fncmod extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Fncmod.class);



		@Module(getter = false, setter = false)
        private transient ModuleHolder<Afdgrp> afdgrp;

		@Module(getter = false, setter = false)
        private transient ModuleHolder<Bpdgrp> bpdgrp;


		public Fncmod()
        {
            super();
            setArgument();
        }

        public Fncmod(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setAfdgrpHolder(ModuleHolder<Afdgrp> afdgrp)
        {
           this.afdgrp = afdgrp;
        }

        public Afdgrp getAfdgrp()
        {
           return this.afdgrp.get();
        }

        public void setBpdgrpHolder(ModuleHolder<Bpdgrp> bpdgrp)
        {
           this.bpdgrp = bpdgrp;
        }

        public Bpdgrp getBpdgrp()
        {
           return this.bpdgrp.get();
        }

}