package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fsq extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Fsq.class);

        //选择标识
        private String self;

        //业务编号
        private String businessno;

        //金额
        private BigDecimal paysum = new BigDecimal("0.00");

        //已购汇金额
        private BigDecimal havesale = new BigDecimal("0.00");

        //未购汇金额
        private BigDecimal cansaleed = new BigDecimal("0.00");

        //状态
        private String sta;

        //申请日期
        private Date applydat;

        //最迟购汇日期
        private Date zcghdat;

        //唯一标识
        private String inr;

        //币种
        private String currency;

        //最迟购汇日期(new)
        private Date zcghnewdat;

        //业务状态
        private String applystatus;

        //客户编号
        private String ecifno;

        //客户名称
        private String ecifname;




		public Fsq()
        {
            super();
            setArgument();
        }

        public Fsq(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }

































}