package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Fxicnd extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Fxicnd.class);

        //外汇局核准件标志
        private String chkdocflg;

        //申请维护条款展示
        private String fxcls;

        //至
        private String to;

        //用途-进口商品标志
        private String impdflg;

        //用途-从属费用标志
        private String belgfee;

        //用途-偿还贷款本息标志
        private String trnits;

        //用途-其他标志
        private String puroth;

        //支付方式-信用证标志
        private String paybylc;

        //支付方式-信用证号码
        private String paybylcref;

        //支付方式-托收
        private String paybycol;

        //支付方式-转入外汇帐户
        private String paybyforact;

        //支付方式-汇款
        private String paybyrem;

        //支付方式-汇款方式
        private String paybyremtyp;

        //支付方式-汇款方式其他
        private String paybyremtypoth;

        //支付方式-其他标志
        private String paybyothflg;

        //批文类型
        private String pwtyp;




		public Fxicnd()
        {
            super();
            setArgument();
        }

        public Fxicnd(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





































}