package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Gpistatus extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Gpistatus.class);

        //收发标志
        private String ioflag;

        //报文类型
        private String msgtype;

        //服务编号
        private String stid;

        //uetr编号
        private String uetr;

        //参考号
        private String refno;

        //相关参考号
        private String relno;

        //状态码
        private String gpistatus;

        //原因码
        private String gpistatuscode;

        //状态更新时间
        private Date gpitimestamp;

        //状态发起行
        private String gpibank;

        //转汇银行
        private String gpifwdbank;

        //起息日
        private Date valuedate;

        //币种
        private String ccy;

        //金额
        private BigDecimal amt = new BigDecimal("0.00");

        //原币种
        private String srcccy;

        //目标币种
        private String tranccy;

        //汇率
        private BigDecimal rate = new BigDecimal("0.00");

        //收费币种
        private String feecur;

        //收费金额
        private BigDecimal feeamt = new BigDecimal("0.00");




		public Gpistatus()
        {
            super();
            setArgument();
        }

        public Gpistatus(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }











































}