package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Zxj;
import com.ceb.gjjs.mda.bo.Jsd;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Jsdgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Jsdgrp.class);

        //新买入账号
        private String buycnn;

        //新卖出账号
        private String selcnn;

        //名称
        private String nam;

        //企业名称
        private String ptynam;

        //新交割日
        private Date djgdat;

        //新择期起始日
        private Date dzqdat;

        //新择期方式
        private String djgsty;

        //是否择期1
        private String dty;

        //买卖方向
        private String dsf;

        //固定交割日
        private Date gdat;

        //择期交割日
        private Date zdat;

        //交割方式
        private String sjgsty;

        //近端人民币金额
        private BigDecimal rmbamt = new BigDecimal("0.00");

        //外币支付方
        private String waynam;

        //人民币支付方
        private String rmbnam;

        //记账机构
        private String jzzcid;

        //近端汇率
        private BigDecimal jddmat = new BigDecimal("0.00");

        //远端人民币金额
        private BigDecimal rmmamt = new BigDecimal("0.00");

        //实占授信额度金额
        private BigDecimal eduamt = new BigDecimal("0.00");

        //保证金应收比例
        private BigDecimal bzjmat = new BigDecimal("0.00");

        //保证金/扣减授信额度
        private String bzjedu;

        //远期结汇汇率
        private BigDecimal yqjmat = new BigDecimal("0.00");

        //远期售汇汇率
        private BigDecimal yqsmat = new BigDecimal("0.00");

        //转入日期
        private Date getdat;

        //转入日期
        private Date gisdat;

        //汇率模式
        private String matsty;

        //委托汇率
        private BigDecimal deprat = new BigDecimal("0.00");

        //关联保证金账号/质押协议编号
        private String bzjzyxy;



	    @BDGetter
		private Jsd rec;

	    @BDGetter
		private Zxj zxj;

	    @BDGetter
		private Ptspta apl;

	    @BDGetter
		private Ptspta isb;

	    @BDGetter
		private Ptspta dap;


		public Jsdgrp()
        {
            super();
            setArgument();
        }

        public Jsdgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }







































































}