package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Lttp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Lttp.class);


        @JsonIgnore
        @BDGetter
        private transient IPanel ltt01;

        @JsonIgnore
        @BDGetter
        private transient IPanel ltt02;

        @JsonIgnore
        @BDGetter
        private transient IPanel lttdav;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Ltdgrp> ltdgrp;

		@Module(getter = false, setter = false)
        private transient ModuleHolder<Ledgrp> ledgrp;

	    @BDGetter
		private Ptsp isbp;

	    @BDGetter
		private Ptsp benp;

	    @BDGetter
		private Ptsp aplp;

	    @BDGetter
		private Ptsp advp;

	    @BDGetter
		private Ptsp drep;

	    @BDGetter
		private Actmod actmod;

	    @BDGetter
		private Pdfviw pdfviw;


		public Lttp()
        {
            super();
            setArgument();
        }

        public Lttp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
            this.getIsbp().setRolHolder(new FieldConstantHolder<>("isb"));
            this.getIsbp().setBelongtoHolder(new FieldConstantHolder<>("ltd"));
            this.getIsbp().setFlgHolder(new FieldConstantHolder<>("agt"));
            this.getIsbp().setPtsptaHolder(()->this.getLtdgrp().getIsb());
            this.getBenp().setRolHolder(new FieldConstantHolder<>("ben"));
            this.getBenp().setBelongtoHolder(new FieldConstantHolder<>("ltd"));
            this.getBenp().setFlgHolder(new FieldConstantHolder<>("ben"));
            this.getBenp().setPtsptaHolder(()->this.getLtdgrp().getBen());
            this.getAplp().setRolHolder(new FieldConstantHolder<>("apl"));
            this.getAplp().setBelongtoHolder(new FieldConstantHolder<>("ltd"));
            this.getAplp().setFlgHolder(new FieldConstantHolder<>("apl"));
            this.getAplp().setPtsptaHolder(()->this.getLtdgrp().getApl());
            this.getAdvp().setRolHolder(new FieldConstantHolder<>("adv"));
            this.getAdvp().setBelongtoHolder(new FieldConstantHolder<>("ltd"));
            this.getAdvp().setFlgHolder(new FieldConstantHolder<>("agt"));
            this.getAdvp().setPtsptaHolder(()->this.getLtdgrp().getAdv());
            this.getDrep().setRolHolder(new FieldConstantHolder<>("dre"));
            this.getDrep().setBelongtoHolder(new FieldConstantHolder<>("ltd"));
            this.getDrep().setFlgHolder(new FieldConstantHolder<>("agt"));
            this.getDrep().setPtsptaHolder(()->this.getLtdgrp().getDre());
        }




        /**
        *   source:lttp.@0000.script
        */
        public void disLzt()
		{
			//取得上下文
			IContext ctx = MdaEnv.getContext();
			ctx.setErrorCode(NO_ERROR);                                              //不可修改数据
			
			
			
			
			
			
			
			
			
			
			

			if(!TRUE.equals(this.getLtdgrp().getRec().getIsalt()))
			{
			  
			  
			  
			  
			  
			  
			  
			}
			this.getLtdgrp().getRec().setCredat(MdaUtils.today());
			if(!MdaUtils.isEmpty(this.getLtdgrp().getRec().getCredat()))
			{
			  
			  
			}
		}

        public void setLtdgrpHolder(ModuleHolder<Ltdgrp> ltdgrp)
        {
           this.ltdgrp = ltdgrp;
        }

        public Ltdgrp getLtdgrp()
        {
           return this.ltdgrp.get();
        }

        public void setLedgrpHolder(ModuleHolder<Ledgrp> ledgrp)
        {
           this.ledgrp = ledgrp;
        }

        public Ledgrp getLedgrp()
        {
           return this.ledgrp.get();
        }















}