package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Makp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Makp.class);

        //保存
        private transient IControl sav = new ControlImpl("sav", "保存", this);

        //删除
        private transient IControl del = new ControlImpl("del", "删除", this);

        //修改
        private transient IControl edit = new ControlImpl("edit", "修改", this);

        //取消
        private transient IControl contral = new ControlImpl("contral", "取消", this);

        //新增
        private transient IControl add = new ControlImpl("add", "新增", this);

        //查询
        private transient IControl sel = new ControlImpl("sel", "查询", this);

        //设为默认
        private transient IControl setdefault = new ControlImpl("setdefault", "设为默认", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel makp;

        @JsonIgnore
        @BDGetter
        private transient IPanel makp1;

        @JsonIgnore
        @BDGetter
        private transient IPanel makp2;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Makgrp> makgrp;


		public Makp()
        {
            super();
            setArgument();
        }

        public Makp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setMakgrpHolder(ModuleHolder<Makgrp> makgrp)
        {
           this.makgrp = makgrp;
        }

        public Makgrp getMakgrp()
        {
           return this.makgrp.get();
        }















}