package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Mar;
import com.ceb.gjjs.mda.bo.Bxd;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Mxd;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Margrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Margrp.class);

        //保证金账户集合
        private String acc;

        //保证金账户名集合
        private String accnam;

        //开户银行集合
        private String opnd;

        //保证金币种集合
        private String bzjbz;

        //保证金金额集合
        private String bzjje;

        //大写金额
        private String dxje;

        //法定代表人/单位负责人（标志位）
        private String fddbr1;

        //委托开立保证金账户
        private String wtklbzjzh;

        //委托扣划保证金
        private String wtkhbzj;

        //法定代表人/单位负责人（标志位
        private String fddbr2;



	    @BDGetter
		private Mar mar;

	    @BDGetter
		private Ptspta apl;

	    @BDGetter
		private Ptspta dap;

	    @BDGetter
		private Bxd bxd;

	    @BDGetter
		private Mxd mxd;

		@BDGetter
		private ModuleList<Mxd> mxdlst;

		@BDGetter
		private ModuleList<Mxd> mxdbak;


		public Margrp()
        {
            super();
            setArgument();
        }

        public Margrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }







































}