package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 保证金委托扣划申请
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Marmod extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Marmod.class);



		@Module(getter = false, setter = false)
        private transient ModuleHolder<Margrp> margrp;

	    @BDGetter
		private Lidgrp lidgrp;

	    @BDGetter
		private Gidgrp gidgrp;

	    @BDGetter
		private Apdgrp apdgrp;

	    @BDGetter
		private Bpdgrp bpdgrp;

	    @BDGetter
		private Fsdgrp fsdgrp;


		public Marmod()
        {
            super();
            setArgument();
        }

        public Marmod(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setMargrpHolder(ModuleHolder<Margrp> margrp)
        {
           this.margrp = margrp;
        }

        public Margrp getMargrp()
        {
           return this.margrp.get();
        }











}