package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Offp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Offp.class);


        @JsonIgnore
        @BDGetter
        private transient IPanel offp;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Notgrp> notgrp;


		public Offp()
        {
            super();
            setArgument();
        }

        public Offp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setNotgrpHolder(ModuleHolder<Notgrp> notgrp)
        {
           this.notgrp = notgrp;
        }

        public Notgrp getNotgrp()
        {
           return this.notgrp.get();
        }

}