package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Pla;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Plap extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Plap.class);

        //平台名称
        private String platfromname;

        //查询
        private transient IControl sel = new ControlImpl("sel", "查询", this);

        //新增
        private transient IControl add = new ControlImpl("add", "新增", this);

        //取消
        private transient IControl contral = new ControlImpl("contral", "取消", this);

        //编辑
        private transient IControl edit = new ControlImpl("edit", "编辑", this);

        //删除
        private transient IControl del = new ControlImpl("del", "删除", this);

        //保存
        private transient IControl sav = new ControlImpl("sav", "保存", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel selpla;

        @JsonIgnore
        @BDGetter
        private transient IPanel addpla;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Plagrp> plagrp;

		@BDGetter
		private ModuleList<Pla> plalst;


		public Plap()
        {
            super();
            setArgument();
        }

        public Plap(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setPlagrpHolder(ModuleHolder<Plagrp> plagrp)
        {
           this.plagrp = plagrp;
        }

        public Plagrp getPlagrp()
        {
           return this.plagrp.get();
        }

















}