package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Qsrmod extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Qsrmod.class);



		@Module(getter = false, setter = false)
        private transient ModuleHolder<Qsrgrp> qsrgrp;


		public Qsrmod()
        {
            super();
            setArgument();
        }

        public Qsrmod(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setQsrgrpHolder(ModuleHolder<Qsrgrp> qsrgrp)
        {
           this.qsrgrp = qsrgrp;
        }

        public Qsrgrp getQsrgrp()
        {
           return this.qsrgrp.get();
        }

}