package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Rellst extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Rellst.class);

        //内部编号
        private String inr;

        //选择序号
        private String selflg;

        //参考号
        private String ownref;

        //业务名称
        private String objnam;

        //交易名称
        private String inifrm;

        //当前需要的级别
        private String nxtlev;

        //交易创建时间
        private Date inidattim;

        //收款人账号
        private String pyeact;

        //ORD编号
        private String ordinr;

        //已经授权的标志码标志，当前状态
        private String relres;

        //原始币种
        private String cur;

        //交易原始金额
        private BigDecimal amt = new BigDecimal("0.00");

        //业务状态
        private String sta;

        //业务流水来源
        private String wfm;

        //创建用户
        private String iniusr;

        //汇款人账号
        private String payeract;

        //汇款人名称
        private String paynam;

        //收款人名称
        private String pyeblk;




		public Rellst()
        {
            super();
            setArgument();
        }

        public Rellst(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }









































}