package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Rptmod extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Rptmod.class);



		@Module(getter = false, setter = false)
        private transient ModuleHolder<Rpdgrp> rpdgrp;


		public Rptmod()
        {
            super();
            setArgument();
        }

        public Rptmod(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }




        /**
        *   source:rptmod.@0000.script
        */
        public String  getDLHZH(String ptyinr , String bchcod, String cur)
		{
			//取得上下文
			IContext ctx = MdaEnv.getContext();
			ctx.setErrorCode(NO_ERROR);
			Argument<String>  argAct = new Argument<String>("act") ;
			String sql = "SELECT acc.cur cur,acc.act act FROM acc,pty  WHERE acc.ownptyinr= ? and acc.cur= ? and pty.cid = ? and pty.inr= acc.opnptyinr " ;
			ctx.getDaoSession().dbExecuteSQL(sql,ptyinr,cur,bchcod);
			if( ctx.getErrorCode() == NO_ERROR )
			{
			  ctx.getDaoSession().dbFetchFields(argAct);
			}
			ctx.getDaoSession().dbCloseCursor();
			return  argAct.value ;
		}

        public void setRpdgrpHolder(ModuleHolder<Rpdgrp> rpdgrp)
        {
           this.rpdgrp = rpdgrp;
        }

        public Rpdgrp getRpdgrp()
        {
           return this.rpdgrp.get();
        }

}