package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Sacp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Sacp.class);

        //新增
        private transient IControl add = new ControlImpl("add", "新增", this);

        //删除
        private transient IControl delete = new ControlImpl("delete", "删除", this);

        //保存
        private transient IControl submit = new ControlImpl("submit", "保存", this);

        //查询
        private transient IControl query = new ControlImpl("query", "查询", this);

        //确定
        private transient IControl sure = new ControlImpl("sure", "确定", this);

        //搜索
        private transient IControl search = new ControlImpl("search", "搜索", this);

        //查询条件
        private String selbch;

        //下一步
        private transient IControl nxt = new ControlImpl("nxt", "下一步", this);

        //新增客户
        private transient IControl addpty = new ControlImpl("addpty", "新增客户", this);

        //导出Excel
        private IStream excout = new StreamImpl();

        //核心编号
        private String cid;

        //机构名称
        private String nam;

        //搜索
        private transient IControl search2 = new ControlImpl("search2", "搜索", this);

        //下一步
        private transient IControl nxt2 = new ControlImpl("nxt2", "下一步", this);

        //核心客户号
        private String cid1;

        //搜索
        private transient IControl search3 = new ControlImpl("search3", "搜索", this);

        //删除
        private transient IControl del = new ControlImpl("del", "删除", this);

        //新增地址
        private transient IControl addadr = new ControlImpl("addadr", "新增地址", this);

        //是否开通e结算
        private String issign;

        //取消
        private transient IControl cancel = new ControlImpl("cancel", "取消", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel seltoe;

        @JsonIgnore
        @BDGetter
        private transient IPanel selpty;

        @JsonIgnore
        @BDGetter
        private transient IPanel clisel;

        @JsonIgnore
        @BDGetter
        private transient IPanel ptysel;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Sacgrp> sacgrp;


		public Sacp()
        {
            super();
            setArgument();
        }

        public Sacp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setSacgrpHolder(ModuleHolder<Sacgrp> sacgrp)
        {
           this.sacgrp = sacgrp;
        }

        public Sacgrp getSacgrp()
        {
           return this.sacgrp.get();
        }









































}