package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 签约重要提示
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Sigtip extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Sigtip.class);

        //签约重要提示勾选栏
        private String checked;

        //签约重要提示
        private String tips;


        @JsonIgnore
        @BDGetter
        private transient IPanel sigtip01;



		public Sigtip()
        {
            super();
            setArgument();
        }

        public Sigtip(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }



        /**
        *   source:sigtip.@0001.script
        */
        @Init(order=100)
        public boolean	init100(){
            IContext ctx = MdaEnv.getContext();
            
			log.debug("{}","--------start----------------");
			if(MdaUtils.isEmpty(this.getTips()))
			{
			  String tips="    您一旦点击“提交”按钮，即表示贵公司及您同意接受本协议约定的全部内容，为了维护贵公司及您的权益，请您在此之前仔细阅读,检查并确认以下事宜：";
			  tips+=CR+"    一、您有权签署本协议，若依法需要取得他人同意的，您已经取得充分授权；您在兴业银行企业网银渠道通过身份认证后的所有操作都视为贵公司操作。";
			  tips+=CR+"    二、您已经认真阅读并充分理解协议条款，并特别注意了其中有关责任承担、免除或限制兴业银行责任、以及黑体字部分的内容；";
			  tips+=CR+"    三、贵公司及您已经充分理解协议条款的含义及相应的法律后果，并愿意接受这些条款约定；";
			  tips+=CR+"    四、兴业银行提供的协议文本仅为示范文本，协议相关条款后均留有空白行，并在协议尾部增设了“补充条款”，供各方对协议进行修改、增补或删减使用；";
			  tips+=CR+"    五、在签署本协议前贵公司已与兴业银行签订了《网上企业银行服务协议》及《兴业银行网上企业银行单证通服务补充协议（企业版）》，其中的相关词语在本协议中具有相同含义。本协议将按照上述协议约定通过兴业银行单证通系统签署并提交兴业银行审核，贵公司及您知晓并保证协议签署行为合法、有效，并无条件承担由此行为所引起的任何法律责任。";
			  tips+=CR+"    六、如果您对本协议还有疑问，请及时向兴业银行咨询。";
			  this.setTips(tips);
			}
			
			log.debug("{}","--------end----------------");

			return true;
        }







}