package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Gidsta;
import com.ceb.gjjs.mda.bo.Gid;
import com.ceb.gjjs.mda.bo.Gitpush;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Ebhsnd;
import com.ceb.gjjs.mda.bo.Gidtmp;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Sttp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Sttp.class);

        //查询
        private transient IControl sel = new ControlImpl("sel", "查询", this);

        //开始时间
        private Date begdat;

        //结束时间
        private Date enddat;

        //保函扫描件
        private IStream selpdf = new StreamImpl();

        //查看
        private transient IControl inf = new ControlImpl("inf", "查看", this);

        //display
        private String display;

        //返回
        private transient IControl back = new ControlImpl("back", "返回", this);

        //e结算影像查阅
        private transient IControl dztimgviw = new ControlImpl("dztimgviw", "e结算影像查阅", this);

        //国结影像查阅
        private transient IControl stlimgviw = new ControlImpl("stlimgviw", "国结影像查阅", this);

        //业务流水编号
        private String gidinr;

        //通知
        private transient IControl noti = new ControlImpl("noti", "通知", this);

        //快递扫描件
        private IStream kudpdf = new StreamImpl();

        //保函类别
        private String lgtyp;

        //下载电子保函
        private IStream ddzbh = new StreamImpl();

        //重发电子保函
        private transient IControl sdzbh = new ControlImpl("sdzbh", "重发电子保函", this);

        //是否电子章
        private String esig;

        //机构名称
        private String ptynam;


        @JsonIgnore
        @BDGetter
        private transient IPanel bhlst;

        @JsonIgnore
        @BDGetter
        private transient IPanel deptp;

        @JsonIgnore
        @BDGetter
        private transient IPanel subbut;

        @JsonIgnore
        @BDGetter
        private transient IPanel detbut;

        @JsonIgnore
        @BDGetter
        private transient IPanel detail1;

        @JsonIgnore
        @BDGetter
        private transient IPanel info;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Gidgrp> gidgrp;

		@BDGetter
		private ModuleList<Gid> gidlst;

	    @BDGetter
		private Gidsta gidsta;

	    @BDGetter
		private Ebhsnd ebhsnd;

		@BDGetter
		private ModuleList<Gidsta> gidstalst;

		@BDGetter
		private ModuleList<Gidtmp> gidtmp;

	    @BDGetter
		private Gitpush gitpush;


		public Sttp()
        {
            super();
            setArgument();
        }

        public Sttp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setGidgrpHolder(ModuleHolder<Gidgrp> gidgrp)
        {
           this.gidgrp = gidgrp;
        }

        public Gidgrp getGidgrp()
        {
           return this.gidgrp.get();
        }















































}