package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Tatp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Tatp.class);

        //提交
        private transient IControl save = new ControlImpl("save", "提交", this);

        //返回
        private transient IControl exit = new ControlImpl("exit", "返回", this);

        //退回
        private transient IControl back = new ControlImpl("back", "退回", this);

        //协议文本
        private transient IControl rebook = new ControlImpl("rebook", "协议文本", this);

        //转为历史
        private transient IControl history = new ControlImpl("history", "转为历史", this);

        //影像查询
        private transient IControl carmer = new ControlImpl("carmer", "影像查询", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel tatopn;


		@Module(getter = false, setter = false)
        private transient ModuleHolder<Tasgrp> tasgrp;

	    @BDGetter
		private Pdfviw pdfviw;


		public Tatp()
        {
            super();
            setArgument();
        }

        public Tatp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setTasgrpHolder(ModuleHolder<Tasgrp> tasgrp)
        {
           this.tasgrp = tasgrp;
        }

        public Tasgrp getTasgrp()
        {
           return this.tasgrp.get();
        }















}