package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Tde;
import com.ceb.gjjs.mda.bo.Pty;
import com.ceb.gjjs.mda.bo.Adr;
import com.ceb.gjjs.mda.bo.Ptr;
import com.ceb.gjjs.mda.bo.Payee;
import com.ceb.gjjs.mda.bo.Pta;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Tdemod extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Tdemod.class);

        //跨境业务人民币结算付款说明申请书
        private transient IControl kjfksms = new ControlImpl("kjfksms", "跨境业务人民币结算付款说明申请书", this);


        @JsonIgnore
        @BDGetter
        private transient IPanel fksm;

        @JsonIgnore
        @BDGetter
        private transient IPanel fkpanel;


	    @BDGetter
		private Tde tde;

	    @BDGetter
		private Payee payee;

	    @BDGetter
		private Pta pta;

	    @BDGetter
		private Pty pty;

	    @BDGetter
		private Ptr ptr;

	    @BDGetter
		private Adr adr;


		public Tdemod()
        {
            super();
            setArgument();
        }

        public Tdemod(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }



















}