package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Tmp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Tmp.class);

        //币种中文名称
        private String chnnam;

        //币种英文名称
        private String engnam;

        //币种缩写
        private String cur;

        //受益人名称
        private String bennam;

        //受益人地址
        private String benadr;

        //受益人电话
        private String bentel;

        //受益人传真
        private String benfax;

        //银行操作员未选择角色名称
        private String bnkusrrol;

        //交易名称
        private String nam;

        //交易是否开通
        private String opnflg;

        //企业名称
        private String etnnam;

        //参号
        private String ref;

        //金额(不含币种)
        private BigDecimal amt = new BigDecimal("0.00");

        //主题
        private String subject;

        //日期
        private Date dat;

        //机构名称
        private String orgnam;

        //至上年末数据
        private BigDecimal lstyeardata = new BigDecimal("0.00");

        //本年新增数据
        private BigDecimal yearincrs = new BigDecimal("0.00");

        //本月新增数据
        private BigDecimal monthincrs = new BigDecimal("0.00");

        //总笔数
        private long vlmno;

        //查询数
        private long queno;

        //制单数
        private long makdocno;

        //咨询数
        private long consltno;

        //交易数
        private long trsno;

        //总机号
        private String tel;

        //交易的主键值
        private String trsinr;

        //信用证号
        private String lcref;

        //申请人名称
        private String aplnam;

        //申请人地址
        private String apladr;

        //申请人传真
        private String aplfax;

        //申请人电话
        private String apltel;

        //操作权限(浏览/操作)
        private String oprlvl;

        //交易中文名称
        private String trsnam;

        //交易开通情况
        private String flg;

        //受益人主键
        private String beninr;

        //地址信息主键
        private String adrinr;

        //经办权限
        private String oflg;

        //授权级别
        private String aflg;

        //复核权限
        private String bflg;

        //金额2
        private BigDecimal amt2 = new BigDecimal("0.00");

        //详细地址
        private String adr;

        //传真
        private String fax;

        //登录名称
        private String lgnnam;

        //登录员真实名称
        private String oprnam;

        //金额3
        private BigDecimal amt3 = new BigDecimal("0.00");

        //金额4
        private BigDecimal amt4 = new BigDecimal("0.00");

        //金额5
        private BigDecimal amt5 = new BigDecimal("0.00");

        //客户名称
        private String ptynam;

        //客户编号
        private String ptycid;

        //信用证开立方式
        private String cretyp;

        //所有归属机构
        private String allbch;

        //父交易inr
        private String pinr;

        //归属分行
        private String pntptynam;

        //业务参考号
        private String ownref;

        //cips汇入标识
        private String kjhkflg;

        //收款人主键
        private String payeeinr;




		public Tmp()
        {
            super();
            setArgument();
        }

        public Tmp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





















































































































}