package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.bo.Pty;
import com.ceb.gjjs.mda.bo.Bilmdl;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 代客制单
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Tplgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Tplgrp.class);

        //选择类型记录
        private String seltyp;

        //发票
        private String ivndoc;

        //提单
        private String tddoc;

        //空运单
        private String kyddoc;

        //快邮收据
        private String kysjdoc;

        //其他运输单据
        private String qtysdjdoc;

        //保单
        private String bddoc;

        //装箱单
        private String zxddoc;

        //装船通知
        private String zctzdoc;

        //数量证
        private String slzdoc;

        //产地证
        private String cdzdoc;

        //受益人证明
        private String syrzmdoc;

        //其他单据
        private String qtdjdoc;



	    @BDGetter
		private Bilmdl bilmdl;

		@BDGetter
		private ModuleList<Bilmdl> billst;

		@BDGetter
		private ModuleList<Mdltmp> mdltmp;

	    @BDGetter
		private Pty pty;

		@BDGetter
		private ModuleList<Tmp> ledlst;

	    @BDGetter
		private Tmp ledtmp;

		@BDGetter
		private ModuleList<Mdltmp> mdlall;


		public Tplgrp()
        {
            super();
            setArgument();
        }

        public Tplgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }













































}