package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;
import com.ceb.gjjs.mda.bo.Trd;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Trdgrp extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Trdgrp.class);

        //人民币利率类型
        private String cnyltyp;

        //实际执行年利率
        private String trunll;

        //市场利率报价时间
        private Date lrldat1;

        //市场利率报价时间
        private Date lrldat2;

        //市场利率类型
        private String lrltyp;

        //市场利率
        private String lrlrat;

        //bps+/-
        private String bpsas;

        //BPs值
        private String bpsnum;

        //查询
        private transient IControl querat = new ControlImpl("querat", "查询", this);

        //计算
        private transient IControl sumrat = new ControlImpl("sumrat", "计算", this);

        //利率周期最后一项
        private String ratcyclend;



	    @BDGetter
		private Trd rec;


		public Trdgrp()
        {
            super();
            setArgument();
        }

        public Trdgrp(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





























}