package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Usrmod extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Usrmod.class);



		@Module(getter = false, setter = false)
        private transient ModuleHolder<Usrgrp> usrgrp;

		@Module(getter = false, setter = false)
        private transient ModuleHolder<Ptygrp> ptygrp;


		public Usrmod()
        {
            super();
            setArgument();
        }

        public Usrmod(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }





        public void setUsrgrpHolder(ModuleHolder<Usrgrp> usrgrp)
        {
           this.usrgrp = usrgrp;
        }

        public Usrgrp getUsrgrp()
        {
           return this.usrgrp.get();
        }

        public void setPtygrpHolder(ModuleHolder<Ptygrp> ptygrp)
        {
           this.ptygrp = ptygrp;
        }

        public Ptygrp getPtygrp()
        {
           return this.ptygrp.get();
        }

}