package com.ceb.gjjs.mda.manager.module;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import com.brilliance.mda.runtime.annotation.*;
import com.brilliance.mda.runtime.mda.driver.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.*;
import java.util.regex.*;
import lombok.Getter;
import lombok.Setter;
import com.ceb.gjjs.mda.global.Platform;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
* 
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Vlm extends AbstractModule{
		private static Logger log = LoggerFactory.getLogger(Vlm.class);

        //机构名称
        private String orgnam;

        //咨询数
        private String consltno;

        //制单数
        private String docno;

        //查询数
        private String queno;

        //交易数
        private long trnno;

        //金额(万元)
        private BigDecimal amt = new BigDecimal("0.00");

        //总笔数
        private String sumno;




		public Vlm()
        {
            super();
            setArgument();
        }

        public Vlm(String name,IModule parent)
        {
            super(name,parent);
            setArgument();
        }

        public void setArgument()
        {
        }



















}