package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.AnnalsService;
import com.ceb.gjjs.mda.vo.AnnalsVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("annals")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class AnnalsResource extends AbstractCommonResource<AnnalsVO>{

    @Autowired
    private AnnalsService annals;

	@Override
	protected ICommonService getCommonService() {
		return annals;
	}

}