package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.AnthepService;
import com.ceb.gjjs.mda.vo.AnthepVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("anthep")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class AnthepResource extends AbstractCommonResource<AnthepVO>{

    @Autowired
    private AnthepService anthep;

	@Override
	protected ICommonService getCommonService() {
		return anthep;
	}

}