package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.AptcfmService;
import com.ceb.gjjs.mda.vo.AptcfmVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("aptcfm")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class AptcfmResource extends AbstractCommonResource<AptcfmVO>{

    @Autowired
    private AptcfmService aptcfm;

	@Override
	protected ICommonService getCommonService() {
		return aptcfm;
	}

}