package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.AptmdlService;
import com.ceb.gjjs.mda.vo.AptmdlVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("aptmdl")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class AptmdlResource extends AbstractCommonResource<AptmdlVO>{

    @Autowired
    private AptmdlService aptmdl;

	@Override
	protected ICommonService getCommonService() {
		return aptmdl;
	}

}