package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BctsduService;
import com.ceb.gjjs.mda.vo.BctsduVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("bctsdu")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BctsduResource extends AbstractCommonResource<BctsduVO>{

    @Autowired
    private BctsduService bctsdu;

	@Override
	protected ICommonService getCommonService() {
		return bctsdu;
	}

}