package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BdtpayService;
import com.ceb.gjjs.mda.vo.BdtpayVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("bdtpay")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BdtpayResource extends AbstractCommonResource<BdtpayVO>{

    @Autowired
    private BdtpayService bdtpay;

	@Override
	protected ICommonService getCommonService() {
		return bdtpay;
	}

}