package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BetcdvService;
import com.ceb.gjjs.mda.vo.BetcdvVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("betcdv")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BetcdvResource extends AbstractCommonResource<BetcdvVO>{

    @Autowired
    private BetcdvService betcdv;

	@Override
	protected ICommonService getCommonService() {
		return betcdv;
	}

}