package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BetdisService;
import com.ceb.gjjs.mda.vo.BetdisVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("betdis")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BetdisResource extends AbstractCommonResource<BetdisVO>{

    @Autowired
    private BetdisService betdis;

	@Override
	protected ICommonService getCommonService() {
		return betdis;
	}

}