package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BetdocService;
import com.ceb.gjjs.mda.vo.BetdocVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("betdoc")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BetdocResource extends AbstractCommonResource<BetdocVO>{

    @Autowired
    private BetdocService betdoc;

	@Override
	protected ICommonService getCommonService() {
		return betdoc;
	}

}