package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.Bettpl4Service;
import com.ceb.gjjs.mda.vo.Bettpl4VO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("bettpl4")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class Bettpl4Resource extends AbstractCommonResource<Bettpl4VO>{

    @Autowired
    private Bettpl4Service bettpl4;

	@Override
	protected ICommonService getCommonService() {
		return bettpl4;
	}

}