package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BettplService;
import com.ceb.gjjs.mda.vo.BettplVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("bettpl")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BettplResource extends AbstractCommonResource<BettplVO>{

    @Autowired
    private BettplService bettpl;

	@Override
	protected ICommonService getCommonService() {
		return bettpl;
	}

}