package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BotaccService;
import com.ceb.gjjs.mda.vo.BotaccVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("botacc")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BotaccResource extends AbstractCommonResource<BotaccVO>{

    @Autowired
    private BotaccService botacc;

	@Override
	protected ICommonService getCommonService() {
		return botacc;
	}

}