package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BotdavService;
import com.ceb.gjjs.mda.vo.BotdavVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("botdav")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BotdavResource extends AbstractCommonResource<BotdavVO>{

    @Autowired
    private BotdavService botdav;

	@Override
	protected ICommonService getCommonService() {
		return botdav;
	}

}