package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BotdcrService;
import com.ceb.gjjs.mda.vo.BotdcrVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("botdcr")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BotdcrResource extends AbstractCommonResource<BotdcrVO>{

    @Autowired
    private BotdcrService botdcr;

	@Override
	protected ICommonService getCommonService() {
		return botdcr;
	}

}