package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BotrplService;
import com.ceb.gjjs.mda.vo.BotrplVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("botrpl")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BotrplResource extends AbstractCommonResource<BotrplVO>{

    @Autowired
    private BotrplService botrpl;

	@Override
	protected ICommonService getCommonService() {
		return botrpl;
	}

}