package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BptcfmService;
import com.ceb.gjjs.mda.vo.BptcfmVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("bptcfm")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BptcfmResource extends AbstractCommonResource<BptcfmVO>{

    @Autowired
    private BptcfmService bptcfm;

	@Override
	protected ICommonService getCommonService() {
		return bptcfm;
	}

}