package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BptcrfService;
import com.ceb.gjjs.mda.vo.BptcrfVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("bptcrf")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BptcrfResource extends AbstractCommonResource<BptcrfVO>{

    @Autowired
    private BptcrfService bptcrf;

	@Override
	protected ICommonService getCommonService() {
		return bptcrf;
	}

}