package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BptoplService;
import com.ceb.gjjs.mda.vo.BptoplVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("bptopl")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BptoplResource extends AbstractCommonResource<BptoplVO>{

    @Autowired
    private BptoplService bptopl;

	@Override
	protected ICommonService getCommonService() {
		return bptopl;
	}

}