package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BrtfreService;
import com.ceb.gjjs.mda.vo.BrtfreVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("brtfre")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BrtfreResource extends AbstractCommonResource<BrtfreVO>{

    @Autowired
    private BrtfreService brtfre;

	@Override
	protected ICommonService getCommonService() {
		return brtfre;
	}

}