package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BrtpayService;
import com.ceb.gjjs.mda.vo.BrtpayVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("brtpay")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BrtpayResource extends AbstractCommonResource<BrtpayVO>{

    @Autowired
    private BrtpayService brtpay;

	@Override
	protected ICommonService getCommonService() {
		return brtpay;
	}

}