package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.BrtsndService;
import com.ceb.gjjs.mda.vo.BrtsndVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("brtsnd")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class BrtsndResource extends AbstractCommonResource<BrtsndVO>{

    @Autowired
    private BrtsndService brtsnd;

	@Override
	protected ICommonService getCommonService() {
		return brtsnd;
	}

}