package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.ComcfmService;
import com.ceb.gjjs.mda.vo.ComcfmVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("comcfm")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class ComcfmResource extends AbstractCommonResource<ComcfmVO>{

    @Autowired
    private ComcfmService comcfm;

	@Override
	protected ICommonService getCommonService() {
		return comcfm;
	}

}