package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.ComselService;
import com.ceb.gjjs.mda.vo.ComselVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("comsel")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class ComselResource extends AbstractCommonResource<ComselVO>{

    @Autowired
    private ComselService comsel;

	@Override
	protected ICommonService getCommonService() {
		return comsel;
	}

}