package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.CptapiService;
import com.ceb.gjjs.mda.vo.CptapiVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("cptapi")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class CptapiResource extends AbstractCommonResource<CptapiVO>{

    @Autowired
    private CptapiService cptapi;

	@Override
	protected ICommonService getCommonService() {
		return cptapi;
	}

}