package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.CptaplService;
import com.ceb.gjjs.mda.vo.CptaplVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("cptapl")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class CptaplResource extends AbstractCommonResource<CptaplVO>{

    @Autowired
    private CptaplService cptapl;

	@Override
	protected ICommonService getCommonService() {
		return cptapl;
	}

}