package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.DbblvlService;
import com.ceb.gjjs.mda.vo.DbblvlVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("dbblvl")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class DbblvlResource extends AbstractCommonResource<DbblvlVO>{

    @Autowired
    private DbblvlService dbblvl;

	@Override
	protected ICommonService getCommonService() {
		return dbblvl;
	}

}