package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.DbcactService;
import com.ceb.gjjs.mda.vo.DbcactVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("dbcact")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class DbcactResource extends AbstractCommonResource<DbcactVO>{

    @Autowired
    private DbcactService dbcact;

	@Override
	protected ICommonService getCommonService() {
		return dbcact;
	}

}