package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.DbcmsgService;
import com.ceb.gjjs.mda.vo.DbcmsgVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("dbcmsg")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class DbcmsgResource extends AbstractCommonResource<DbcmsgVO>{

    @Autowired
    private DbcmsgService dbcmsg;

	@Override
	protected ICommonService getCommonService() {
		return dbcmsg;
	}

}