package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.DbmoprService;
import com.ceb.gjjs.mda.vo.DbmoprVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("dbmopr")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class DbmoprResource extends AbstractCommonResource<DbmoprVO>{

    @Autowired
    private DbmoprService dbmopr;

	@Override
	protected ICommonService getCommonService() {
		return dbmopr;
	}

}