package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.DetcanService;
import com.ceb.gjjs.mda.vo.DetcanVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("detcan")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class DetcanResource extends AbstractCommonResource<DetcanVO>{

    @Autowired
    private DetcanService detcan;

	@Override
	protected ICommonService getCommonService() {
		return detcan;
	}

}