package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.DetfreService;
import com.ceb.gjjs.mda.vo.DetfreVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("detfre")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class DetfreResource extends AbstractCommonResource<DetfreVO>{

    @Autowired
    private DetfreService detfre;

	@Override
	protected ICommonService getCommonService() {
		return detfre;
	}

}