package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.DitmavService;
import com.ceb.gjjs.mda.vo.DitmavVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("ditmav")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class DitmavResource extends AbstractCommonResource<DitmavVO>{

    @Autowired
    private DitmavService ditmav;

	@Override
	protected ICommonService getCommonService() {
		return ditmav;
	}

}