package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.FftdavService;
import com.ceb.gjjs.mda.vo.FftdavVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("fftdav")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class FftdavResource extends AbstractCommonResource<FftdavVO>{

    @Autowired
    private FftdavService fftdav;

	@Override
	protected ICommonService getCommonService() {
		return fftdav;
	}

}