package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.GitameService;
import com.ceb.gjjs.mda.vo.GitameVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("gitame")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class GitameResource extends AbstractCommonResource<GitameVO>{

    @Autowired
    private GitameService gitame;

	@Override
	protected ICommonService getCommonService() {
		return gitame;
	}

}