package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.GitdavService;
import com.ceb.gjjs.mda.vo.GitdavVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("gitdav")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class GitdavResource extends AbstractCommonResource<GitdavVO>{

    @Autowired
    private GitdavService gitdav;

	@Override
	protected ICommonService getCommonService() {
		return gitdav;
	}

}