package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.GitimgService;
import com.ceb.gjjs.mda.vo.GitimgVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("gitimg")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class GitimgResource extends AbstractCommonResource<GitimgVO>{

    @Autowired
    private GitimgService gitimg;

	@Override
	protected ICommonService getCommonService() {
		return gitimg;
	}

}