package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.GitmavService;
import com.ceb.gjjs.mda.vo.GitmavVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("gitmav")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class GitmavResource extends AbstractCommonResource<GitmavVO>{

    @Autowired
    private GitmavService gitmav;

	@Override
	protected ICommonService getCommonService() {
		return gitmav;
	}

}