package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.GitmdlService;
import com.ceb.gjjs.mda.vo.GitmdlVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("gitmdl")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class GitmdlResource extends AbstractCommonResource<GitmdlVO>{

    @Autowired
    private GitmdlService gitmdl;

	@Override
	protected ICommonService getCommonService() {
		return gitmdl;
	}

}