package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.GittrsService;
import com.ceb.gjjs.mda.vo.GittrsVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("gittrs")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class GittrsResource extends AbstractCommonResource<GittrsVO>{

    @Autowired
    private GittrsService gittrs;

	@Override
	protected ICommonService getCommonService() {
		return gittrs;
	}

}