package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.IrfopnService;
import com.ceb.gjjs.mda.vo.IrfopnVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("irfopn")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class IrfopnResource extends AbstractCommonResource<IrfopnVO>{

    @Autowired
    private IrfopnService irfopn;

	@Override
	protected ICommonService getCommonService() {
		return irfopn;
	}

}