package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LetatsService;
import com.ceb.gjjs.mda.vo.LetatsVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("letats")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LetatsResource extends AbstractCommonResource<LetatsVO>{

    @Autowired
    private LetatsService letats;

	@Override
	protected ICommonService getCommonService() {
		return letats;
	}

}