package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LetattService;
import com.ceb.gjjs.mda.vo.LetattVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("letatt")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LetattResource extends AbstractCommonResource<LetattVO>{

    @Autowired
    private LetattService letatt;

	@Override
	protected ICommonService getCommonService() {
		return letatt;
	}

}