package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LetcanService;
import com.ceb.gjjs.mda.vo.LetcanVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("letcan")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LetcanResource extends AbstractCommonResource<LetcanVO>{

    @Autowired
    private LetcanService letcan;

	@Override
	protected ICommonService getCommonService() {
		return letcan;
	}

}