package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LitcanService;
import com.ceb.gjjs.mda.vo.LitcanVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("litcan")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LitcanResource extends AbstractCommonResource<LitcanVO>{

    @Autowired
    private LitcanService litcan;

	@Override
	protected ICommonService getCommonService() {
		return litcan;
	}

}