package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LitcfmService;
import com.ceb.gjjs.mda.vo.LitcfmVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("litcfm")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LitcfmResource extends AbstractCommonResource<LitcfmVO>{

    @Autowired
    private LitcfmService litcfm;

	@Override
	protected ICommonService getCommonService() {
		return litcfm;
	}

}