package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LitfavService;
import com.ceb.gjjs.mda.vo.LitfavVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("litfav")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LitfavResource extends AbstractCommonResource<LitfavVO>{

    @Autowired
    private LitfavService litfav;

	@Override
	protected ICommonService getCommonService() {
		return litfav;
	}

}