package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LitpreService;
import com.ceb.gjjs.mda.vo.LitpreVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("litpre")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LitpreResource extends AbstractCommonResource<LitpreVO>{

    @Autowired
    private LitpreService litpre;

	@Override
	protected ICommonService getCommonService() {
		return litpre;
	}

}