package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LittrsService;
import com.ceb.gjjs.mda.vo.LittrsVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("littrs")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LittrsResource extends AbstractCommonResource<LittrsVO>{

    @Autowired
    private LittrsService littrs;

	@Override
	protected ICommonService getCommonService() {
		return littrs;
	}

}