package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.LttdavService;
import com.ceb.gjjs.mda.vo.LttdavVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("lttdav")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class LttdavResource extends AbstractCommonResource<LttdavVO>{

    @Autowired
    private LttdavService lttdav;

	@Override
	protected ICommonService getCommonService() {
		return lttdav;
	}

}