package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.MakdocService;
import com.ceb.gjjs.mda.vo.MakdocVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("makdoc")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class MakdocResource extends AbstractCommonResource<MakdocVO>{

    @Autowired
    private MakdocService makdoc;

	@Override
	protected ICommonService getCommonService() {
		return makdoc;
	}

}