package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.MarcfmService;
import com.ceb.gjjs.mda.vo.MarcfmVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("marcfm")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class MarcfmResource extends AbstractCommonResource<MarcfmVO>{

    @Autowired
    private MarcfmService marcfm;

	@Override
	protected ICommonService getCommonService() {
		return marcfm;
	}

}