package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.MatmdlService;
import com.ceb.gjjs.mda.vo.MatmdlVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("matmdl")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class MatmdlResource extends AbstractCommonResource<MatmdlVO>{

    @Autowired
    private MatmdlService matmdl;

	@Override
	protected ICommonService getCommonService() {
		return matmdl;
	}

}