package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.OfficeService;
import com.ceb.gjjs.mda.vo.OfficeVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("office")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class OfficeResource extends AbstractCommonResource<OfficeVO>{

    @Autowired
    private OfficeService office;

	@Override
	protected ICommonService getCommonService() {
		return office;
	}

}