package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.ShrtskService;
import com.ceb.gjjs.mda.vo.ShrtskVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("shrtsk")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class ShrtskResource extends AbstractCommonResource<ShrtskVO>{

    @Autowired
    private ShrtskService shrtsk;

	@Override
	protected ICommonService getCommonService() {
		return shrtsk;
	}

}