package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.SwitskService;
import com.ceb.gjjs.mda.vo.SwitskVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("switsk")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class SwitskResource extends AbstractCommonResource<SwitskVO>{

    @Autowired
    private SwitskService switsk;

	@Override
	protected ICommonService getCommonService() {
		return switsk;
	}

}