package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.SwmctlService;
import com.ceb.gjjs.mda.vo.SwmctlVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("swmctl")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class SwmctlResource extends AbstractCommonResource<SwmctlVO>{

    @Autowired
    private SwmctlService swmctl;

	@Override
	protected ICommonService getCommonService() {
		return swmctl;
	}

}