package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.SwwtskService;
import com.ceb.gjjs.mda.vo.SwwtskVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("swwtsk")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class SwwtskResource extends AbstractCommonResource<SwwtskVO>{

    @Autowired
    private SwwtskService swwtsk;

	@Override
	protected ICommonService getCommonService() {
		return swwtsk;
	}

}