package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.Sysaut0Service;
import com.ceb.gjjs.mda.vo.Sysaut0VO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("sysaut0")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class Sysaut0Resource extends AbstractCommonResource<Sysaut0VO>{

    @Autowired
    private Sysaut0Service sysaut0;

	@Override
	protected ICommonService getCommonService() {
		return sysaut0;
	}

}