package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.SysixuService;
import com.ceb.gjjs.mda.vo.SysixuVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("sysixu")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class SysixuResource extends AbstractCommonResource<SysixuVO>{

    @Autowired
    private SysixuService sysixu;

	@Override
	protected ICommonService getCommonService() {
		return sysixu;
	}

}