package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.WitdavService;
import com.ceb.gjjs.mda.vo.WitdavVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("witdav")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class WitdavResource extends AbstractCommonResource<WitdavVO>{

    @Autowired
    private WitdavService witdav;

	@Override
	protected ICommonService getCommonService() {
		return witdav;
	}

}