package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.XpsfaqService;
import com.ceb.gjjs.mda.vo.XpsfaqVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("xpsfaq")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class XpsfaqResource extends AbstractCommonResource<XpsfaqVO>{

    @Autowired
    private XpsfaqService xpsfaq;

	@Override
	protected ICommonService getCommonService() {
		return xpsfaq;
	}

}