package com.ceb.gjjs.mda.resource;

import com.ceb.gjjs.mda.service.ICommonService;
import com.ceb.gjjs.mda.service.XptrulService;
import com.ceb.gjjs.mda.vo.XptrulVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;

@Path("xptrul")
@Component
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class XptrulResource extends AbstractCommonResource<XptrulVO>{

    @Autowired
    private XptrulService xptrul;

	@Override
	protected ICommonService getCommonService() {
		return xptrul;
	}

}