package com.ceb.gjjs.mda.vo;

import java.util.Date;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.brilliance.mda.support.jakson.serialize.DecimalLength;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class AptopnVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="apdgrp.agree",dir=DirType.BOTH)
    private String apdgrp_agree;

    @RelPath(value="apdgrp.checked1",dir=DirType.BOTH)
    private String apdgrp_checked1;

    @RelPath(value="apdgrp.checked2",dir=DirType.BOTH)
    private String apdgrp_checked2;

    @RelPath(value="apdgrp.checked4",dir=DirType.BOTH)
    private String apdgrp_checked4;

    @RelPath(value="apdgrp.tips",dir=DirType.BOTH)
    private String apdgrp_tips;


}