package com.ceb.gjjs.mda.vo;

import java.util.Date;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.brilliance.mda.support.jakson.serialize.DecimalLength;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bettpl2VO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="tplp.bdflg",dir=DirType.BOTH)
    private String tplp_bdflg;

    @RelPath(value="tplp.cdzflg",dir=DirType.BOTH)
    private String tplp_cdzflg;

    @RelPath(value="tplp.ivnflg",dir=DirType.BOTH)
    private String tplp_ivnflg;

    @RelPath(value="tplp.kydflg",dir=DirType.BOTH)
    private String tplp_kydflg;

    @RelPath(value="tplp.kysjflg",dir=DirType.BOTH)
    private String tplp_kysjflg;

    @RelPath(value="tplp.qtdjflg",dir=DirType.BOTH)
    private String tplp_qtdjflg;

    @RelPath(value="tplp.qtysdjflg",dir=DirType.BOTH)
    private String tplp_qtysdjflg;

    @RelPath(value="tplp.slzflg",dir=DirType.BOTH)
    private String tplp_slzflg;

    @RelPath(value="tplp.syrzmflg",dir=DirType.BOTH)
    private String tplp_syrzmflg;

    @RelPath(value="tplp.tdflg",dir=DirType.BOTH)
    private String tplp_tdflg;

    @RelPath(value="tplp.zctzflg",dir=DirType.BOTH)
    private String tplp_zctzflg;

    @RelPath(value="tplp.zxdflg",dir=DirType.BOTH)
    private String tplp_zxdflg;


}