package com.ceb.gjjs.mda.vo;

import java.util.Date;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.brilliance.mda.support.jakson.serialize.DecimalLength;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class BhgsupVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="gsdgrp.gsd.bhtyp",dir=DirType.BOTH)
    private String gsdgrp_gsd_bhtyp;

    @RelPath(value="gsdgrp.gsd.wbdes",dir=DirType.BOTH)
    private String gsdgrp_gsd_wbdes;

    @RelPath(value="gsdgrp.gsd.wbinr",dir=DirType.BOTH)
    private String gsdgrp_gsd_wbinr;

    @RelPath(value="gsdgrp.gsd.wbnam",dir=DirType.BOTH)
    private String gsdgrp_gsd_wbnam;

    @RelPath(value="gsdgrp.gsd.wbsta",dir=DirType.BOTH)
    private String gsdgrp_gsd_wbsta;


}