package com.ceb.gjjs.mda.vo;

import java.util.Date;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.brilliance.mda.support.jakson.serialize.DecimalLength;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class BptaplVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="bpdgrp.tips",dir=DirType.BOTH)
    private String bpdgrp_tips;

    @RelPath(value="bptp.agree",dir=DirType.BOTH)
    private String bptp_agree;

    @RelPath(value="bptp.checked1",dir=DirType.BOTH)
    private String bptp_checked1;

    @RelPath(value="bptp.checked2",dir=DirType.BOTH)
    private String bptp_checked2;

    @RelPath(value="bptp.checked3",dir=DirType.BOTH)
    private String bptp_checked3;

    @RelPath(value="bptp.checked4",dir=DirType.BOTH)
    private String bptp_checked4;


}