package com.ceb.gjjs.mda.vo;

import java.util.Date;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.brilliance.mda.support.jakson.serialize.DecimalLength;

import com.ceb.gjjs.mda.bo.Usr;
import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class Db2usr0VO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="ptygrp.pty.engnam",dir=DirType.BOTH)
    private String ptygrp_pty_engnam;

    @RelPath(value="ptygrp.pty.extkey",dir=DirType.BOTH)
    private String ptygrp_pty_extkey;

    @RelPath(value="ptygrp.pty.nam",dir=DirType.BOTH)
    private String ptygrp_pty_nam;

    @RelPath(value="usrgrp.gly.lgnnam",dir=DirType.BOTH)
    private String usrgrp_gly_lgnnam;

    @RelPath(value="usrgrp.usralllst",dir=DirType.OUT)
    private ModuleList<Usr> usrgrp_usralllst;

    @RelPath(value="usrgrp.usrlst",dir=DirType.OUT)
    private ModuleList<Usr> usrgrp_usrlst;

    @RelPath(value="usrgrp.zg.lgnnam",dir=DirType.BOTH)
    private String usrgrp_zg_lgnnam;


}