package com.ceb.gjjs.mda.vo;

import java.util.Date;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.brilliance.mda.support.jakson.serialize.DecimalLength;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class EabopnVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="eabgrp.rec.credat",dir=DirType.BOTH)
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date eabgrp_rec_credat;

    @RelPath(value="eabgrp.rec.idno",dir=DirType.BOTH)
    private String eabgrp_rec_idno;

    @RelPath(value="eabgrp.rec.idtype",dir=DirType.BOTH)
    private String eabgrp_rec_idtype;

    @RelPath(value="eabgrp.rec.ownbch",dir=DirType.BOTH)
    private String eabgrp_rec_ownbch;

    @RelPath(value="eabgrp.rec.ownref",dir=DirType.BOTH)
    private String eabgrp_rec_ownref;

    @RelPath(value="eabgrp.rec.reason",dir=DirType.BOTH)
    private String eabgrp_rec_reason;

    @RelPath(value="eabgrp.pty.cid",dir=DirType.BOTH)
    private String eabgrp_pty_cid;

    @RelPath(value="eabgrp.pty.nam",dir=DirType.BOTH)
    private String eabgrp_pty_nam;


}