package com.ceb.gjjs.mda.vo;

import java.util.Date;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.brilliance.mda.support.jakson.serialize.DecimalLength;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class JstopnVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="jstp.pdfviw.chk",dir=DirType.BOTH)
    private String jstp_pdfviw_chk;

    @RelPath(value="jstp.pdfviw.chk1",dir=DirType.BOTH)
    private String jstp_pdfviw_chk1;

    @RelPath(value="jstp.pdfviw.delay",dir=DirType.BOTH)
    private int jstp_pdfviw_delay;

    @RelPath(value="jstp.tukmod.readtxt1",dir=DirType.BOTH)
    private String jstp_tukmod_readtxt1;

    @RelPath(value="jstp.tukmod.readtxt2",dir=DirType.BOTH)
    private String jstp_tukmod_readtxt2;

    @RelPath(value="jstp.tukmod.title1",dir=DirType.BOTH)
    private String jstp_tukmod_title1;

    @RelPath(value="jstp.tukmod.title2",dir=DirType.BOTH)
    private String jstp_tukmod_title2;


}