package com.ceb.gjjs.mda.vo;

import java.util.Date;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.io.Serializable;

import com.brilliance.mda.runtime.annotation.RelPath;
import com.brilliance.mda.runtime.mda.DirType;
import com.brilliance.mda.runtime.mda.impl.ModuleList;
import com.brilliance.mda.runtime.request.BaseVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.brilliance.mda.support.jakson.serialize.DecimalLength;

import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class LitapnVO extends BaseVO implements Serializable{

    @JsonIgnore
    private static final long serialVersionUID = 1L;

    @RelPath(value="lidgrp.rec.bchcod",dir=DirType.BOTH)
    private String lidgrp_rec_bchcod;

    @RelPath(value="lidgrp.agree",dir=DirType.BOTH)
    private String lidgrp_agree;

    @RelPath(value="lidgrp.apl.pty.nam",dir=DirType.BOTH)
    private String lidgrp_apl_pty_nam;

    @RelPath(value="lidgrp.blk.rgtcls",dir=DirType.BOTH)
    private String lidgrp_blk_rgtcls;

    @RelPath(value="lidgrp.checked1",dir=DirType.BOTH)
    private String lidgrp_checked1;

    @RelPath(value="lidgrp.checked2",dir=DirType.BOTH)
    private String lidgrp_checked2;

    @RelPath(value="lidgrp.checked3",dir=DirType.BOTH)
    private String lidgrp_checked3;

    @RelPath(value="lidgrp.checked4",dir=DirType.BOTH)
    private String lidgrp_checked4;

    @RelPath(value="lidgrp.tips",dir=DirType.BOTH)
    private String lidgrp_tips;


}